commit dc70c4384353dd3a31d3628e8311c3c6df0327ec
Author: Armin Burgmeier <armin@arbur.net>
Date:   Mon Feb 27 21:57:27 2017 -0800

    Release 0.6.8

 NEWS | 4 ++++
 1 file changed, 4 insertions(+)

commit a515e790c3340e79d823ed30272bbc448b549f63
Author: Armin Burgmeier <armin@arbur.net>
Date:   Mon Feb 27 21:35:47 2017 -0800

    Fix use-after-free in infinoted when uploading a document (gobby#142)

 libinfinity/server/infd-directory.c | 6 ++++--
 1 file changed, 4 insertions(+), 2 deletions(-)

commit e59c1a4060f81fe989f9e291bcfa9721438328a4
Author: Armin Burgmeier <armin@arbur.net>
Date:   Tue Dec 8 22:24:53 2015 -0800

    Fix g_return_val_if_fail on uninitialized memory

 libinfinity/server/infd-directory.c | 1 -
 1 file changed, 1 deletion(-)

commit 2c047741eb8c91bde6be0af6329122d687237b82
Author: Armin Burgmeier <armin@arbur.net>
Date:   Tue Oct 13 19:47:14 2015 -0400

    Post-release bump to 0.6.8

 configure.ac | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

commit a7bdd262474898d180285129f5aed3e87b04461a
Author: Armin Burgmeier <armin@arbur.net>
Date:   Tue Oct 13 19:34:35 2015 -0400

    Release libinfinity 0.6.7

 NEWS | 8 ++++++++
 1 file changed, 8 insertions(+)

commit d447fc406c0ceb2766f69ffec28f017baa7ed7a9
Author: Armin Burgmeier <armin@arbur.net>
Date:   Mon Oct 12 19:51:50 2015 -0400

    InfTextChunk: fix segment lookup for offset=0 (#10)

    This used to work with glib 2.42, but it seems that the semantics of
    g_sequence_search() have changed with respect to what item is returned
    when the comparison function returns 0. The behavior in that case is not
    documented. Fix this by passing a different comparison function that
    never returns 0, so that there is no ambiguity in which segment is
    returned.

 libinftext/inf-text-chunk.c | 29 ++++++++++++++++++++++++++++-
 1 file changed, 28 insertions(+), 1 deletion(-)

commit 3fb2be4fb355ed44541d6da486dc73c5dd739ca3
Author: Armin Burgmeier <armin@arbur.net>
Date:   Mon Oct 12 19:51:40 2015 -0400

    Fix integrity check in inf_text_chunk_get_byte_index_utf8()

 libinftext/inf-text-chunk.c | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

commit 4fc1227317eea35b87e10686daf467642c9abe1e
Author: Armin Burgmeier <armin@arbur.net>
Date:   Tue Jun 9 21:20:23 2015 -0400

    Fix uninitialized variable when suggesting a SASL mechanism

 libinfinity/common/inf-xmpp-connection.c | 1 +
 1 file changed, 1 insertion(+)

commit 28dd0736c7618861dd9a23e8793e4db865ce6a5e
Author: Armin Burgmeier <armin@arbur.net>
Date:   Sun Jun 7 21:27:23 2015 -0400

    InfXmppConnection: Fix strncmp invocation when suggesting SASL mechanism

 libinfinity/common/inf-xmpp-connection.c | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

commit 4dfaf22925dbe12008627d0a604b179fd6e4b7b4
Author: Armin Burgmeier <armin@arbur.net>
Date:   Wed May 27 22:21:22 2015 -0400

    Fix g_free / g_slice_free mismatch

 libinfinity/server/infd-directory.c | 18 ++++++++++++++++--
 1 file changed, 16 insertions(+), 2 deletions(-)

commit d17398a0f850a79ffbe78c10bbe8ebfd0cd5e63c
Author: Armin Burgmeier <armin@arbur.net>
Date:   Wed May 27 21:12:28 2015 -0400

    InfdDirectory: Fix error reply to client when session proxy cannot
    be created

 libinfinity/server/infd-directory.c | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

commit 822b227c662e5fcaab3c1bdfdf224eebaefe7728
Author: Armin Burgmeier <armin@arbur.net>
Date:   Sat May 23 14:39:59 2015 -0400

    Fix session becoming inconsistent with active local users during
    subscription

    When the server sends the vector time of local users during subscription,
    it now sends the last send vector instead of the real value of the
    user time,
    so that subsequent state vector diffs are consistent for the newly joined
    client.

    Conflicts:
            libinfinity/adopted/inf-adopted-session.c

 libinfinity/adopted/inf-adopted-session.c | 34 ++++++++++++++++++++++++++++-
 1 file changed, 33 insertions(+), 1 deletion(-)

commit cf4588011a5023af36d6393f1f724a11742b84f1
Author: Armin Burgmeier <armin@arbur.net>
Date:   Fri May 22 19:22:26 2015 -0400

    Fix a possible crash when removing a browser entry

 libinfgtk/inf-gtk-browser-store.c |  5 +++++
 libinfgtk/inf-gtk-browser-view.c  | 11 +++++++++++
 2 files changed, 16 insertions(+)

commit 4522baf6a975f38e6874c90695b00af0d2854dfc
Author: Armin Burgmeier <armin@arbur.net>
Date:   Tue May 12 20:58:49 2015 -0400

    Post-release bump to 0.6.7

 configure.ac | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

commit a5bc24e87714d3c3fa75711c5d06b9b8e4c81d53
Author: Armin Burgmeier <armin@arbur.net>
Date:   Tue May 12 20:12:52 2015 -0400

    Release libinfinity 0.6.6

 NEWS | 9 +++++++++
 1 file changed, 9 insertions(+)

commit 3862714b942fe626308f06e01730df7b48921faf
Author: Armin Burgmeier <armin@arbur.net>
Date:   Tue May 12 20:55:41 2015 -0400

    Fix make distcheck for recent automake versions

    Recent automake versions run with a more restrictive umask, so that the
    version.xml files are created with read-only permissions. This fails when
    trying to override them, so remove them explicitly before.

 docs/reference/Makefile.am | 2 ++
 1 file changed, 2 insertions(+)

commit 06fa9455c687a67e4fc2c2f201817c64c73a3fcf
Author: Armin Burgmeier <armin@arbur.net>
Date:   Mon May 11 22:59:34 2015 -0400

    Fix expired certificate validation (gobby #61)

 libinfgtk/inf-gtk-certificate-manager.c | 6 ++++--
 1 file changed, 4 insertions(+), 2 deletions(-)

commit 244c7e8d69b98330ac7a285922c6fcb0a167ae20
Author: Armin Burgmeier <armin@arbur.net>
Date:   Tue May 5 20:45:45 2015 -0400

    Update caret position when only updating fixline state

    When the user inserts some newlines that are "swallowed" by the fixline
    buffer, then still advance the user's cursor such that newly
    to-be-written
    text is inserted after the imaginary newline.

 libinftext/inf-text-fixline-buffer.c | 54 ++++++++++++++++++++++++++++++++++
 1 file changed, 54 insertions(+)

commit fb0c8532694476f3f624f66eb12becf851147e27
Author: Armin Burgmeier <armin@arbur.net>
Date:   Mon May 4 20:31:12 2015 -0400

    fixline buffer: Fix crash when iterating backwards through empty
    base buffer

 libinftext/inf-text-fixline-buffer.c | 3 ++-
 1 file changed, 2 insertions(+), 1 deletion(-)

commit da06a82642c1d2d0d5a44f1ea3f62ad0b2b22c9a
Author: Armin Burgmeier <armin@arbur.net>
Date:   Sun May 3 17:07:46 2015 -0400

    Fix insert/erase notifications in InfTextFixlineBuffer

    The notifications were missing when the fixline buffer was modified
    directly
    with the API, and not in response to modifications to the underlying base
    buffer.

 libinftext/inf-text-fixline-buffer.c | 10 ++++++++++
 1 file changed, 10 insertions(+)

commit 9b009160dd658fe9272d69025a8225b02eafb8de
Author: Armin Burgmeier <armin@arbur.net>
Date:   Thu Apr 30 21:37:23 2015 -0400

    Fix create_end_iter() implementation in InfTextFixlineBuffer

 libinftext/inf-text-fixline-buffer.c | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

commit 8990cf98ab43f3aca6a7bf12e9608b0e2e9b5c70
Author: Armin Burgmeier <armin@arbur.net>
Date:   Fri Apr 3 13:04:24 2015 -0400

    Fix a crash when the server explicitly changes client account to default

 libinfinity/client/infc-browser.c | 3 ++-
 1 file changed, 2 insertions(+), 1 deletion(-)

commit 0ce00121225662125b2ae4e48ff5d9f712e86a70
Author: Armin Burgmeier <armin@arbur.net>
Date:   Sat Jan 17 20:33:25 2015 -0500

    Post-release bump to 0.6.6

 configure.ac | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

commit 1a0ff8091afdfe831d317d10c377a8a025ea259d
Author: Armin Burgmeier <armin@arbur.net>
Date:   Sat Jan 17 20:19:38 2015 -0500

    Release libinfinity 0.6.5

 NEWS | 9 +++++++++
 1 file changed, 9 insertions(+)

commit 7b4efd3ec7fcf7ca44550d7b29e8448cd8fb5f44
Author: Armin Burgmeier <armin@arbur.net>
Date:   Wed Jan 14 15:28:16 2015 -0500

    Check whether we need -lresolv for res_query() (gobby #23)

    Some systems such as FreeBSD have res_query() within libc, and passing
    -lresolv to the linker makes it fail because libresolv does not exist.

 configure.ac | 36 +++++++++++++++++++++++++++++++++++-
 1 file changed, 35 insertions(+), 1 deletion(-)

commit 66432aa0b9b48906db8c258cc70dec4c012787d5
Author: Armin Burgmeier <armin@arbur.net>
Date:   Tue Jan 6 16:48:10 2015 +0100

    Fix a crash when sending unsubscribe message causes connection failure

 libinfinity/client/infc-session-proxy.c | 6 +++++-
 1 file changed, 5 insertions(+), 1 deletion(-)

commit 70913b5b64a85b9d5e0870b73cafff0f9c0aed55
Author: Armin Burgmeier <armin@arbur.net>
Date:   Tue Jan 6 14:13:38 2015 +0100

    InfdDirectory: Fail add-subdirectory request if name already exists

 libinfinity/server/infd-directory.c | 74 +++++++++++++++++++++--------------
 1 file changed, 45 insertions(+), 29 deletions(-)

commit 4fd9cadf82d2ee24d9c966ad30c64db3aa83696f
Author: Armin Burgmeier <armin@arbur.net>
Date:   Tue Jan 6 13:30:37 2015 +0100

    Fix assertion failure when directory without storage is disposed

 libinfinity/server/infd-directory.c | 9 ++++++---
 1 file changed, 6 insertions(+), 3 deletions(-)

commit 0ea3d867cdedad32483fe7507a41680ab7e704ef
Author: Armin Burgmeier <armin@arbur.net>
Date:   Tue Oct 28 13:39:53 2014 -0400

    Fix a memory leak in the plugin manager

    Conflicts:
            infinoted/infinoted-plugin-manager.c

 infinoted/infinoted-plugin-manager.c | 2 ++
 1 file changed, 2 insertions(+)

commit f606e2dd646667f94d974cccb1868603aa668b6a
Author: Armin Burgmeier <armin@arbur.net>
Date:   Tue Oct 28 13:28:10 2014 -0400

    Fix possible crash when a connection goes down while broadcasting data

 .../inf-communication-central-method.c            | 167 ++++++++++----------
 1 file changed, 85 insertions(+), 82 deletions(-)

commit f0857d13e597537148c0a989b639684a7cfd4613
Author: Armin Burgmeier <armin@arbur.net>
Date:   Tue Oct 28 10:27:55 2014 -0400

    Make sure messages are not attempted to be sent on closed connections

 .../inf-communication-central-method.c            |  7 +++++-
 .../communication/inf-communication-registry.c    | 24 +++++++++++++++------
 2 files changed, 24 insertions(+), 7 deletions(-)

commit 2120a2cca633e8f52ea86c9171612c2f1182608d
Author: Armin Burgmeier <armin@arbur.net>
Date:   Tue Oct 28 10:27:21 2014 -0400

    Add a missing status notify in InfXmppConnection

 libinfinity/common/inf-xmpp-connection.c | 3 +++
 1 file changed, 3 insertions(+)

commit 567a4a10b5acac175c083ec0ee11ed180eb286b4
Author: Armin Burgmeier <armin@arbur.net>
Date:   Mon Oct 27 15:54:17 2014 -0400

    Fix error message in server log when a client certificate is not trusted

 infinoted/plugins/infinoted-plugin-certificate-auth.c | 2 +-
 libinfinity/common/inf-error.c                        | 2 ++
 2 files changed, 3 insertions(+), 1 deletion(-)

commit a07f1c836281fe5eeb8666e33c37168dacb36940
Author: Armin Burgmeier <armin@arbur.net>
Date:   Wed Oct 22 13:44:03 2014 -0400

    Fix possible memory corruption on insert in fixline buffer

    Also, add a test which reproduces this problem. While the test might well
    run through even with the buggy version, valgrind will uncover the memory
    corruption, and in some cases it can lead to a crash or otherwise
    undesired
    behaviour.

 libinftext/inf-text-fixline-buffer.c | 6 +++++-
 test/inf-test-text-fixline.c         | 2 ++
 2 files changed, 7 insertions(+), 1 deletion(-)

commit e9c35ca3032df1728b383a077523b95e49057392
Author: Armin Burgmeier <armin@arbur.net>
Date:   Sat Oct 18 13:50:14 2014 -0400

    Post-release bump to 0.6.5

 configure.ac | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

commit 94ff96e4a4e36c4dd30bbd27a723251878393032
Author: Armin Burgmeier <armin@arbur.net>
Date:   Sat Oct 18 13:46:55 2014 -0400

    Release libinfinity 0.6.4

 NEWS | 3 +++
 1 file changed, 3 insertions(+)

commit a0a94bd95197435c274caff7861818cba26e52f7
Author: Armin Burgmeier <armin@arbur.net>
Date:   Sat Oct 18 13:39:57 2014 -0400

    infinoted-plugin-document-stream: Only use MSG_NOSIGNAL if available (#7)

    This is a build fix for Mac OS X.

 infinoted/plugins/infinoted-plugin-document-stream.c | 18 +++++++++++++++++-
 1 file changed, 17 insertions(+), 1 deletion(-)

commit 2845142b5b6153abea986f85c974d6b164068a66
Author: Armin Burgmeier <armin@arbur.net>
Date:   Sat Oct 18 13:39:06 2014 -0400

    inf-name-resolver: Include <arpa/nameser.h> and <arpa/nameser_compat.h>
    (#7)

    This fixes the build on Mac OS X.

 libinfinity/common/inf-name-resolver.c | 2 ++
 1 file changed, 2 insertions(+)

commit 1555e183d0bc4af7ca23599ef2450d46e4425d6c
Author: Armin Burgmeier <armin@arbur.net>
Date:   Thu Oct 9 14:52:39 2014 -0400

    Post-release bump to 0.6.4

 configure.ac | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

commit e4c9f274c8f99ad522f1e35c8726d420c99affae
Author: Armin Burgmeier <armin@arbur.net>
Date:   Thu Oct 9 14:47:56 2014 -0400

    Release libinfinity 0.6.3

 NEWS | 7 +++++++
 1 file changed, 7 insertions(+)

commit d42034c44b0ca085499b24ae29aa4c4265a24e56
Author: Armin Burgmeier <armin@arbur.net>
Date:   Thu Oct 9 13:19:14 2014 -0400

    Use length-independent string compare for password check

    Thanks to Jann Horn for pointing this out.

 infinoted/infinoted-options.c |  4 ++++
 infinoted/infinoted-options.h |  1 +
 infinoted/infinoted-startup.c | 20 +++++++++++++++++++-
 3 files changed, 24 insertions(+), 1 deletion(-)

commit ccff0177099e769e04164f11e021a2fd74f9e032
Author: Armin Burgmeier <armin@arbur.net>
Date:   Thu Oct 9 12:53:46 2014 -0400

    Fix possible warning when session could not be created

 libinfinity/server/infd-directory.c | 3 ++-
 1 file changed, 2 insertions(+), 1 deletion(-)

commit 84b71717c9e97b45455e3ad03a6d384b769307b4
Author: Armin Burgmeier <armin@arbur.net>
Date:   Thu Oct 9 11:16:39 2014 -0400

    Fix check for empty path component in InfdFilesystemStorage

    Thanks to Jann Horn for reporting this. At the moment I don't think there
    are any security implications because of this.

 libinfinity/server/infd-directory.c                  | 17 ++++++++++++-----
 libinfinity/server/infd-filesystem-account-storage.c |  2 +-
 libinfinity/server/infd-filesystem-storage.c         | 16 +++++++++++++---
 3 files changed, 26 insertions(+), 9 deletions(-)

commit 01f6500cd3dc537444029dc81d4f76389d17f1a0
Author: Armin Burgmeier <armin@arbur.net>
Date:   Mon Oct 6 18:05:52 2014 -0400

    Change the mode parameter for directory creation to 0777 (#6)

    This especially affects the directory-sync plugin. If other modes
    are desired,
    the umask of the process should be set accordingly. This change
    allows the
    plugin to create directory that are readable or writable by other
    users than
    the process owner.

 infinoted/infinoted-util.c                          | 2 +-
 infinoted/plugins/infinoted-plugin-directory-sync.c | 2 +-
 2 files changed, 2 insertions(+), 2 deletions(-)

commit adbdba88ef292b3f031a4cd348660db9760506a7
Author: Armin Burgmeier <armin@arbur.net>
Date:   Sat Oct 4 20:49:28 2014 -0400

    infinoted-plugin-document-stream: Don't join a user if username is empty

 infinoted/plugins/infinoted-plugin-document-stream.c | 5 ++++-
 1 file changed, 4 insertions(+), 1 deletion(-)

commit 2f583757c73338d8323d3d2d08f580575bdef2e8
Author: Armin Burgmeier <armin@arbur.net>
Date:   Sat Sep 20 17:41:49 2014 -0400

    Write certificate to known hosts file also if it was not present before

    Regression caused by 37afb068e89fc1aed45f795581904c3aaec34e36.

 libinfgtk/inf-gtk-certificate-manager.c | 8 ++------
 1 file changed, 2 insertions(+), 6 deletions(-)

commit 43bc053bb6b7ca5901563c27238b8fcb24be517a
Author: Armin Burgmeier <armin@arbur.net>
Date:   Fri Sep 12 15:20:30 2014 -0400

    Post-release bump to 0.6.3

 configure.ac | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

commit ced29483b5c244e2563398392b8eb624815f09e1
Author: Armin Burgmeier <armin@arbur.net>
Date:   Fri Sep 12 15:13:40 2014 -0400

    Release libinfinity 0.6.2

 NEWS | 8 ++++++++
 1 file changed, 8 insertions(+)

commit 5444ca6a90da9ade2c80023226016e24287aaced
Author: Armin Burgmeier <armin@arbur.net>
Date:   Fri Sep 12 15:02:29 2014 -0400

    Fix a crash when a certificate is added into the known hosts file

    Typically this crash only happened at the point when the connection that
    presented that certificate was closed.

 libinfgtk/inf-gtk-certificate-manager.c | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

commit e3460de020268895fda83534a6e37fe502757f7b
Author: Armin Burgmeier <armin@arbur.net>
Date:   Mon Sep 8 09:32:52 2014 -0400

    Fix crash in inf_gtk_browser_store_tree_model_iter_has_child()
    (gobby #13)

    This happened if the browser was not open.

 libinfgtk/inf-gtk-browser-store.c | 5 +++++
 1 file changed, 5 insertions(+)

commit b514cb760f4eb4b105ed8122f08bd2346a89b57e
Author: Tiziano Müller <tm@dev-zero.ch>
Date:   Mon Sep 1 17:55:37 2014 +0200

    Build documentation conditionally

    Building documentation for disabled libraries fails with the
    following error:

    ```
    libtool: link: cannot find the library
    `../../../libinfgtk/libinfgtk-0.6.la' or unhandled argument
    `../../../libinfgtk/libinfgtk-0.6.la'
    Linking of scanner failed:
    Makefile:609: recipe for target 'scan-build.stamp' failed
    ```

 docs/reference/Makefile.am | 14 +++++++++++++-
 1 file changed, 13 insertions(+), 1 deletion(-)

commit 7dd6fc91596c156f246df217e2ec6c823701cc0c
Author: Philipp Kern <pkern@debian.org>
Date:   Thu Aug 28 22:08:35 2014 +0200

    infinoted man page: correct the usage of --plugins

 infinoted/infinoted-0.6.man | 4 ++--
 1 file changed, 2 insertions(+), 2 deletions(-)

commit 7c2333ca2ef23bf1d5aa148bf582cd2419db6546
Author: Armin Burgmeier <armin@arbur.net>
Date:   Tue Aug 26 22:26:30 2014 -0400

    infinoted: Load default account storage only after loading plugins

    This allows a plugin to override the account storage without the default
    account storage having been loaded first, wasting resources and
    potentially removing permissions for non-matching users.

 infinoted/infinoted-run.c | 69 ++++++++++++++++++++++++++++-----------------
 1 file changed, 43 insertions(+), 26 deletions(-)

commit 381364e300371b6cc9eee101730b9bd256b1905c
Author: Philipp Kern <pkern@debian.org>
Date:   Wed Aug 27 01:11:51 2014 +0200

    Refresh pot and pos to pick up a new string.

 po/ca.po               | 16 ++++++++--------
 po/de.po               | 16 ++++++++--------
 po/libinfinity-0.6.pot | 16 ++++++++--------
 3 files changed, 24 insertions(+), 24 deletions(-)

commit 9a51d6f7b822eb1e0322eb85076456cd9a88f5a9
Author: Philipp Kern <pkern@debian.org>
Date:   Wed Aug 27 01:11:12 2014 +0200

    infinoted/infinoted-options.c: Fix a grammar mistake.

 infinoted/infinoted-options.c | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

commit 7933a5618b800a3a59c8770a40d86d60f1cdcafc
Author: Philipp Kern <pkern@debian.org>
Date:   Wed Aug 27 00:57:01 2014 +0200

    infinoted man page: correct a grammar mistake, escape hyphens

 infinoted/infinoted-0.6.man | 6 +++---
 1 file changed, 3 insertions(+), 3 deletions(-)

commit 97ae9aeef4cd78e4662ccc09f24a9de2d8b5dc7c
Author: Philipp Kern <pkern@debian.org>
Date:   Mon Aug 25 04:43:13 2014 +0200

    Makefile.am: ship the new markdown formatted README

 Makefile.am | 2 ++
 1 file changed, 2 insertions(+)

commit b868937f4cfc0f4eef6ecfbf5430fe9cdd86c85f
Author: Armin Burgmeier <armin@arbur.net>
Date:   Sun Aug 24 10:06:40 2014 -0400

    Post-release bump to 0.6.2

 configure.ac | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

commit 8a72d4da493159b25e1b16adb7bf931a33285d57
Author: Armin Burgmeier <armin@arbur.net>
Date:   Sun Aug 24 10:04:39 2014 -0400

    Release libinfinity 0.6.1

 NEWS | 4 ++++
 1 file changed, 4 insertions(+)

commit 6d6223e113e52fb2a3b5188da2c09305f38b12ce
Author: Armin Burgmeier <armin@arbur.net>
Date:   Sun Aug 24 09:57:21 2014 -0400

    Explicitly link against libresolv (libinfinity #3)

 configure.ac | 2 ++
 1 file changed, 2 insertions(+)

commit 1a459981e901adb26037321960336bc5518010f4
Author: Armin Burgmeier <armin@arbur.net>
Date:   Sat Aug 23 13:40:59 2014 -0400

    Post-release bump to 0.6.1

 configure.ac | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

commit 9952497a8d6ce591cc77cc7cc9a3f8e350870a30
Author: Armin Burgmeier <armin@arbur.net>
Date:   Sat Aug 23 13:06:03 2014 -0400

    Release libinfinity 0.6.0

 NEWS | 47 +++++++++++++++++++++++++++++++++++++++++++++++
 1 file changed, 47 insertions(+)

commit 85dbbc473ce05f4c2c13b7baff33fc46e1458afe
Author: Armin Burgmeier <armin@arbur.net>
Date:   Sat Aug 23 13:05:31 2014 -0400

    Fix compilation with GTK+ versions below 2.18

 libinfgtk/inf-gtk-account-creation-dialog.c | 4 ++++
 1 file changed, 4 insertions(+)

commit 1cfaa3085a3029b7ae46de407bc2fd2474c964cb
Author: Armin Burgmeier <armin@arbur.net>
Date:   Sat Aug 23 13:05:09 2014 -0400

    Fix GError pointer error in infinoted-plugin-traffic-logging

 infinoted/plugins/infinoted-plugin-traffic-logging.c | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

commit 7fb92feac55fa14a606c80fe9f8bbe408eed0cd5
Author: Armin Burgmeier <armin@arbur.net>
Date:   Fri Aug 22 15:15:17 2014 -0400

    Add some compatibility fixes for older systems

 configure.ac                         | 13 +++++++++++++
 infinoted/infinoted-plugin-manager.c |  7 ++++---
 libinfinity/common/inf-file-util.c   |  4 ++++
 test/inf-test-text-replay.c          | 18 ++++++++++++++++--
 4 files changed, 37 insertions(+), 5 deletions(-)

commit b2bd6fc0f93b609e16be6d9b24c5d58691bba7dd
Author: Armin Burgmeier <armin@arbur.net>
Date:   Fri Aug 22 12:58:37 2014 -0400

    Fixes for "make dist"

 configure.ac                  | 2 +-
 infinoted/plugins/Makefile.am | 1 +
 2 files changed, 2 insertions(+), 1 deletion(-)

commit 416d010b9ed29bf034164d31f2f7a77c2d73608a
Author: Armin Burgmeier <armin@arbur.net>
Date:   Fri Aug 22 11:40:06 2014 -0400

    Update translations for 0.6 release

 po/POTFILES.in         |   37 +-
 po/ca.po               | 2097 +++++++++++++++++++++++++++++++++---------
 po/de.po               | 2277 +++++++++++++++++++++++++++++++++++-----------
 po/libinfinity-0.6.pot | 2070 ++++++++++++++++++++++++++++++++---------
 4 files changed, 5085 insertions(+), 1396 deletions(-)

commit 34232a2c4c597c94d715aa0c39666d205a71464d
Author: Armin Burgmeier <armin@arbur.net>
Date:   Thu Aug 21 22:10:27 2014 -0400

    Fix several undeclared functions

 infinoted/infinoted-log.c                                  |  5 +++++
 infinoted/infinoted-parameter.c                            |  2 ++
 infinoted/infinoted-plugin-manager.c                       |  1 +
 infinoted/infinoted-util.c                                 |  2 +-
 infinoted/plugins/infinoted-plugin-autosave.c              |  1 +
 infinoted/plugins/infinoted-plugin-certificate-auth.c      |  6 ++++--
 infinoted/plugins/infinoted-plugin-directory-sync.c        |  2 ++
 infinoted/plugins/infinoted-plugin-document-stream.c       |  8 +++++---
 infinoted/plugins/infinoted-plugin-linekeeper.c            |  2 ++
 infinoted/plugins/infinoted-plugin-logging.c               |  1 +
 infinoted/plugins/infinoted-plugin-record.c                |  1 +
 infinoted/plugins/infinoted-plugin-traffic-logging.c       |  3 +++
 .../plugins/infinoted-plugin-transformation-protection.c   |  1 +
 .../plugins/util/infinoted-plugin-util-navigate-browser.c  |  4 ++++
 libinfgtk/inf-gtk-account-creation-dialog.c                |  3 +++
 libinfgtk/inf-gtk-certificate-manager.c                    |  6 ++++--
 libinfgtk/inf-gtk-permissions-dialog.c                     |  3 +++
 libinfinity/server/infd-filesystem-account-storage.c       |  1 +
 libinftext/inf-text-filesystem-format.c                    |  2 ++
 libinftext/inf-text-fixline-buffer.c                       |  1 +
 test/inf-test-certificate-request.c                        |  2 ++
 test/inf-test-chat.c                                       |  1 +
 test/inf-test-gtk-browser.c                                |  3 ++-
 test/inf-test-mass-join.c                                  |  5 ++++-
 test/inf-test-set-acl.c                                    |  2 ++
 test/inf-test-tcp-connection.c                             |  3 ++-
 test/inf-test-text-recover.c                               | 12 ++++++------
 27 files changed, 66 insertions(+), 17 deletions(-)

commit c89bcafccf5a971e8435b5d65167dc6bf4f25205
Author: Armin Burgmeier <armin@arbur.net>
Date:   Thu Aug 21 20:27:50 2014 -0400

    Various small build fixes

 libinfinity/common/inf-file-util.c               |  3 +++
 libinfinity/common/inf-tcp-connection.c          |  1 +
 libinfinity/common/inf-xmpp-manager.c            |  6 +++---
 libinfinity/server/infd-chat-filesystem-format.c |  2 ++
 libinfinity/server/infd-directory.c              | 12 ++++++------
 5 files changed, 15 insertions(+), 9 deletions(-)

commit 1604ff38b5fd64394c0264fa7af45a6594c696c4
Author: Armin Burgmeier <armin@arbur.net>
Date:   Thu Aug 21 18:41:11 2014 -0400

    Fix use-after-free in Win32 implementation of InfStandaloneIo

 libinfinity/common/inf-standalone-io.c | 34 ++++++++++++++++----------------
 1 file changed, 17 insertions(+), 17 deletions(-)

commit a87f0ed6fc5b423e55f725d44791376588d653fb
Author: Armin Burgmeier <armin@arbur.net>
Date:   Thu Aug 21 18:29:06 2014 -0400

    Fix infinoted shutdown procedure on Windows

    It is run concurrently with the program, so instead of just shutting
    infinoted
    down (which did not seem to be a problem when InfStandaloneIo could
    not handle
    calls from another thread), now we dispatch a message to the main
    thread, to
    shut infinoted down.

 infinoted/infinoted-signal.c | 15 +++++++++++++--
 1 file changed, 13 insertions(+), 2 deletions(-)

commit 00c4322842600f429c74eddfde2c36ef9f014d04
Author: Armin Burgmeier <armin@arbur.net>
Date:   Thu Aug 21 17:58:45 2014 -0400

    Fix infinoted not starting when accounts file is not available

 libinfinity/server/infd-filesystem-account-storage.c | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

commit b6b0b404480fd7610fb24a728ec5d513b1af911b
Author: Armin Burgmeier <armin@arbur.net>
Date:   Thu Aug 21 16:30:37 2014 -0400

    Initialize libinfinity in inf-test-tcp-connection

    So that on Windows WinSock is initialized

 test/inf-test-tcp-connection.c | 10 ++++++++--
 1 file changed, 8 insertions(+), 2 deletions(-)

commit 365fa90ab4b9ff7698b11455c60859f3368663ea
Author: Armin Burgmeier <armin@arbur.net>
Date:   Thu Aug 21 16:30:21 2014 -0400

    Fix compilation of InfGtkPermissionsDialog with GTK+ 2

 libinfgtk/inf-gtk-permissions-dialog.c | 22 ++++++++++++++++++++++
 1 file changed, 22 insertions(+)

commit 943254a96d448d2faa43cebc037c0dbc99868ce2
Author: Armin Burgmeier <armin@arbur.net>
Date:   Thu Aug 21 16:29:05 2014 -0400

    Fix a small typo when creating the serial number of a certificate

 libinfinity/common/inf-cert-util.c | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

commit a81a5b5cf93e323721e6054c593d8e67ae91bef7
Author: Armin Burgmeier <armin@arbur.net>
Date:   Wed Aug 20 14:28:17 2014 -0400

    Fix a memory leak in InfTextUndoGrouping

    The behaviour was also not correct, since the function took the position
    from the original request, and not from the translated one.

 libinftext/inf-text-undo-grouping.c | 13 ++++++++++---
 1 file changed, 10 insertions(+), 3 deletions(-)

commit 7873c4f019b5a81ad088997e04ce34e5d75f6884
Author: Armin Burgmeier <armin@arbur.net>
Date:   Wed Aug 20 14:13:36 2014 -0400

    Fix a memory leak in InfAdoptedUndoGrouping

 libinfinity/adopted/inf-adopted-undo-grouping.c | 11 ++++++++++-
 1 file changed, 10 insertions(+), 1 deletion(-)

commit 56d6c679c4bb737ea1dedc29a35cca3d659be4ef
Author: Armin Burgmeier <armin@arbur.net>
Date:   Wed Aug 20 13:27:33 2014 -0400

    InfGtkCertificateManager: Read known hosts file correctly with IPv6
    addresses

 libinfgtk/inf-gtk-certificate-manager.c | 25 ++++++++++++++++++++++++-
 1 file changed, 24 insertions(+), 1 deletion(-)

commit 5257f0f9f8dc80f8f9eb6397d843cc95ce313082
Author: Armin Burgmeier <armin@arbur.net>
Date:   Wed Aug 20 13:27:07 2014 -0400

    Fix a resource leak in InfUser

    The connection object was not released.

 libinfinity/common/inf-user.c | 9 +++++++++
 1 file changed, 9 insertions(+)

commit b40d04d93fd7c94eb52c2553f07e384ae7fa4220
Author: Armin Burgmeier <armin@arbur.net>
Date:   Wed Aug 20 11:54:44 2014 -0400

    Fix a memory leak in InfGtkBrowserView

    The browser variable could be leaked in
    inf_gtk_browser_view_progress_data_func().

 libinfgtk/inf-gtk-browser-view.c | 3 ++-
 1 file changed, 2 insertions(+), 1 deletion(-)

commit c290f6d8e84654e3826f75337279a47013cc33c4
Author: Armin Burgmeier <armin@arbur.net>
Date:   Wed Aug 20 09:58:37 2014 -0400

    Add support to InfXmppManager for hostname-based TCP connections

 .../libinfinity/libinfinity-0.6-sections.txt      |   4 +
 libinfgtk/inf-gtk-certificate-manager.c           |  10 +-
 libinfinity/common/inf-name-resolver.c            |  45 +
 libinfinity/common/inf-name-resolver.h            |   9 +
 libinfinity/common/inf-xmpp-manager.c             | 873 +++++++++++++++-----
 libinfinity/common/inf-xmpp-manager.h             |  25 +-
 6 files changed, 743 insertions(+), 223 deletions(-)

commit 8401d29051448f4f2590d5d691bd15906f800356
Author: Armin Burgmeier <armin@arbur.net>
Date:   Mon Aug 18 22:25:06 2014 -0400

    Add the resolver property to InfTcpConnection

    This allows InfTcpConnection to resolve a hostname by itself before it
    connects to it, with the advantage that it can try all available
    addresses for the hostname in question.

 .../libinfinity/libinfinity-0.6-sections.txt      |   1 +
 libinfinity/common/inf-tcp-connection.c           | 753 ++++++++++++++------
 libinfinity/common/inf-tcp-connection.h           |   5 +
 test/inf-test-tcp-connection.c                    | 114 ++-
 4 files changed, 651 insertions(+), 222 deletions(-)

commit ee3e24849ef65f658fddf45f16bdef104544937d
Author: Armin Burgmeier <armin@arbur.net>
Date:   Mon Aug 18 22:23:52 2014 -0400

    Add the InfNameResolver class

    This class allows to do asynchronous host name lookups with support for
    SRV records. SRV lookups are only implemented on Linux at the moment.

 configure.ac                                      |    2 +-
 .../libinfinity/libinfinity-0.6-docs.sgml         |    1 +
 .../libinfinity/libinfinity-0.6-sections.txt      |   22 +
 libinfinity/common/Makefile.am                    |    2 +
 libinfinity/common/inf-name-resolver.c            | 1444 +++++++++++++++++++
 libinfinity/common/inf-name-resolver.h            |  104 ++
 6 files changed, 1574 insertions(+), 1 deletion(-)

commit 0fe67f9b9be5ed9fa5918ee9cd324894bd8aedf3
Author: Armin Burgmeier <armin@arbur.net>
Date:   Tue Aug 19 11:08:05 2014 -0400

    InfXmppConnection: Make notification callbacks when properties can
    be changed

 libinfinity/common/inf-xmpp-connection.c | 9 +++++++--
 1 file changed, 7 insertions(+), 2 deletions(-)

commit 1bb4690ab9061e1c8cd128ce14414f1ccad00017
Author: Armin Burgmeier <armin@arbur.net>
Date:   Mon Aug 18 22:24:38 2014 -0400

    Fix a typo in the documentation

 libinfinity/server/infd-filesystem-account-storage.c | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

commit 0cb6099eb0601edc8dd8160635cf4ab9585ae8d1
Author: Armin Burgmeier <armin@arbur.net>
Date:   Mon Aug 18 18:10:59 2014 -0400

    Make InfdDirectory use the InfdAccountStorage interface

 .../libinfinity/libinfinity-0.6-docs.sgml         |    3 +-
 .../libinfinity/libinfinity-0.6-sections.txt      |   23 +-
 infinoted/infinoted-config-reload.c               |  131 +-
 infinoted/infinoted-run.c                         |   28 +-
 .../plugins/infinoted-plugin-certificate-auth.c   |   18 +-
 libinfinity/common/inf-acl.c                      |   17 +
 libinfinity/common/inf-acl.h                      |    4 +
 libinfinity/server/Makefile.am                    |    2 -
 libinfinity/server/infd-acl-account-info.c        |  686 ----
 libinfinity/server/infd-acl-account-info.h        |  105 -
 libinfinity/server/infd-directory.c               | 3560 +++++++++++++------
 libinfinity/server/infd-directory.h               |   14 +-
 libinfinity/server/infd-filesystem-storage.c      |  126 -
 libinfinity/server/infd-storage.c                 |   61 -
 libinfinity/server/infd-storage.h                 |   23 -
 15 files changed, 2574 insertions(+), 2227 deletions(-)

commit 0f5c5a88bf35113035fafee5b33f64fb8a46f2c4
Author: Armin Burgmeier <armin@arbur.net>
Date:   Mon Aug 18 18:10:34 2014 -0400

    infinoted: Fix crash when reloading options without command line args

 infinoted/infinoted-options.c | 18 +++++++++++-------
 1 file changed, 11 insertions(+), 7 deletions(-)

commit 2dc5846b243b10cb556ab5a6a6858ba7c755916a
Author: Armin Burgmeier <armin@arbur.net>
Date:   Mon Aug 18 17:25:33 2014 -0400

    Fix delicate warnings and crashes in InfGtkPermissionsDialog

 libinfgtk/inf-gtk-permissions-dialog.c | 68 ++++++++++++++++++++++++++------
 1 file changed, 56 insertions(+), 12 deletions(-)

commit 01eb49a842d5e3fb292c1b51cb71a0bb0573648c
Author: Armin Burgmeier <armin@arbur.net>
Date:   Mon Aug 18 15:59:04 2014 -0400

    Don't remove ACL-queried flag when query-account-list permission
    was dropped

    The can-query-acl-account-list permission is no longer required to query
    the ACL of a node.

 libinfinity/client/infc-browser.c   | 11 ++---------
 libinfinity/server/infd-directory.c | 14 --------------
 2 files changed, 2 insertions(+), 23 deletions(-)

commit c666b95a8e4c8f124291c9f8f83321a80ac81cc7
Author: Armin Burgmeier <armin@arbur.net>
Date:   Mon Aug 18 15:58:02 2014 -0400

    Permissions dialog: Lookup account names after query-acl-account-list

    This updates the dialog when the query-acl-account-list permission has
    been granted while the dialog is open, and some un-lookupped names are
    lingering in the list.

 libinfgtk/inf-gtk-permissions-dialog.c | 23 +++++++++++++++++++++++
 1 file changed, 23 insertions(+)

commit 45449b2931861e67695a2d8ad1d1e046394222ef
Author: Armin Burgmeier <armin@arbur.net>
Date:   Mon Aug 18 15:29:40 2014 -0400

    Permissions dialog: Lookup unknown accounts from cache before querying
    browser

 libinfgtk/inf-gtk-permissions-dialog.c | 18 +++++++++++++++++-
 1 file changed, 17 insertions(+), 1 deletion(-)

commit 6c7f4017adab1fb4b605f4b416f25983f4fc48fa
Author: Armin Burgmeier <armin@arbur.net>
Date:   Mon Aug 18 15:28:51 2014 -0400

    Correctly remove outdated user accounts when client updates account list

 libinfinity/client/infc-browser.c | 104 ++++++++++++++++++++++++++++++++++--
 1 file changed, 101 insertions(+), 3 deletions(-)

commit e07d9978e89b7da673ebf8b3265f6a5d8cc5808b
Author: Armin Burgmeier <armin@arbur.net>
Date:   Mon Aug 18 11:38:49 2014 -0400

    Don't require client certificates to be signed by a CA

    The server only requires that it is signed by one of the certificates in
    its list. The client does not verify the signer of the retrieved client
    certificate, since it has to trust the server anyway.

 .../plugins/infinoted-plugin-certificate-auth.c   |   6 +-
 libinfinity/client/infc-browser.c                 | 107 +++++++++++---------
 libinfinity/server/infd-directory.c               |  37 +++----
 3 files changed, 82 insertions(+), 68 deletions(-)

commit fdc74988a414e526c7065574fcd2e06a86288b62
Author: Armin Burgmeier <armin@arbur.net>
Date:   Mon Aug 18 12:49:56 2014 -0400

    Don't trust every certificate where the issuer is not found

    The code was written under the assumption that when asking GnuTLS to
    verify a certificate, it always fills the verification result fully.
    However, when the issuer is not found, it immediately returns and does
    not report other reasons why the certificate might be invalid.

    However, we need to do at least a certificate verification even if the
    signer of the certificate is not found, because in the latter case, we
    use trust-on-first-use, and if the user decides so, still accept the
    certificate. This is now fixed by running the certificate validation a
    second time when the signer is not found, where we explicitly provide
    the signer sent by the server.

 libinfgtk/inf-gtk-certificate-dialog.c  |  2 +-
 libinfgtk/inf-gtk-certificate-manager.c | 44 ++++++++++++++++++++++---------
 2 files changed, 33 insertions(+), 13 deletions(-)

commit 742ff4e1a9cf1337701c13a18b9d9c989252a063
Author: Armin Burgmeier <armin@arbur.net>
Date:   Mon Aug 18 12:49:32 2014 -0400

    Set a title for the account creation window

 libinfgtk/inf-gtk-account-creation-dialog.c | 2 ++
 1 file changed, 2 insertions(+)

commit 3c6c896fd0d1341ad4d7b3ad4932dce41246d8a9
Author: Armin Burgmeier <armin@arbur.net>
Date:   Mon Aug 18 11:37:29 2014 -0400

    Add inf_cert_util_write_certificate_mem()

    This also changes the internal certificate writing proceduces from
    GIOchannel to GString, which allows to write the files with
    g_file_set_contents(). This has better error checking, and more
    importantly, it writes files atomically.

 .../libinfinity/libinfinity-0.6-sections.txt      |   1 +
 libinfinity/common/inf-cert-util.c                | 150 +++++++++++++-------
 libinfinity/common/inf-cert-util.h                |   5 +
 3 files changed, 104 insertions(+), 52 deletions(-)

commit 569ad7d5efc7e43bbcc0ea9659b078929431e2ee
Author: Armin Burgmeier <armin@arbur.net>
Date:   Mon Aug 18 10:11:36 2014 -0400

    infinoted: Make sure startup errors also show in log file

    This allows system administrators to only filter the log file for
    errors, and they don't have to keep also an eye on stderr.

    However, early startup errors are still only logged to stderr, in case
    they happen before the log file could be opened, for example when the
    configuration file is incorrectly formatted.

 infinoted/infinoted-main.c | 24 +++++++++++++++++++++---
 1 file changed, 21 insertions(+), 3 deletions(-)

commit c0d104245c0585a22e6ebc3f0d6b9c2e0d540d2b
Author: Armin Burgmeier <armin@arbur.net>
Date:   Fri Aug 15 16:43:46 2014 -0400

    Update button sensitivity after pending realization in permissions dialog

 libinfgtk/inf-gtk-permissions-dialog.c | 4 ++++
 1 file changed, 4 insertions(+)

commit 7e6b3b17c8f5f7e6cf38b1b090beea0f78e8f18b
Author: Armin Burgmeier <armin@arbur.net>
Date:   Fri Aug 15 16:42:54 2014 -0400

    Fix a warning in the permissions dialog

    This could happen when the default sheet of a node was empty and a new
    account was added to the sheet in the dialog.

 libinfgtk/inf-gtk-permissions-dialog.c | 13 +++++++++----
 1 file changed, 9 insertions(+), 4 deletions(-)

commit e687fd618f0dda417560ab5da2cb5fb03b49d194
Author: Armin Burgmeier <armin@arbur.net>
Date:   Fri Aug 15 16:24:28 2014 -0400

    Fix a possible warning when the permissions dialog is closed

    It can happen that dispose() is called twice.

 libinfgtk/inf-gtk-permissions-dialog.c | 26 ++++++++++++++++++++++++++
 1 file changed, 26 insertions(+)

commit efed7ba453e652d300545b0aee2d377d0ca8d2b6
Author: Armin Burgmeier <armin@arbur.net>
Date:   Fri Aug 15 16:24:14 2014 -0400

    Add inf_acl_sheet_set_sink()

 .../libinfinity/libinfinity-0.6-sections.txt      |  1 +
 libinfinity/common/inf-acl.c                      | 28 +++++++++++++++++++++
 libinfinity/common/inf-acl.h                      |  3 +++
 3 files changed, 32 insertions(+)

commit c98ebb4086ef09203308a5da383b98a71f71b89e
Author: Armin Burgmeier <armin@arbur.net>
Date:   Fri Aug 15 15:01:46 2014 -0400

    Implement InfdFilesystemAccountStorage

 .../libinfinity/libinfinity-0.6-docs.sgml         |    1 +
 .../libinfinity/libinfinity-0.6-sections.txt      |   19 +-
 libinfinity/server/Makefile.am                    |    2 +
 libinfinity/server/infd-account-storage.c         |    4 +-
 .../server/infd-filesystem-account-storage.c      | 1771 +++++++++++++++++++
 .../server/infd-filesystem-account-storage.h      |  101 ++
 libinfinity/server/infd-filesystem-storage.c      |   36 +-
 libinfinity/server/infd-filesystem-storage.h      |    2 -
 8 files changed, 1917 insertions(+), 19 deletions(-)

commit c68194a97d5ddb45aff01cb2d9f7011f3a7eadeb
Author: Armin Burgmeier <armin@arbur.net>
Date:   Fri Aug 15 13:09:57 2014 -0400

    InfdFilesystemStorage: Make the XML reading/writing functions public

    This can help to simplify InfChatFilesystemFormat and
    InfTextFilesystemFormat, and it allows external code to alter XML files
    in the storage.

 .../libinfinity/libinfinity-0.6-sections.txt      |   2 +
 libinfinity/server/infd-filesystem-storage.c      | 469 +++++++++++---------
 libinfinity/server/infd-filesystem-storage.h      |  16 +
 3 files changed, 284 insertions(+), 203 deletions(-)

commit c8a0358d529b8a99168703bb37496212341c262e
Author: Armin Burgmeier <armin@arbur.net>
Date:   Mon Aug 11 21:50:33 2014 -0400

    Add the InfdAccountStorage interface

 .../libinfinity/libinfinity-0.6-docs.sgml         |   1 +
 .../libinfinity/libinfinity-0.6-sections.txt      |  28 +
 libinfinity/common/inf-acl.h                      |   1 +
 libinfinity/server/Makefile.am                    |   2 +
 libinfinity/server/infd-account-storage.c         | 742 ++++++++++++++++++++
 libinfinity/server/infd-account-storage.h         | 251 +++++++
 6 files changed, 1025 insertions(+)

commit 0dbaea2420ee278fd4b63e93720b20c1cfb2acaa
Author: Armin Burgmeier <armin@arbur.net>
Date:   Thu Aug 14 23:07:37 2014 -0400

    InfGtkPermissionsDialog: Skip warning account listing is unsupported

 libinfgtk/inf-gtk-permissions-dialog.c | 8 +++++++-
 1 file changed, 7 insertions(+), 1 deletion(-)

commit 8c04cf744e1b54d6a3a50ea44d6850461b57fd6f
Author: Armin Burgmeier <armin@arbur.net>
Date:   Wed Aug 13 21:54:48 2014 -0400

    Fix certificate-auth plugin loading failure

    On success, gnutls_certificate_set_x509_trust() returns the number
    of added
    certificates instead of 0 in some gnutls versions.

 infinoted/plugins/infinoted-plugin-certificate-auth.c | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

commit 58d9a57fa27356b124bb714a81eb893884025c2c
Author: Armin Burgmeier <armin@arbur.net>
Date:   Wed Aug 13 21:45:24 2014 -0400

    Impose fewer constraints on the server, protocol-wise

    For example, the server does no longer need to be able to provide a full
    list of accounts, or to provide notifications when accounts are added or
    removed.

    This is preparation work for a new interface that allows to provide the
    user accounts from an external source such as a database, LDAP, pam, or
    other means.

 .../libinfinity/libinfinity-0.6-sections.txt      |   15 +-
 .../plugins/infinoted-plugin-certificate-auth.c   |   18 +-
 libinfgtk/inf-gtk-account-creation-dialog.c       |    5 +-
 libinfgtk/inf-gtk-acl-sheet-view.c                |    1 +
 libinfgtk/inf-gtk-browser-view.c                  |   36 +-
 libinfgtk/inf-gtk-permissions-dialog.c            | 1981 ++++++++++++++++---
 libinfinity/client/infc-browser.c                 | 1098 +++++++---
 libinfinity/common/inf-acl.c                      |   98 +-
 libinfinity/common/inf-acl.h                      |   64 +-
 libinfinity/common/inf-browser.c                  |  218 +-
 libinfinity/common/inf-browser.h                  |   66 +-
 libinfinity/common/inf-request-result.c           |   96 +-
 libinfinity/common/inf-request-result.h           |   21 +-
 libinfinity/server/infd-acl-account-info.c        |    7 +-
 libinfinity/server/infd-acl-account-info.h        |    2 +-
 libinfinity/server/infd-directory.c               |  796 +++++---
 libinfinity/server/infd-directory.h               |    2 +-
 libinfinity/server/infd-filesystem-storage.c      |    2 +-
 test/inf-test-set-acl.c                           |   55 +-
 19 files changed, 3541 insertions(+), 1040 deletions(-)

commit b83655140face899a87287f47af9284a5c4e4fbb
Author: Armin Burgmeier <armin@arbur.net>
Date:   Wed Aug 13 10:51:24 2014 -0400

    Fix a crash when there is an empty directory and a plugin is unloaded

 infinoted/infinoted-plugin-manager.c | 20 +++++++++++---------
 1 file changed, 11 insertions(+), 9 deletions(-)

commit 650a6207ee994b464f710ea28beda6d3ffa4d2f7
Author: Armin Burgmeier <armin@arbur.net>
Date:   Tue Aug 12 21:11:00 2014 -0400

    inf-test-set-acl: Bail out if file does not contain a certificate

    Instead of crashing.

 test/inf-test-set-acl.c | 6 ++++++
 1 file changed, 6 insertions(+)

commit b96eef880fe8a98d551c46607a05675ed20ef40e
Author: Armin Burgmeier <armin@arbur.net>
Date:   Sat Aug 9 23:01:51 2014 -0400

    Update infinoted man page

 infinoted/infinoted-0.6.man | 45 ++++++++++++++++---------------------------
 1 file changed, 17 insertions(+), 28 deletions(-)

commit 12e9a8e6274f386cffb147a35b1b560d52ac530c
Author: Armin Burgmeier <armin@arbur.net>
Date:   Sat Aug 9 12:10:37 2014 -0400

    Print the final buffer in inf-test-text-replay to stdout

 test/inf-test-text-replay.c | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

commit 200840eb93229aa2e6b5be3de29bdcd3108519d1
Author: Armin Burgmeier <armin@arbur.net>
Date:   Fri Aug 8 22:52:12 2014 -0400

    Add a TODO comment about smarter transformation of text with newlines

 TODO | 13 +++++++++++++
 1 file changed, 13 insertions(+)

commit 82f991d26f15d644720d512b3949af1439168919
Author: Armin Burgmeier <armin@arbur.net>
Date:   Thu Aug 7 18:33:32 2014 -0400

    Complete libinfinoted-plugin-manager documentation

 .../libinfinoted-plugin-manager-0.6-sections.txt  |  45 ++++----
 infinoted/infinoted-log.c                         |  10 +-
 infinoted/infinoted-parameter.c                   |  18 ++++
 infinoted/infinoted-parameter.h                   | 107 ++++++++++++++++++--
 infinoted/infinoted-plugin-manager.h              |  65 +++++++++++-
 infinoted/infinoted-util.c                        |  29 ++++--
 infinoted/infinoted-util.h                        |   2 -
 7 files changed, 227 insertions(+), 49 deletions(-)

commit b3035a108ebb6db7e224c2604fc6215a2e25eb7b
Author: Armin Burgmeier <armin@arbur.net>
Date:   Thu Aug 7 17:26:57 2014 -0400

    Build documentation for libinfinoted-plugin-manager

 configure.ac                                      |   1 +
 docs/reference/Makefile.am                        |   2 +-
 .../libinfinoted-plugin-manager/.gitignore        |  13 +++
 .../libinfinoted-plugin-manager/Makefile.am       | 110 ++++++++++++++++++++
 .../libinfinoted-plugin-manager-0.6-docs.sgml     |  25 +++++
 .../libinfinoted-plugin-manager-0.6-sections.txt  |  79 ++++++++++++++
 6 files changed, 229 insertions(+), 1 deletion(-)

commit ba2f8635767671ebaa29377e988c2ce9a5ec22a4
Author: Armin Burgmeier <armin@arbur.net>
Date:   Thu Aug 7 17:04:54 2014 -0400

    Turn InfinotedPluginManager into a GObject

 infinoted/infinoted-config-reload.c  |  13 +-
 infinoted/infinoted-plugin-manager.c | 656 +++++++++++++++++++++++++--------
 infinoted/infinoted-plugin-manager.h |  61 ++-
 infinoted/infinoted-run.c            |  12 +-
 4 files changed, 569 insertions(+), 173 deletions(-)

commit 086fc2f4f0265760e1db94f6ceb4ba4a014e7f39
Author: Armin Burgmeier <armin@arbur.net>
Date:   Thu Aug 7 15:03:41 2014 -0400

    Move chat filesystem format from infinoted plugin to libinfinity

    This way other note plugins can share the code.

 .../libinfinity/libinfinity-0.6-docs.sgml         |   1 +
 .../libinfinity/libinfinity-0.6-sections.txt      |   7 +
 infinoted/plugins/infinoted-plugin-note-chat.c    | 149 ++----------
 libinfinity/client/infc-browser.c                 |   7 +-
 libinfinity/common/inf-chat-session.c             |  21 +-
 libinfinity/common/inf-chat-session.h             |   2 +-
 libinfinity/server/Makefile.am                    |   2 +
 libinfinity/server/infd-chat-filesystem-format.c  | 255 ++++++++++++++++++++
 libinfinity/server/infd-chat-filesystem-format.h  |  58 +++++
 libinfinity/server/infd-directory.c               |   7 +-
 libinftext/inf-text-filesystem-format.c           |  10 +-
 11 files changed, 366 insertions(+), 153 deletions(-)

commit 66360a1e45eeb3930988ba44f21f2bab2e903c6f
Author: Armin Burgmeier <armin@arbur.net>
Date:   Thu Aug 7 14:31:49 2014 -0400

    Provide functions to operate on InfdFilesystemStorage-provided stream

    This avoids potential problems when the the stream is opened in a DLL
    that uses a different C runtime library than the code that is trying to
    read from it or close it. This can especially happen on Windows.

 .../libinfinity/libinfinity-0.6-sections.txt      |  3 ++
 infinoted/plugins/infinoted-plugin-note-chat.c    | 19 ++++---
 libinfinity/server/infd-filesystem-storage.c      | 59 +++++++++++++++++++++
 libinfinity/server/infd-filesystem-storage.h      | 13 +++++
 libinftext/inf-text-filesystem-format.c           | 17 +++---
 5 files changed, 96 insertions(+), 15 deletions(-)

commit fb4ba8d7fee8d0466b209809e32c11773363b815
Author: Armin Burgmeier <armin@arbur.net>
Date:   Thu Aug 7 14:12:16 2014 -0400

    Add infd_filesystem_storage_get_path()

 .../libinfinity/libinfinity-0.6-sections.txt      |  1 +
 libinfinity/server/infd-filesystem-storage.c      | 62 ++++++++++++++++-----
 libinfinity/server/infd-filesystem-storage.h      |  6 ++
 3 files changed, 55 insertions(+), 14 deletions(-)

commit 95ad52800ada168f818210664e04e34bde6265cf
Author: Armin Burgmeier <armin@arbur.net>
Date:   Thu Aug 7 11:24:06 2014 -0400

    Don't require a "seq" attribute for set-acl requests

    The client handling of set-acl was incorrect; if no "seq" attribute was
    provided it set an error but never actually checked for the error.

 libinfinity/client/infc-browser.c | 10 ++++++++--
 1 file changed, 8 insertions(+), 2 deletions(-)

commit 684bdf5ee8b003f0c4a12149446858b378cdec1f
Author: Armin Burgmeier <armin@arbur.net>
Date:   Thu Aug 7 11:23:13 2014 -0400

    Avoid crash on destruction when non-fatal error is set in
    InfGtkBrowserStore

 libinfgtk/inf-gtk-browser-store.c | 13 +++++++++++--
 1 file changed, 11 insertions(+), 2 deletions(-)

commit 2cf867636d684b00493bdfa4b006cd9922fd7854
Author: Armin Burgmeier <armin@arbur.net>
Date:   Wed Aug 6 21:20:02 2014 -0400

    Emit "subscribe-session" when enabling the server chat

    The same for "unsubscribe-session" when the chat is disabled

 libinfinity/server/infd-directory.c | 160 +++++++++++++++++++---------------
 1 file changed, 92 insertions(+), 68 deletions(-)

commit f90baa048556c8dbfcb9c07cb110cfe00b951c06
Author: Armin Burgmeier <armin@arbur.net>
Date:   Tue Aug 5 22:25:56 2014 -0400

    Several documentation fixes

 .../libinfgtk/libinfgtk-0.6-sections.txt          |   4 +-
 docs/reference/libinfinity/Makefile.am            |   4 +-
 .../libinfinity/libinfinity-0.6-sections.txt      | 111 +++++------
 .../libinftext/libinftext-0.6-sections.txt        |   2 -
 libinfgtk/inf-gtk-account-creation-dialog.c       |  22 +--
 libinfgtk/inf-gtk-account-creation-dialog.h       |   5 +-
 libinfinity/adopted/inf-adopted-algorithm.h       |   8 +-
 libinfinity/adopted/inf-adopted-request-log.c     |   6 +-
 libinfinity/adopted/inf-adopted-user.c            |   2 +-
 libinfinity/client/infc-request-manager.c         |  42 ++++-
 libinfinity/client/infc-request-manager.h         |  32 +++-
 libinfinity/client/infc-session-proxy.c           |   2 +-
 libinfinity/common/inf-acl.c                      |   4 +-
 libinfinity/common/inf-acl.h                      |   5 +-
 libinfinity/common/inf-browser-iter.h             |   8 +
 libinfinity/common/inf-browser.c                  |  42 ++---
 libinfinity/common/inf-browser.h                  |   8 +-
 libinfinity/common/inf-cert-util.h                |   2 +-
 libinfinity/common/inf-certificate-chain.c        |   2 +-
 libinfinity/common/inf-error.h                    |   3 +
 libinfinity/common/inf-file-util.h                |   2 +
 libinfinity/common/inf-io.h                       |  23 +++
 libinfinity/common/inf-native-socket.c            |   6 +
 libinfinity/common/inf-request-result.c           |   8 +-
 libinfinity/common/inf-request.c                  |   2 +-
 libinfinity/common/inf-sasl-context.c             |   5 +-
 libinfinity/common/inf-session-proxy.c            |   2 +-
 libinfinity/common/inf-session.c                  |   8 +-
 libinfinity/common/inf-session.h                  |   1 +
 libinfinity/common/inf-tcp-connection.c           |  42 ++++-
 libinfinity/common/inf-tcp-connection.h           |  31 +++
 libinfinity/common/inf-user.h                     |   4 +-
 libinfinity/common/inf-xmpp-connection.c          |  24 ++-
 libinfinity/common/inf-xmpp-connection.h          | 198 ++++++++++++++++++--
 .../inf-communication-group-private.h             |   2 +-
 libinfinity/server/infd-acl-account-info.c        |   7 +-
 libinfinity/server/infd-acl-account-info.h        |   4 +-
 libinfinity/server/infd-directory.c               |   2 +-
 libinfinity/server/infd-progress-request.c        |   2 +-
 libinfinity/server/infd-server-pool.c             |   2 +-
 libinfinity/server/infd-storage.c                 |   6 +-
 libinftext/inf-text-buffer.h                      |   8 +-
 libinftext/inf-text-filesystem-format.h           |   2 +-
 libinftextgtk/inf-text-gtk-hue-chooser.c          |  27 +++
 libinftextgtk/inf-text-gtk-hue-chooser.h          |  18 ++
 45 files changed, 574 insertions(+), 176 deletions(-)

commit 571df75d2ae995983984214d1588cab80eddd339
Author: Armin Burgmeier <armin@arbur.net>
Date:   Mon Aug 4 22:23:47 2014 -0400

    Remove outdated HACKING file

 HACKING | 10 ----------
 1 file changed, 10 deletions(-)

commit 7fccfd56a7816dc488e354f0d852e5d5652e3800
Author: Armin Burgmeier <armin@arbur.net>
Date:   Mon Aug 4 22:23:02 2014 -0400

    Add libinfinoted-plugin-manager to README.md

 README.md | 2 ++
 1 file changed, 2 insertions(+)

commit 921fd26e896b225034296732f8db485ffcec4fac
Author: Philipp Kern <pkern@debian.org>
Date:   Sun Jul 20 22:15:41 2014 +0200

    Ignore missing README.

    Not shipping with a README does not comply with GNU standards. But that's
    ok, we ship with a README.md. Tell autoconf that the package is foreign
    to GNU.

 configure.ac | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

commit 8154fa4a2020843ed397b4b29f17f4dfd47c1d14
Author: Philipp Kern <pkern@debian.org>
Date:   Sun Jul 20 22:09:35 2014 +0200

    Convert the README to Markdown and update it.

    Markdown is rendered as HTML on GitHub. Add build status from Travis CI.
    Reference the GitHub issue tracker instead of the old Trac. Update
    dependencies using the actual checks in configure.ac.

 README    | 56 ----------------------------------------------------
 README.md | 65 +++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++
 2 files changed, 65 insertions(+), 56 deletions(-)

commit 04c3483b5088e9acbf1c288b2c43872b1bd2243b
Author: Philipp Kern <pkern@debian.org>
Date:   Sun Jul 20 21:56:08 2014 +0200

    Use g_return_val_if_fail in inf_sasl_context_session_is_processing.

    Fixes a build failure with clang because an empty return is invalid in a
    non-void function.

 libinfinity/common/inf-sasl-context.c | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

commit 67a08838002bf6b490d9156e9b90d54799f54bea
Author: Armin Burgmeier <armin@arbur.net>
Date:   Wed Jul 16 16:55:06 2014 +0200

    InfGtkBrowserView: Redraw also recursively on ACL change

    This is necessary since when for example the "can-subscribe-session"
    ACL is changed on a subdirectory, the icons for many nodes within the
    subdirectory might need to be changed.

 libinfgtk/inf-gtk-browser-view.c | 7 +++----
 1 file changed, 3 insertions(+), 4 deletions(-)

commit c55870103984ff3800c29e56dc3f740c78678cf6
Author: Armin Burgmeier <armin@arbur.net>
Date:   Wed Jul 16 16:38:39 2014 +0200

    InfXmppConnection: Allow to change credentials after construction

    But only as long as the credentials are not in use.

 libinfinity/common/inf-xmpp-connection.c | 6 +++---
 1 file changed, 3 insertions(+), 3 deletions(-)

commit 29fe913257c1ec4c1c53b509b4e0f89cb2c0e6f5
Author: Armin Burgmeier <armin@arbur.net>
Date:   Wed Jul 16 16:09:59 2014 +0200

    Fix a warning when the root ACL sheetset is empty

 libinfinity/server/infd-directory.c | 11 +++++++++--
 1 file changed, 9 insertions(+), 2 deletions(-)

commit a32f2da88f15d0dae6132f6d6410410daf345eed
Author: Armin Burgmeier <armin@arbur.net>
Date:   Wed Jul 16 16:02:34 2014 +0200

    Associate certificates to users by DN instead of by key fingerprint

    This allows easier transition when a user gets a new certificate, without
    serious security degradations.

 libinfinity/server/infd-acl-account-info.c | 22 ++++-----
 libinfinity/server/infd-directory.c        | 72 +++++++++++++++++++++-------
 2 files changed, 67 insertions(+), 27 deletions(-)

commit 5b2ae5bff7bbb031d7c58b25cc40d62cc8c16eb5
Author: Armin Burgmeier <armin@arbur.net>
Date:   Wed Jul 16 15:37:50 2014 +0200

    Add the gnutls_x509_crt_get_dn() function

 .../libinfinity/libinfinity-0.6-sections.txt      |  1 +
 libinfinity/common/inf-cert-util.c                | 36 +++++++++++++++++++++
 libinfinity/common/inf-cert-util.h                |  3 ++
 3 files changed, 40 insertions(+)

commit c6c7dc67fa27905a26e2ec54e943a5f2defed75f
Author: Armin Burgmeier <armin@arbur.net>
Date:   Mon Jul 14 18:42:47 2014 +0200

    Don't show subdirectory-only ACLs for leaf node in permissions dialog

 libinfgtk/inf-gtk-permissions-dialog.c | 33 +++++++++++++++++++-------------
 libinfinity/common/inf-acl.c           | 19 ++++++++++++++++++
 libinfinity/common/inf-acl.h           |  4 +++-
 3 files changed, 42 insertions(+), 14 deletions(-)

commit 3a612c3ce077cf2f49b1f5c51416d308e9c4a0f8
Author: Armin Burgmeier <armin@arbur.net>
Date:   Mon Jul 14 18:14:59 2014 +0200

    Don't allow the CAN_CREATE_ACCOUNT permission when server has no
    private key

    In this situation, the server does not support creating accounts, because
    it cannot generate client certificates.

 libinfinity/server/infd-directory.c | 170 +++++++++++++++++++++++++++++++++-
 1 file changed, 168 insertions(+), 2 deletions(-)

commit a4e9db590f2dd94db6eaaecbea1977adbe402c05
Author: Armin Burgmeier <armin@arbur.net>
Date:   Sun Jul 13 17:18:21 2014 +0200

    Fix plugin manager cleanup when unloading a plugin causes unsubscriptions

    The connection to the "unsubscribe-session" signal was removed too
    early, so
    that the cleanup of the plugin manager session hash table was not
    properly
    performed when a plugin's on_deinitialize() callback causes sessions
    to be
    unsubscribed. This can happen when the "note-text" plugin is
    deinitialized on
    server shutdown, and lead to an assertion failure at time of plugin
    manager
    destruction.

 infinoted/infinoted-plugin-manager.c | 38 +++++++++++++++++-----------------
 1 file changed, 19 insertions(+), 19 deletions(-)

commit fc6b7bcf57701cb7ae2fb4aec133fb97fe72a891
Author: Armin Burgmeier <armin@arbur.net>
Date:   Sun Jul 13 17:10:35 2014 +0200

    Fix assertion failure when removing a note plugin while a session
    is weak-refed

 libinfinity/server/infd-directory.c | 1 +
 1 file changed, 1 insertion(+)

commit 135ac641c2a2d0e500f69294666ec1579588adea
Author: Armin Burgmeier <armin@arbur.net>
Date:   Sun Jul 13 16:46:36 2014 +0200

    Don't create InfTextSession object in InfTextFilesystemFormat

    This allows to re-use the filesystem format functions when inheriting
    a class
    from InfTextSession.

 infinoted/plugins/infinoted-plugin-note-text.c | 25 ++++++++--
 libinftext/inf-text-filesystem-format.c        | 63 ++++++++----------------
 libinftext/inf-text-filesystem-format.h        |  7 ++-
 3 files changed, 44 insertions(+), 51 deletions(-)

commit fd249542ebe7d07784301bccef16d0006d3b07c4
Author: Armin Burgmeier <armin@arbur.net>
Date:   Sun Jul 13 13:31:28 2014 +0200

    Install header and pkg-config files for infinoted-plugin-manager

    This allows developing infinoted plugins outside of the libinfinity tree.

 Makefile.am                       |  1 +
 configure.ac                      |  1 +
 infinoted/Makefile.am             | 13 +++++++++----
 libinfinoted-plugin-manager.pc.in | 11 +++++++++++
 4 files changed, 22 insertions(+), 4 deletions(-)

commit 581a8b4377f0d3e73a5def62b60805137b0bbdca
Author: Armin Burgmeier <armin@arbur.net>
Date:   Sat Jul 12 21:24:08 2014 +0200

    Fix g_return_if_fail usage in inf_async_operation_start()

 libinfinity/common/inf-async-operation.c | 6 +++---
 1 file changed, 3 insertions(+), 3 deletions(-)

commit c1a24fb73b2fe0cc3e79207e21e13d48ac54ab8f
Author: Armin Burgmeier <armin@arbur.net>
Date:   Sat Jul 5 22:53:18 2014 +0200

    Add InfGtkAccountCreationDialog

 docs/reference/libinfgtk/libinfgtk-0.6-docs.sgml  |   1 +
 .../libinfgtk/libinfgtk-0.6-sections.txt          |  17 +
 libinfgtk/Makefile.am                             |   2 +
 libinfgtk/inf-gtk-account-creation-dialog.c       | 949 ++++++++++++++++++++
 libinfgtk/inf-gtk-account-creation-dialog.h       |  86 ++
 libinfinity/inf-marshal.in                        |   1 +
 6 files changed, 1056 insertions(+)

commit cad668dd5b51bddc7d84fd07cd94650eb43fd370
Author: Armin Burgmeier <armin@arbur.net>
Date:   Thu Jul 3 17:27:06 2014 +0200

    Add framework to run simple tasks asynchronously in a worker thread

 .../libinfinity/libinfinity-0.6-docs.sgml         |   1 +
 .../libinfinity/libinfinity-0.6-sections.txt      |  11 +
 libinfinity/common/Makefile.am                    |   2 +
 libinfinity/common/inf-async-operation.c          | 301 ++++++++++++++++++++
 libinfinity/common/inf-async-operation.h          |  80 ++++++
 5 files changed, 395 insertions(+)

commit 4bef6174b6801a02e5997577fb983801f08d299d
Author: Armin Burgmeier <armin@arbur.net>
Date:   Sat Jul 5 22:30:48 2014 +0200

    InfcBrowser: reset account-list-queried flag on disconnection

 libinfinity/client/infc-browser.c | 1 +
 1 file changed, 1 insertion(+)

commit ca3eb03e1caa2ad9efb817eca6ab0b08e2938316
Author: Armin Burgmeier <armin@arbur.net>
Date:   Sat Jul 5 22:30:20 2014 +0200

    InfcBrowser: report error properly when sheet set could not be decoded

 libinfinity/client/infc-browser.c | 3 +++
 1 file changed, 3 insertions(+)

commit 08e06015be1d76304f80dd12028ed93619d47c7d
Author: Armin Burgmeier <armin@arbur.net>
Date:   Sat Jul 5 22:07:41 2014 +0200

    Fix crash when changing ACL on unknown note type

 libinfinity/server/infd-directory.c | 31 +++++++++++++++++--------------
 1 file changed, 17 insertions(+), 14 deletions(-)

commit 29e5351cbcacb0a0469e97d4f92fa03c2157ac0e
Author: Armin Burgmeier <armin@arbur.net>
Date:   Sat Jul 5 21:59:47 2014 +0200

    Update TODO statements

 TODO                                | 2 +-
 libinfinity/server/infd-directory.c | 2 --
 2 files changed, 1 insertion(+), 3 deletions(-)

commit 8bbb19df0bb5eb1c75a07377729439fb6d21f657
Author: Armin Burgmeier <armin@arbur.net>
Date:   Sat Jul 5 21:59:17 2014 +0200

    Fix a crash when certificate-auth plugin fails to initialize

 infinoted/plugins/infinoted-plugin-certificate-auth.c | 3 +--
 1 file changed, 1 insertion(+), 2 deletions(-)

commit 3f776966a1ef79c206b5e44b3b59910c02fa6d72
Author: Armin Burgmeier <armin@arbur.net>
Date:   Thu Jul 3 14:38:31 2014 +0200

    InfGtkBrowserView: Allow initial root expansion in multiple views

    With the change that initial root expansion is performed by default in
    commit ef1ccbe5492e0d086e618ce323f3910b837bcf60, the current assumption
    that there is at most one view per request that expands the root node
    after initial exploration is no longer valid. The code is now changed
    such
    that the root node can be expanded in multiple views at the same time.

 libinfgtk/inf-gtk-browser-view.c | 48 ++++++++++++++++++++++++--------------
 1 file changed, 30 insertions(+), 18 deletions(-)

commit 7bb34e741a4d8c4d88530331db7714384fe5fcc7
Author: Armin Burgmeier <armin@arbur.net>
Date:   Wed Jul 2 14:56:12 2014 +0200

    Replace InfStandaloneIo by GAsyncQueue in InfSaslContext

    This simplifies the code a bit, and probably involves less overhead
    in the
    message passing.

 libinfinity/common/inf-error.h        |  2 +-
 libinfinity/common/inf-sasl-context.c | 61 +++++++++++++++++++--------------
 2 files changed, 36 insertions(+), 27 deletions(-)

commit 5da56cc674dc2a43c32d83e5becb5407b0345ec8
Author: Armin Burgmeier <armin@arbur.net>
Date:   Wed Jul 2 14:52:35 2014 +0200

    Fix assertion failure on double-challenge in SASL authentication

    This can not normally happen, however if a client sends a response
    before the server having asked for it, an assertion was hit in
    InfSaslContext.

    This behaviour is not allowed by SASL which follows a strict
    challenge -> response -> challenge -> response etc. pattern.
    Therefore, in this case the authentication is aborted now.

 .../libinfinity/libinfinity-0.6-sections.txt      |  1 +
 libinfinity/common/inf-sasl-context.c             | 26 ++++++++++++++++++
 libinfinity/common/inf-sasl-context.h             |  3 +++
 libinfinity/common/inf-xmpp-connection.c          | 30 ++++++++++++++++-----
 4 files changed, 53 insertions(+), 7 deletions(-)

commit 5e9fdc5c9a79cd455618d336a33d67af81d3afca
Merge: 687617b 27ef5d4
Author: Armin Burgmeier <armin@arbur.net>
Date:   Mon Jun 30 19:46:14 2014 +0200

    Merge remote-tracking branch 'polarina/master'

commit 687617baa4fbdb79d599a993183686ce09b2fd7b
Author: Armin Burgmeier <armin@arbur.net>
Date:   Mon Jun 30 19:42:24 2014 +0200

    Fix g_return_val_if_fail in infd_directory_remove_plugin()

 libinfinity/server/infd-directory.c | 4 ++--
 1 file changed, 2 insertions(+), 2 deletions(-)

commit 27ef5d4a8e0c5be5899155f56374cd2988f93b35
Author: Gabríel Arthúr Pétursson <gabriel@system.is>
Date:   Mon Jun 23 13:04:09 2014 +0000

    Implement inf_gtk_browser_store_remove_browser

 .../libinfgtk/libinfgtk-0.6-sections.txt          |  1 +
 libinfgtk/inf-gtk-browser-store.c                 | 22 +++++++++++++++++++++
 libinfgtk/inf-gtk-browser-store.h                 |  4 ++++
 3 files changed, 27 insertions(+)

commit ef1ccbe5492e0d086e618ce323f3910b837bcf60
Author: Gabríel Arthúr Pétursson <gabriel@system.is>
Date:   Fri Jun 13 22:45:39 2014 +0000

    Expand server's document list on connect

 libinfgtk/inf-gtk-browser-view.c | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

commit 2f9298920a647d671db59c9bce6149f27fad3db9
Author: Gabríel Arthúr Pétursson <gabriel@system.is>
Date:   Thu Jun 12 21:10:26 2014 +0000

    Fix use of uninitialized variable in
    inf_text_gtk_view_user_invalidate_user_area

    The bug manifests itself when show_remote_cursors and
    show_remote_selections
    evaluate to FALSE and show_remote_current_lines evaluates to TRUE.

    Usual symptoms are crashes.

 libinftextgtk/inf-text-gtk-view.c | 37 +++++++++++++++++++------------------
 1 file changed, 19 insertions(+), 18 deletions(-)

commit 6bcf72500046a5f7c11f83e256cf534a56e70058
Author: Armin Burgmeier <armin@arbur.net>
Date:   Sun Jun 29 14:11:57 2014 +0200

    Turn note plugins into regular plugins

 configure.ac                                      |   3 -
 infinoted/Makefile.am                             |   7 +-
 infinoted/infinoted-note-plugin.c                 | 208 ------------
 infinoted/infinoted-note-plugin.h                 |  49 ---
 infinoted/infinoted-options.c                     |   6 +-
 infinoted/infinoted-plugin-manager.c              |  16 +-
 infinoted/infinoted-run.c                         |  35 --
 infinoted/note-plugins/Makefile.am                |   1 -
 infinoted/note-plugins/chat/Makefile.am           |  20 --
 .../note-plugins/chat/infd-note-plugin-chat.c     | 235 --------------
 infinoted/note-plugins/text/Makefile.am           |  23 --
 .../note-plugins/text/infd-note-plugin-text.c     | 116 -------
 infinoted/plugins/Makefile.am                     |  22 ++
 infinoted/plugins/infinoted-plugin-note-chat.c    | 333 ++++++++++++++++++++
 infinoted/plugins/infinoted-plugin-note-text.c    | 214 +++++++++++++
 libinfinity/common/inf-error.c                    |   2 +
 libinfinity/common/inf-error.h                    |   3 +
 libinfinity/server/infd-directory.c               |  10 +-
 18 files changed, 601 insertions(+), 702 deletions(-)

commit 9c6504ba5ae13d5b5a29608e4342dfda4714df9d
Author: Armin Burgmeier <armin@arbur.net>
Date:   Sun Jun 29 13:50:13 2014 +0200

    Add infd_directory_remove_plugin() function

 .../libinfinity/libinfinity-0.6-sections.txt      |   1 +
 libinfinity/server/infd-directory.c               | 119 +++++++++++++++++++-
 libinfinity/server/infd-directory.h               |   4 +
 3 files changed, 122 insertions(+), 2 deletions(-)

commit 9fd77a7295e5395ec02118971937e8fd28266839
Author: Armin Burgmeier <armin@arbur.net>
Date:   Sun Jun 29 13:20:58 2014 +0200

    Add support for unknown notes in InfdDirectory

 libinfinity/server/infd-directory.c | 267 +++++++++++++++++++++++++---------
 1 file changed, 196 insertions(+), 71 deletions(-)

commit 6401fb586ec9102287e350880ea678ed23a5990b
Author: Armin Burgmeier <armin@arbur.net>
Date:   Fri Jun 27 14:30:04 2014 +0200

    Fix erase-text propagation in InfTextFixlineBuffer

 libinftext/inf-text-fixline-buffer.c | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

commit 208c40e6d8f21007f113932030fbbc44bb29ab35
Author: Gabríel Arthúr Pétursson <gabriel@system.is>
Date:   Mon Jun 9 16:18:42 2014 +0000

    Include GDK headers in inf-gtk-permissions-dialog.c

 libinfgtk/inf-gtk-permissions-dialog.c | 3 +++
 1 file changed, 3 insertions(+)

commit e43c20849d4c9a1397ff60d3c3b7ab9ac95e74b2
Author: Armin Burgmeier <armin@arbur.net>
Date:   Tue Jun 3 21:42:40 2014 +0200

    Add missing include file

    This fixes the build on Windows

 libinfgtk/inf-gtk-permissions-dialog.c | 1 +
 1 file changed, 1 insertion(+)

commit 1288cdf8f8a16f31689977e4cf70f54fc1a9520e
Author: Armin Burgmeier <armin@arbur.net>
Date:   Mon Jun 2 21:28:11 2014 +0200

    Fix a crash when server does not support a permission that the
    client does

    The client would then mask out the root node permission of the
    "default account", which is not allowed: the default account needs
    to have
    the full mask set on the root node. This patch fixes the problem
    by making
    sure the full mask is set in handle_set_acl. Unsupported permissions
    are then
    assumed to correspond to the default ones.

 libinfinity/client/infc-browser.c | 52 ++++++++++++++++++++++++++++++++-----
 1 file changed, 46 insertions(+), 6 deletions(-)

commit 8b9df18a3a49ccedce26ffa6b81339964aa78625
Author: Armin Burgmeier <armin@arbur.net>
Date:   Fri May 16 16:09:01 2014 +0200

    Add functionality in InfGtkPermissionDialog to remove accounts

 libinfgtk/inf-gtk-permissions-dialog.c | 442 +++++++++++++++++++++++++++++++
 1 file changed, 442 insertions(+)

commit 0b35ee51e0d808c956420cea9f8061218a449e4a
Author: Armin Burgmeier <armin@arbur.net>
Date:   Fri May 16 16:07:19 2014 +0200

    Fix authorization check in infd_directory_handle_query_acl()

 libinfinity/server/infd-directory.c | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

commit b344804d3584bc860d60431142b6453505ec8ac7
Author: Armin Burgmeier <armin@arbur.net>
Date:   Thu May 15 19:32:39 2014 +0200

    Implement remaining ACL permissions

 libinfinity/common/inf-acl.c        |  43 ++++++++-
 libinfinity/common/inf-acl.h        |  23 +++++
 libinfinity/server/infd-directory.c | 174 +++++++++++++++++++++++++++-------
 3 files changed, 207 insertions(+), 33 deletions(-)

commit adb4cb3c8045e5784b38dcfa0926dcdfd1d110fd
Author: Armin Burgmeier <armin@arbur.net>
Date:   Thu May 15 16:41:31 2014 +0200

    Fix the cleanup tests

    This change involves making the function inf_adopted_algorithm_cleanup()
    public, so that it can be called by InfAdoptedSession at the appropriate
    time.
    Another nice benefit of this is that now it is up to the user of
    InfAdoptedAlgorithm to decide when to remove no longer used
    requests. This
    can for example be used to keep a full history by not calling the
    function at
    all, or to cleanup in regular intervals.

 .../libinfinity/libinfinity-0.6-sections.txt      |   1 +
 libinfinity/adopted/inf-adopted-algorithm.c       | 252 ++++++++++----------
 libinfinity/adopted/inf-adopted-algorithm.h       |   3 +
 libinfinity/adopted/inf-adopted-session.c         |  22 +-
 4 files changed, 154 insertions(+), 124 deletions(-)

commit 30af3fc4b0c57cce4f349cfd80d1f216fe1eb8b0
Author: Armin Burgmeier <armin@arbur.net>
Date:   Wed May 14 17:42:33 2014 +0200

    Fix possible memory leak in inf_session_communication_object_received()

 libinfinity/common/inf-session.c | 2 ++
 1 file changed, 2 insertions(+)

commit 6be10da6ac0f130deff03a3e85d3a651f97b1e17
Author: Armin Burgmeier <armin@arbur.net>
Date:   Wed May 14 17:38:41 2014 +0200

    Improve error messages in inf-test-text-cleanup

 test/inf-test-text-cleanup.c | 36 ++++++++++++++++++++++++++++++++----
 1 file changed, 32 insertions(+), 4 deletions(-)

commit d7d5c6cdf0ed5f890d5eb14c13be4d466b615f29
Author: Philipp Kern <pkern@debian.org>
Date:   Sun May 11 12:33:48 2014 +0200

    Travis CI: Do not call configure twice.

 .travis.yml | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

commit e6919ac6b4246e964a5648e1bc24e5955e1e8b20
Author: Philipp Kern <pkern@debian.org>
Date:   Sun May 11 12:24:03 2014 +0200

    Add Travis CI support.

 .travis.yml | 8 ++++++++
 1 file changed, 8 insertions(+)

commit 3ca30b3e2bd8881368c586a7dfa828251c39a1ab
Author: Armin Burgmeier <armin@arbur.net>
Date:   Fri May 9 16:18:26 2014 +0200

    Change logic of certificate checking to be SSH-like

    The "known hosts" file is changed to contain mappings from hostname to
    certificate. This technique is also known as "certificate pinnng". The
    certificate check is then performed as follows:

    If the certificate is valid, then connect, and remove any entry in
    the known
    hosts file.

    If the certificate is invalid for a reason other than a hostname
    mismatch or
    the CA not being trusted, then disconnect.

    Otherwise, look up the name of the host in the "known hosts" file:

     * If the certificate that is saved for this host is equal to the
     one that
       was presented, then proceed.
     * If there is no entry, or if the certificate saved in the known
     hosts file
       is expired or revoked, then show a dialog asking whether to trust the
       connection (showing what the problem is (either hostname or CA
       untrusted)),
       and if yes, add it to the known hosts file
     * If the stored certificate is not the same as the one presented,
     then also
       show a dialog with a "this is strange, please make sure you only
       proceed
       if you expect this message otherwise contact the server
       administrator".
       Replace the certificate in the known hosts file if proceeding.

    If the hostname matches the one in the certificate and if the certificate
    is issued by a trusted CA, then proceed with the connection. If the
    certificate is invalid

 libinfgtk/inf-gtk-certificate-dialog.c  | 160 ++----
 libinfgtk/inf-gtk-certificate-dialog.h  |  30 +-
 libinfgtk/inf-gtk-certificate-manager.c | 840 +++++++++++++++++++-----------
 3 files changed, 613 insertions(+), 417 deletions(-)

commit 9879d21e64d73d007b56e75a4cbcac9eadac33e0
Author: Armin Burgmeier <armin@arbur.net>
Date:   Tue May 6 21:17:52 2014 +0200

    Allow to specify reason for certificate rejection

 .../plugins/infinoted-plugin-certificate-auth.c   | 17 +++++-
 libinfgtk/inf-gtk-certificate-manager.c           |  9 ++-
 libinfinity/common/inf-xmpp-connection.c          | 61 ++++++++++++++++-----
 libinfinity/common/inf-xmpp-connection.h          |  3 +-
 4 files changed, 70 insertions(+), 20 deletions(-)

commit 4ea815cccb2b3388a5f33d72b42ba47a93038c80
Author: Armin Burgmeier <armin@arbur.net>
Date:   Tue May 6 21:02:41 2014 +0200

    Add INF_GNUTLS_CERTIFICATE_VERIFICATION_ERROR domain

 .../libinfinity/libinfinity-0.6-sections.txt      |  2 +
 libinfinity/common/inf-error.c                    | 57 +++++++++++++++++++++
 libinfinity/common/inf-error.h                    |  7 +++
 3 files changed, 66 insertions(+)

commit 1e2edf642135ee87ec0cbb582d3763b17086548b
Author: Armin Burgmeier <armin@arbur.net>
Date:   Tue May 6 16:17:18 2014 +0200

    Add additional assert statements

    These avoid false positives of the clang static analyzer.

 libinfinity/adopted/inf-adopted-state-vector.c | 8 +++++---
 test/inf-test-reduce-replay.c                  | 5 +++++
 2 files changed, 10 insertions(+), 3 deletions(-)

commit 67be1478d72b139937d95098326ce31ba2e99dd5
Author: Armin Burgmeier <armin@arbur.net>
Date:   Tue May 6 16:54:36 2014 +0200

    Fix missing return values in infinoted_plugin_document_stream_io_in()

 infinoted/plugins/infinoted-plugin-document-stream.c | 13 +++++--------
 1 file changed, 5 insertions(+), 8 deletions(-)

commit 2d907b7eea831a4d79095cee03d62a7bfd8d8d43
Author: Armin Burgmeier <armin@arbur.net>
Date:   Tue May 6 16:41:45 2014 +0200

    Fix cleanup order of InfdDirectory

 libinfinity/server/infd-directory.c | 101 ++++++++++++++++++++--------------
 1 file changed, 59 insertions(+), 42 deletions(-)

commit 33b90bf92d17d121cf9cac5a829f7e0f20446be0
Author: Armin Burgmeier <armin@arbur.net>
Date:   Tue May 6 16:16:35 2014 +0200

    Fix an invalid pointer dereference in inf_text_chunk_get_segment()

 libinftext/inf-text-chunk.c | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

commit 8ab8c9bd841011ef7c7b119a27743b1ffe1f4800
Author: Armin Burgmeier <armin@arbur.net>
Date:   Tue May 6 14:18:10 2014 +0200

    Fix g_return_if_fail / g_return_val_if_fail occurences

 libinfgtk/inf-gtk-browser-store.c           |  4 ++--
 libinfgtk/inf-gtk-certificate-manager.c     |  2 +-
 libinfinity/adopted/inf-adopted-algorithm.c | 19 +++++++++++--------
 libinfinity/adopted/inf-adopted-operation.c | 10 +++++-----
 libinfinity/common/inf-acl.c                |  2 +-
 libinfinity/server/infd-directory.c         |  6 +++---
 6 files changed, 23 insertions(+), 20 deletions(-)

commit 7bdda5389027559f10c708aa68e35a755b7a7b68
Author: Armin Burgmeier <armin@arbur.net>
Date:   Sun May 4 19:31:44 2014 +0200

    Add the certificate-auth plugin

    This plugin enables client authentification with client certificates. The
    functionality has already been available in the infinoted server
    itself and
    is now moved into a plugin.

    The has additional features compared to the previous functionality,
    including
    the accept-unauthenticated-clients option and the feature to create a
    short-lived super account that can be used to set up the initial
    permissions.

 infinoted/infinoted-options.c                     |  12 -
 infinoted/infinoted-options.h                     |   1 -
 infinoted/infinoted-run.c                         |  87 ---
 infinoted/infinoted-startup.c                     |  47 --
 infinoted/infinoted-startup.h                     |   3 -
 infinoted/plugins/Makefile.am                     |  10 +
 .../plugins/infinoted-plugin-certificate-auth.c   | 602 ++++++++++++++++++++
 7 files changed, 612 insertions(+), 150 deletions(-)

commit 4d8093bad8c3bf526e6c7f93483f69eae71c4b88
Author: Armin Burgmeier <armin@arbur.net>
Date:   Sun May 4 19:31:13 2014 +0200

    Remove an outdated assertion that is no longer true with transient
    accounts

 libinfinity/server/infd-directory.c | 4 +---
 1 file changed, 1 insertion(+), 3 deletions(-)

commit af92d0d91e4cf692bb2ed6db4d88f7239605b753
Author: Armin Burgmeier <armin@arbur.net>
Date:   Sun May 4 19:20:45 2014 +0200

    Fix two memory leaks in infinoted

 infinoted/infinoted-log.c       | 2 ++
 infinoted/infinoted-parameter.c | 3 +++
 2 files changed, 5 insertions(+)

commit 85bffce83cfe8880dbc1febf4c4af31c6ac107ed
Author: Armin Burgmeier <armin@arbur.net>
Date:   Sun May 4 19:19:30 2014 +0200

    Fix assertion failure when browser is disconnected while waiting
    for welcome

 libinfinity/client/infc-browser.c | 6 ++++++
 1 file changed, 6 insertions(+)

commit 53ebb250c396ad4a0de492fdd34c933459f33bb8
Author: Armin Burgmeier <armin@arbur.net>
Date:   Sun May 4 17:24:55 2014 +0200

    Remove an obsolete TODO item

 libinfinity/server/infd-directory.c | 4 ----
 1 file changed, 4 deletions(-)

commit 54e839839f2caa165edd58585c56da26c28254c2
Author: Armin Burgmeier <armin@arbur.net>
Date:   Sun May 4 16:56:49 2014 +0200

    InfXmppConnection: Allow to specify gnutls_certificate_request_t

    This allows to reject clients that do not present a certificate already
    on the TLS level.

 infinoted/infinoted-run.c                | 1 +
 libinfgtk/inf-gtk-certificate-manager.c  | 1 +
 libinfinity/common/inf-xmpp-connection.c | 7 ++++++-
 libinfinity/common/inf-xmpp-connection.h | 1 +
 4 files changed, 9 insertions(+), 1 deletion(-)

commit d8a306e8cbc0a5028a7950efb4f1e196ed9fc314
Author: Armin Burgmeier <armin@arbur.net>
Date:   Sun May 4 16:43:42 2014 +0200

    Add certificate credentials to the plugin manager

    This allows plugin to access the credentials and to possibly alter
    them. The
    upcoming certificate authentication plugin needs to do this in order to
    set the trusted CA certificates that client certificates need to
    be signed
    with.

 infinoted/infinoted-config-reload.c  |  1 +
 infinoted/infinoted-plugin-manager.c | 27 ++++++++++++++++++++++++++-
 infinoted/infinoted-plugin-manager.h |  5 +++++
 infinoted/infinoted-run.c            |  1 +
 4 files changed, 33 insertions(+), 1 deletion(-)

commit e95548e32d86c4769a19b860138d5f54ae539280
Author: Armin Burgmeier <armin@arbur.net>
Date:   Sun May 4 15:05:26 2014 +0200

    infinoted plugin manager: Call on_deinitalize if on_initialize fails

    This simplifies makes the cleanup routines in the plugins.

 infinoted/infinoted-plugin-manager.c                 | 3 +++
 infinoted/plugins/infinoted-plugin-directory-sync.c  | 4 ----
 infinoted/plugins/infinoted-plugin-document-stream.c | 8 --------
 3 files changed, 3 insertions(+), 12 deletions(-)

commit 02ca7b677894164ca1c202b164797402d1445727
Author: Armin Burgmeier <armin@arbur.net>
Date:   Sun May 4 13:58:08 2014 +0200

    Raise key strength when creating private key with --create-key

    Going up from 2048 bit to 4096 bit.

 infinoted/infinoted-startup.c | 4 ++--
 1 file changed, 2 insertions(+), 2 deletions(-)

commit 054a6d88054e04185dcce1d8c332b1f6c811f5b4
Author: Armin Burgmeier <armin@arbur.net>
Date:   Sun May 4 13:45:35 2014 +0200

    Rename inf_cert_util_check_certificate_signature to
    _check_certificate_key

 docs/reference/libinfinity/libinfinity-0.6-sections.txt |  2 +-
 libinfinity/common/inf-cert-util.c                      | 10 +++++-----
 libinfinity/common/inf-cert-util.h                      |  4 ++--
 3 files changed, 8 insertions(+), 8 deletions(-)

commit fbfc23a38364417c48db36c92f8b0f4c0ba3c66a
Author: Armin Burgmeier <armin@arbur.net>
Date:   Sun May 4 13:42:59 2014 +0200

    Add more flexibility when creating certificates with inf-cert-util

 .../libinfinity/libinfinity-0.6-sections.txt      |   3 +
 infinoted/infinoted-startup.c                     |   8 +-
 libinfinity/common/inf-cert-util.c                | 176 +++++++++++++++-----
 libinfinity/common/inf-cert-util.h                |  34 ++++
 4 files changed, 180 insertions(+), 41 deletions(-)

commit 8b781bcf8511d6e7107fcd6e0e1b8a8c6e39e065
Author: Armin Burgmeier <armin@arbur.net>
Date:   Sat May 3 21:20:35 2014 +0200

    Add API and protocol handling for creating and removing ACL accounts

 .../libinfinity/libinfinity-0.6-sections.txt      |  18 +-
 libinfinity/client/infc-browser.c                 | 705 +++++++++-------
 libinfinity/client/infc-browser.h                 |   8 -
 libinfinity/common/inf-browser.c                  |  73 ++
 libinfinity/common/inf-browser.h                  |  28 +
 libinfinity/common/inf-error.c                    |   2 +
 libinfinity/common/inf-error.h                    |   3 +
 libinfinity/common/inf-request-result.c           | 190 +++--
 libinfinity/common/inf-request-result.h           |  29 +-
 libinfinity/server/infd-acl-account-info.c        |  10 +-
 libinfinity/server/infd-acl-account-info.h        |   6 +-
 libinfinity/server/infd-directory.c               | 849 ++++++++++++++------
 libinfinity/server/infd-directory.h               |   9 +
 test/inf-test-certificate-request.c               |  19 +-
 14 files changed, 1308 insertions(+), 641 deletions(-)

commit c187c67d86449688b61fa2c1ffd4e763876c9037
Author: Armin Burgmeier <armin@arbur.net>
Date:   Sat May 3 20:35:00 2014 +0200

    Fix PEM output in inf-test-certificate-request.c

 test/inf-test-certificate-request.c | 4 +++-
 1 file changed, 3 insertions(+), 1 deletion(-)

commit f8edd98b0984ccc870d04b2ad7f6ef29d690d13c
Author: Armin Burgmeier <armin@arbur.net>
Date:   Sat May 3 20:34:35 2014 +0200

    Fix a memory leak in infc_request_manager_get_request_by_xml()

 libinfinity/client/infc-request-manager.c | 1 +
 1 file changed, 1 insertion(+)

commit 287c722099e8a9d44381ed6516eca477f18f7dc8
Author: Armin Burgmeier <armin@arbur.net>
Date:   Fri May 2 12:23:33 2014 +0200

    Add possibility to the protocol to remove ACL accounts

 libinfinity/client/infc-browser.c   | 163 +++++++++++++++++++++++++++
 libinfinity/common/inf-error.c      |   2 +
 libinfinity/common/inf-error.h      |   3 +
 libinfinity/server/infd-directory.c | 206 +++++++++++++++++++++++++++++++++-
 4 files changed, 371 insertions(+), 3 deletions(-)

commit ea3893a6b73ea4d4dbf06c8f4eacbb22a67d51b2
Author: Armin Burgmeier <armin@arbur.net>
Date:   Fri May 2 11:18:39 2014 +0200

    Bail if an inconsistent change-acl-account message arrives

 libinfinity/client/infc-browser.c | 17 +++++++++++++++++
 1 file changed, 17 insertions(+)

commit 3cbe8c6b6113f92213800d1777599c237174ecc8
Author: Armin Burgmeier <armin@arbur.net>
Date:   Thu May 1 21:15:49 2014 +0200

    Fix possible read-after-end in
    inf_text_fixline_buffer_buffer_insert_text()

 libinftext/inf-text-fixline-buffer.c | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

commit 5a7157e75e583bce88a1805be7cae63da0bb5810
Author: Armin Burgmeier <armin@arbur.net>
Date:   Thu May 1 21:15:12 2014 +0200

    Fix an allocation problem in inf_text_fixline_buffer_buffer_insert_text()

 libinftext/inf-text-fixline-buffer.c | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

commit e1fdb9c87e1db1f6df18dc0897657ab651b9e9dd
Author: Armin Burgmeier <armin@arbur.net>
Date:   Thu May 1 20:15:38 2014 +0200

    Fix build of inf-native-socket.c on Windows

 libinfinity/common/inf-native-socket.c | 6 ++++--
 1 file changed, 4 insertions(+), 2 deletions(-)

commit c49d3e29c538030179eeb494732e4f185d72cd0a
Author: Armin Burgmeier <armin@arbur.net>
Date:   Wed Apr 30 23:18:25 2014 +0200

    Re-use some low level socket code in inf-native-socket.[hc]

 .../libinfinity/libinfinity-0.6-docs.sgml         |   1 +
 .../libinfinity/libinfinity-0.6-sections.txt      |   8 ++
 libinfinity/common/Makefile.am                    |   2 +
 libinfinity/common/inf-io.h                       |  18 +--
 libinfinity/common/inf-native-socket.c            |  97 +++++++++++++++
 libinfinity/common/inf-native-socket.h            |  72 ++++++++++++
 libinfinity/common/inf-tcp-connection.c           | 123 +++++---------------
 libinfinity/server/infd-tcp-server.c              |  71 +++--------
 8 files changed, 227 insertions(+), 165 deletions(-)

commit f0d448a8807af1d7814a537a7a404ea104cdf211
Author: Armin Burgmeier <armin@arbur.net>
Date:   Sun Apr 27 23:12:38 2014 +0200

    Allow the account of a client to be changed at runtime

 .../libinfinity/libinfinity-0.6-sections.txt      |   5 +-
 libinfinity/client/infc-browser.c                 | 192 ++++++++++++++++----
 libinfinity/common/inf-acl.c                      |  23 +++
 libinfinity/common/inf-acl.h                      |   3 +
 libinfinity/common/inf-browser.c                  |  52 ++++++
 libinfinity/common/inf-browser.h                  |   9 +
 libinfinity/server/infd-directory.c               | 100 +++++++++-
 libinfinity/server/infd-directory.h               |   5 +
 8 files changed, 348 insertions(+), 41 deletions(-)

commit d1a7c0852b6f723cc943bf98deb1d0e098b54fc1
Author: Armin Burgmeier <armin@arbur.net>
Date:   Sun Apr 27 20:42:24 2014 +0200

    Support can-subscribe-session and can-explore-nodes in InfGtkBrowserView

 libinfgtk/inf-gtk-browser-view.c | 148 ++++++++++++++++++++++++++++++++-----
 1 file changed, 129 insertions(+), 19 deletions(-)

commit a717abf035ffc06de3389f060b8f1bb9651b28fe
Author: Armin Burgmeier <armin@arbur.net>
Date:   Sun Apr 27 19:52:52 2014 +0200

    Add INF_ACL_CAN_EXPLORE_NODE permission

 libinfinity/client/infc-browser.c   | 4 ++--
 libinfinity/common/inf-acl.c        | 5 +++++
 libinfinity/common/inf-acl.h        | 3 +++
 libinfinity/server/infd-directory.c | 9 +++++++--
 4 files changed, 17 insertions(+), 4 deletions(-)

commit 9f0236e5e4a8447e977470bcbfdf5295df4cf1db
Author: Armin Burgmeier <armin@arbur.net>
Date:   Sun Apr 27 20:52:41 2014 +0200

    Fix return value of infd_directory_enforce_single_acl()

 libinfinity/server/infd-directory.c | 10 ++++++----
 1 file changed, 6 insertions(+), 4 deletions(-)

commit f946a63a101743c6b29d8ba3ca9ebe1f275ed3f2
Author: Armin Burgmeier <armin@arbur.net>
Date:   Sun Apr 27 20:44:44 2014 +0200

    Fix a crash when enforcing ACL on the server side

 libinfinity/server/infd-directory.c | 17 +++++++++--------
 1 file changed, 9 insertions(+), 8 deletions(-)

commit 3395af5ca3c68bd81479d3597f9c3bd92ed0acb6
Author: Armin Burgmeier <armin@arbur.net>
Date:   Sat Apr 26 21:57:41 2014 +0200

    Enforce ACLs on all connections on ACL change

 .../libinfinity/libinfinity-0.6-sections.txt      |   3 +-
 libinfgtk/inf-gtk-acl-sheet-view.c                |   2 +-
 libinfgtk/inf-gtk-permissions-dialog.c            |  77 +++-
 libinfinity/client/infc-browser.c                 | 349 +++++++++++++++
 libinfinity/common/inf-browser.c                  |  55 ++-
 libinfinity/common/inf-browser.h                  |   9 +
 libinfinity/server/infd-directory.c               | 451 ++++++++++++++++++--
 7 files changed, 904 insertions(+), 42 deletions(-)

commit e940fcbc46f3b400ecb2265bc83a79da54930235
Author: Armin Burgmeier <armin@arbur.net>
Date:   Sat Apr 26 21:31:26 2014 +0200

    Update autogen.sh to latest version of gnome-common

    This enables running it with the latest automake

 INSTALL    |  12 ++--
 autogen.sh | 184 ++++++++++++++---------------------------------------------
 2 files changed, 48 insertions(+), 148 deletions(-)

commit a50ed511c754c5d23cca185eb54548dd9176b080
Author: Armin Burgmeier <armin@arbur.net>
Date:   Sat Apr 26 20:26:29 2014 +0200

    Fix crash in inf_acl_sheet_set_from_xml when account id cannot be found

 libinfinity/common/inf-acl.c | 6 ++++--
 1 file changed, 4 insertions(+), 2 deletions(-)

commit 5ca0e84462bbe471d91eee00660a28a60a500b29
Author: Armin Burgmeier <armin@arbur.net>
Date:   Sat Apr 26 10:09:24 2014 +0200

    Remove ACLs from disk when removing a node

 libinfinity/server/infd-filesystem-storage.c | 24 ++++++++++++++++++++++--
 1 file changed, 22 insertions(+), 2 deletions(-)

commit 61fc849a575bb93a3fecc70478c98b3f80e6a5a1
Author: Armin Burgmeier <armin@arbur.net>
Date:   Sat Apr 19 19:26:23 2014 +0200

    Add two-way chat support to document-stream

 .../plugins/infinoted-plugin-document-stream.c    | 379 +++++++++++++++++---
 1 file changed, 335 insertions(+), 44 deletions(-)

commit 598ed69384c91e4636c9bbb649d1b4ff8ea4f558
Author: Armin Burgmeier <armin@arbur.net>
Date:   Sat Apr 19 19:24:45 2014 +0200

    Fix resurrection of weak-refed session in InfdDirectory

 libinfinity/server/infd-directory.c | 7 +++++--
 1 file changed, 5 insertions(+), 2 deletions(-)

commit 1171093ea96156d092a45924635b3cd7769d1ec6
Author: Armin Burgmeier <armin@arbur.net>
Date:   Thu Apr 10 17:16:06 2014 +0200

    infinoted: Also log CN of certificate at connection attempts and errors

 infinoted/plugins/infinoted-plugin-logging.c | 179 +++++++++++++++++++++----
 libinfinity/common/inf-xmpp-connection.c     |  40 +++++-
 2 files changed, 191 insertions(+), 28 deletions(-)

commit ff19814b2a91e3442f3f536978dfc65e5132ffc6
Author: Armin Burgmeier <armin@arbur.net>
Date:   Wed Apr 9 19:32:00 2014 +0200

    Send a "request-invalid" back to the remote site if execute-request
    failed

    This is currently not handled, but can help to diagnose problems

 libinfinity/adopted/inf-adopted-session.c | 80 ++++++++++++++++++++++++++---
 1 file changed, 72 insertions(+), 8 deletions(-)

commit ce068a20618772726ccc20f3751f04114307f474
Author: Armin Burgmeier <armin@arbur.net>
Date:   Sat Apr 5 23:04:17 2014 +0200

    Add document-stream infinoted plugin

 configure.ac                                      |    4 +-
 infinoted/infinoted-plugin-manager.c              |   14 +
 infinoted/infinoted-plugin-manager.h              |    3 +
 infinoted/plugins/Makefile.am                     |   23 +-
 .../plugins/infinoted-plugin-document-stream.c    | 1215 +++++++++++++++++++
 .../util/infinoted-plugin-util-navigate-browser.c |  310 +++++
 .../util/infinoted-plugin-util-navigate-browser.h |   60 +
 7 files changed, 1627 insertions(+), 2 deletions(-)

commit e49eb90e6f53ffb96c54d2fa2c98b7e4ff6254e7
Author: Armin Burgmeier <armin@arbur.net>
Date:   Sat Apr 5 23:03:41 2014 +0200

    Fix win32 build failure in directory-sync infinoted plugin

 infinoted/plugins/infinoted-plugin-directory-sync.c | 5 ++++-
 1 file changed, 4 insertions(+), 1 deletion(-)

commit 0cf4bd7934024673dbd4ebc4490889432b27fb84
Author: Armin Burgmeier <armin@arbur.net>
Date:   Fri Feb 28 16:02:13 2014 +0100

    Simplify the request API

    Instead of having many classes and interfaces for the different parameter
    types of request results, we have now one new type, InfRequestResult,
    which
    combines the various signatures of a request result. This allows to keep
    only one interface, InfRequest, which provides the "finished" signal
    itself.
    There are four implementations, two on the client and two on the
    server side.
    One is the basic "request" object, and the other is a request object with
    progress information for node exploration and user list query.

 .../libinfinity/libinfinity-0.6-docs.sgml         |  19 +-
 .../libinfinity/libinfinity-0.6-sections.txt      | 262 ++-----
 .../plugins/infinoted-plugin-directory-sync.c     |   2 +-
 infinoted/plugins/infinoted-plugin-linekeeper.c   |  11 +-
 libinfgtk/inf-gtk-browser-store.c                 |  44 +-
 libinfgtk/inf-gtk-browser-view.c                  |  74 +-
 libinfgtk/inf-gtk-permissions-dialog.c            |  44 +-
 libinfinity/client/Makefile.am                    |  18 +-
 .../client/infc-acl-account-list-request.c        | 357 ---------
 .../client/infc-acl-account-list-request.h        |  75 --
 libinfinity/client/infc-browser.c                 | 603 ++++++++-------
 libinfinity/client/infc-browser.h                 |  17 +-
 libinfinity/client/infc-certificate-request.c     | 312 --------
 libinfinity/client/infc-certificate-request.h     |  98 ---
 libinfinity/client/infc-chat-request.c            | 305 --------
 libinfinity/client/infc-chat-request.h            |  90 ---
 libinfinity/client/infc-explore-request.c         | 273 -------
 libinfinity/client/infc-explore-request.h         |  76 --
 libinfinity/client/infc-node-request.c            | 314 --------
 libinfinity/client/infc-node-request.h            |  66 --
 libinfinity/client/infc-progress-request.c        | 286 +++++++
 libinfinity/client/infc-progress-request.h        |  76 ++
 libinfinity/client/infc-request-manager.c         |  24 +
 libinfinity/client/infc-request-manager.h         |   6 +
 libinfinity/client/infc-request.c                 | 255 +++++-
 libinfinity/client/infc-request.h                 |  20 +-
 libinfinity/client/infc-session-proxy.c           |  25 +-
 libinfinity/client/infc-user-request.c            | 272 -------
 libinfinity/client/infc-user-request.h            |  64 --
 libinfinity/common/Makefile.am                    |  10 +-
 libinfinity/common/inf-acl-account-list-request.c | 164 ----
 libinfinity/common/inf-acl-account-list-request.h |  82 --
 libinfinity/common/inf-browser.c                  | 125 ++-
 libinfinity/common/inf-browser.h                  | 136 ++--
 libinfinity/common/inf-explore-request.c          | 117 ---
 libinfinity/common/inf-explore-request.h          |  58 --
 libinfinity/common/inf-node-request.c             | 141 ----
 libinfinity/common/inf-node-request.h             |  87 ---
 libinfinity/common/inf-request-result.c           | 808 ++++++++++++++++++++
 libinfinity/common/inf-request-result.h           | 157 ++++
 libinfinity/common/inf-request.c                  |  94 ++-
 libinfinity/common/inf-request.h                  |  36 +-
 libinfinity/common/inf-session-proxy.c            |  10 +-
 libinfinity/common/inf-session-proxy.h            |  16 +-
 libinfinity/common/inf-user-request.c             | 143 ----
 libinfinity/common/inf-user-request.h             |  87 ---
 libinfinity/server/Makefile.am                    |  10 +-
 libinfinity/server/infd-directory.c               | 260 ++++---
 libinfinity/server/infd-explore-request.c         | 258 -------
 libinfinity/server/infd-explore-request.h         |  73 --
 libinfinity/server/infd-node-request.c            | 310 --------
 libinfinity/server/infd-progress-request.c        | 272 +++++++
 libinfinity/server/infd-progress-request.h        |  73 ++
 libinfinity/server/infd-request.c                 | 302 ++++++++
 .../{infd-node-request.h => infd-request.h}       |  34 +-
 libinfinity/server/infd-session-proxy.c           |  26 +-
 libinfinity/server/infd-user-request.c            | 242 ------
 libinfinity/server/infd-user-request.h            |  64 --
 libinftext/inf-text-session.c                     |   8 +-
 libinftext/inf-text-session.h                     |   4 +-
 test/inf-test-certificate-request.c               |   8 +-
 test/inf-test-chat.c                              |  12 +-
 test/inf-test-gtk-browser.c                       |  32 +-
 test/inf-test-mass-join.c                         |  14 +-
 test/inf-test-set-acl.c                           |  16 +-
 65 files changed, 3227 insertions(+), 5150 deletions(-)

commit 1e7fabfa776854711035825271e06f5c6ce4a52d
Author: Armin Burgmeier <armin@arbur.net>
Date:   Mon Feb 24 22:15:14 2014 +0100

    infinoted: Set umask to system value instead of 0077

    This is only relevant when infinoted is started in daemonized mode.
    libdaemon resets the umask, but we don't want that, so that the system
    administrator can specify the permissions to use for the root directory
    with the umask. See #617.

 infinoted/infinoted-main.c | 16 +++++++++++-----
 1 file changed, 11 insertions(+), 5 deletions(-)

commit 12d4e363692fa352d31aee65143af885a61da90f
Author: Armin Burgmeier <armin@arbur.net>
Date:   Mon Feb 24 22:12:47 2014 +0100

    Allow group and other access to files created in the storage

    If this is not wanted, it can be prevented by setting the umask
    appropriately.

 libinfinity/server/infd-filesystem-storage.c | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

commit cecf5112459ce7f93c354b9f80831720e31d88f6
Author: Armin Burgmeier <armin@arbur.net>
Date:   Mon Feb 24 21:55:59 2014 +0100

    Make sure infinoted properly depends on infinoted-plugin-manager

    It looks like the dependency tracking works when specifying the relative
    path in infinoted_0_6_LDADD, but not the absolute path based on
    ${top_srcdir}. It seems strange to me, but it seems to work.

 infinoted/Makefile.am | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

commit af955a3e1ef7cd7753b594e72bd5446a25d1ef61
Author: Armin Burgmeier <armin@arbur.net>
Date:   Sun Feb 23 22:25:02 2014 +0100

    Add missing LIBADD to infinoted-plugin-traffic-logging

 infinoted/plugins/Makefile.am | 8 ++++++++
 1 file changed, 8 insertions(+)

commit bb7e1741413a97c30359d0aeee32b83f3ef5d438
Author: Armin Burgmeier <armin@arbur.net>
Date:   Sat Feb 22 22:30:22 2014 +0100

    Add workaround for inconsistent cursor position with InfTextFixlineBuffer

    This should be treated as a temporary solution until a proper
    propagation of
    cursor position and selection through the InfTextBuffer interface is
    in place.

 libinftext/inf-text-session.c | 24 ++++++++++++++++++++++++
 1 file changed, 24 insertions(+)

commit 264b71eac40d00ab3643060b77a71f3d216181eb
Author: Armin Burgmeier <armin@arbur.net>
Date:   Mon Feb 17 22:42:43 2014 +0100

    infinoted: flush the log file after writing to it

 infinoted/infinoted-log.c | 1 +
 1 file changed, 1 insertion(+)

commit a8fea1c61cf03e994b3bff072ef1a8d3ba019650
Author: Armin Burgmeier <armin@arbur.net>
Date:   Fri Feb 14 19:18:24 2014 +0100

    Fix return value check of gnutls_certificate_set_x509_trust()

    Since some version of gnutls, this function seems to return the number of
    read certificates instead of 0, in case of success.

 infinoted/infinoted-startup.c | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

commit 687fb2556da44926a7a4051131f53861faea278f
Author: Armin Burgmeier <armin@arbur.net>
Date:   Fri Feb 14 19:00:40 2014 +0100

    Add missing include file to inf-file-util.c

 libinfinity/common/inf-file-util.c | 1 +
 1 file changed, 1 insertion(+)

commit 8e5854b462001e3ca2501b3402df466bee942ba9
Author: Armin Burgmeier <armin@arbur.net>
Date:   Fri Feb 14 15:52:10 2014 +0100

    Fix iter_get_length implementation in InfTextGtkBuffer

    The problem was that the begin and end iterators were swapped.

 libinftextgtk/inf-text-gtk-buffer.c | 4 ++--
 1 file changed, 2 insertions(+), 2 deletions(-)

commit 5356b8395e1333b628017c2f102f97e2332dfccc
Author: Armin Burgmeier <armin@arbur.net>
Date:   Fri Feb 14 15:51:51 2014 +0100

    Fix an off-by-one assertion in InfTextFixlineBuffer

 libinftext/inf-text-fixline-buffer.c | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

commit 9addbcbda6660c72377513535699a764decb5f24
Author: Armin Burgmeier <armin@arbur.net>
Date:   Sat Feb 8 23:21:14 2014 +0100

    Add InfTextFixlineBuffer

    This class allows to keep a fixed number of empty trailing lines on the
    client side, without making any change to the actual document that
    is kept
    synchronized in the session.

 .../reference/libinftext/libinftext-0.6-docs.sgml |    1 +
 .../libinftext/libinftext-0.6-sections.txt        |   16 +
 libinftext/Makefile.am                            |    2 +
 libinftext/inf-text-fixline-buffer.c              | 1831 +++++++++++++++++++
 libinftext/inf-text-fixline-buffer.h              |   72 +
 test/Makefile.am                                  |   12 +-
 test/inf-test-text-fixline.c                      |  310 ++++
 7 files changed, 2243 insertions(+), 1 deletion(-)

commit 6902b68b49a94681d380d56abd18993e09ae131e
Author: Armin Burgmeier <armin@arbur.net>
Date:   Thu Feb 6 18:18:26 2014 +0100

    Fix two minor documentation issues

 libinftext/inf-text-buffer.c            | 2 +-
 libinftext/inf-text-filesystem-format.c | 2 +-
 2 files changed, 2 insertions(+), 2 deletions(-)

commit 4f03719e33e988d86e4c7482e4ca14f21532940b
Author: Armin Burgmeier <armin@arbur.net>
Date:   Thu Feb 6 15:32:49 2014 +0100

    Add inf_text_buffer_iter_get_offset()

 .../libinftext/libinftext-0.6-sections.txt        |  2 ++
 libinftext/inf-text-buffer.c                      | 26 +++++++++++++++++++++
 libinftext/inf-text-buffer.h                      |  9 +++++++
 libinftext/inf-text-chunk.c                       | 20 ++++++++++++++++
 libinftext/inf-text-chunk.h                       |  3 +++
 libinftext/inf-text-default-buffer.c              |  8 +++++++
 libinftextgtk/inf-text-gtk-buffer.c               |  8 +++++++
 7 files changed, 76 insertions(+)

commit 21bbc30c617425fe4c2f488c760af2529bf02f15
Author: Armin Burgmeier <armin@arbur.net>
Date:   Wed Jan 29 16:11:09 2014 +0100

    Add inf_cert_util_write_certificate_with_key()

 .../libinfinity/libinfinity-0.6-sections.txt      |   1 +
 libinfinity/common/inf-cert-util.c                | 252 ++++++++++++++------
 libinfinity/common/inf-cert-util.h                |   7 +
 3 files changed, 184 insertions(+), 76 deletions(-)

commit 69da25cd114438a478ce6d9c66fe84a014a3c957
Author: Armin Burgmeier <armin@arbur.net>
Date:   Mon Jan 27 23:15:21 2014 +0100

    Convert the infinoted traffic logger into a plugin

 infinoted/Makefile.am                             |   6 +-
 infinoted/infinoted-config-reload.c               |  35 --
 infinoted/infinoted-options.c                     |  15 -
 infinoted/infinoted-options.h                     |   2 -
 infinoted/infinoted-run.c                         |  16 -
 infinoted/infinoted-run.h                         |   3 -
 infinoted/infinoted-traffic-logger.c              | 357 --------------------
 infinoted/infinoted-traffic-logger.h              |  52 ---
 infinoted/plugins/Makefile.am                     |   4 +
 .../plugins/infinoted-plugin-traffic-logging.c    | 351 +++++++++++++++++++
 10 files changed, 357 insertions(+), 484 deletions(-)

commit 8931c8b560af87c3ed11472f1c09d5074f0303a2
Author: Armin Burgmeier <armin@arbur.net>
Date:   Mon Jan 27 11:15:30 2014 +0100

    Turn the session recording functionality into a infinoted plugin

 infinoted/Makefile.am                       |   2 -
 infinoted/infinoted-record.c                | 283 --------------------------
 infinoted/infinoted-record.h                |  50 -----
 infinoted/infinoted-run.c                   |   5 -
 infinoted/infinoted-run.h                   |   3 -
 infinoted/plugins/Makefile.am               |  12 ++
 infinoted/plugins/infinoted-plugin-record.c | 236 +++++++++++++++++++++
 7 files changed, 248 insertions(+), 343 deletions(-)

commit 9fcac38543d6f58829309608c3ad5dc3671479e8
Author: Armin Burgmeier <armin@arbur.net>
Date:   Mon Jan 27 10:40:16 2014 +0100

    linekeeper plugin: Only join local user if other users are available

    This allows to session to go idle when no remote users are connected,
    so that
    InfdDirectory unloads the session into the background storage.

 infinoted/plugins/infinoted-plugin-linekeeper.c | 241 +++++++++++++++++++---
 1 file changed, 212 insertions(+), 29 deletions(-)

commit 46d69bbad760689fa6df0f224fbdc3d2df98f7f9
Author: Armin Burgmeier <armin@arbur.net>
Date:   Mon Jan 27 10:40:01 2014 +0100

    Add the add-available-user and remove-available-user signals to
    InfUserTable

 libinfinity/common/inf-user-table.c | 144 +++++++++++++++++++++++++++++++---
 libinfinity/common/inf-user-table.h |  10 +++
 2 files changed, 141 insertions(+), 13 deletions(-)

commit 6983bf41ccc35ff0b1adce211ad1ba45dbb18eff
Author: Armin Burgmeier <armin@arbur.net>
Date:   Mon Jan 27 09:35:35 2014 +0100

    Keep the session subscribed to the directory if it has local users

 libinfinity/server/infd-session-proxy.c | 39 +++++++++++++++++++++++++++----
 1 file changed, 35 insertions(+), 4 deletions(-)

commit f5411ac85be89c6ff62f62e8877c8dfc9ead930e
Author: Armin Burgmeier <armin@arbur.net>
Date:   Mon Jan 27 09:07:29 2014 +0100

    Add request parameter for the InfBrowser::unsubscribe-session signal

 TODO                                 |  5 ----
 infinoted/infinoted-plugin-manager.c |  1 +
 infinoted/infinoted-record.c         |  1 +
 libinfinity/client/infc-browser.c    | 27 ++++++++++++++-------
 libinfinity/common/inf-browser.c     | 20 +++++++++++-----
 libinfinity/common/inf-browser.h     |  6 +++--
 libinfinity/server/infd-directory.c  | 43 +++++++++++++++++++++++++++-------
 7 files changed, 72 insertions(+), 31 deletions(-)

commit 5c6096c612214685fed13afa5b772152571fa391
Author: Armin Burgmeier <armin@arbur.net>
Date:   Sun Jan 26 21:36:59 2014 +0100

    Fix notification order on node removal in InfcBrowser

    Make sure that "unsubscribe-session" is emitted before "node-removed"

 libinfinity/client/infc-browser.c | 46 +++++++++++++++++++++++++++++++++----
 1 file changed, 41 insertions(+), 5 deletions(-)

commit c7c5a5d2c86f34bc1e9557e85d47a8368aeadd0b
Author: Armin Burgmeier <armin@arbur.net>
Date:   Sun Jan 26 12:43:06 2014 +0100

    Fix InfChatBuffer structure when prepending a message

    This caused an entry to be overwritten and an invalid entry at the
    end to be
    used. This typically lead to a crash on destruction of the chat buffer.

 libinfinity/common/inf-chat-buffer.c | 16 ++++++++++++++++
 1 file changed, 16 insertions(+)

commit 9faedb7ccf0a00849b077febda9521a68718aa19
Author: Armin Burgmeier <armin@arbur.net>
Date:   Fri Jan 24 21:06:01 2014 +0100

    Fix an uninitialized variable in InfGtkPermissionsDialog

    This can happen when the root node is being displayed and the
    selection is
    reset, so that no entry is selected. In that case the account
    variable was
    uninitialized but still used.

 libinfgtk/inf-gtk-permissions-dialog.c | 2 ++
 1 file changed, 2 insertions(+)

commit 945f60127a1c05ef48c4f62e3996e50d2450ffaf
Author: Armin Burgmeier <armin@arbur.net>
Date:   Fri Jan 24 12:06:09 2014 +0100

    Make local users unavailable in InfdSessionProxy when session is closed

 TODO                                    |  5 +++++
 libinfinity/client/infc-session-proxy.c |  3 ++-
 libinfinity/server/infd-session-proxy.c | 10 ++++++++++
 3 files changed, 17 insertions(+), 1 deletion(-)

commit 7aae6e67a8c7e93a588c157c10a51bdac0fd8dc5
Author: Armin Burgmeier <armin@arbur.net>
Date:   Fri Jan 24 10:47:49 2014 +0100

    Keep communication method alive in
    inf_communication_central_method_received()

    This fixes a problem when the inf_communication_object_received()
    callback
    would delete the method, since afterwards the method checks whether the
    message needs to be forwarded to the other group members.

 .../communication/inf-communication-central-method.c      | 13 +++++++++++++
 1 file changed, 13 insertions(+)

commit 74ffdc70417721a587a90868323868ef8063a0a0
Author: Armin Burgmeier <armin@arbur.net>
Date:   Thu Jan 23 17:29:38 2014 +0100

    Fix inf_browser_add_note implementation in InfdDirectory with nonzero
    session

 libinfinity/server/infd-directory.c | 44 +++++++++++------------------------
 1 file changed, 13 insertions(+), 31 deletions(-)

commit c2c8b645f970b1507e9b70b74eb3420dc70a8616
Author: Armin Burgmeier <armin@arbur.net>
Date:   Tue Jan 21 21:04:32 2014 +0100

    inf_gtk_io_io_watch_free(): Do not use the watch after it is destroyed

 libinfgtk/inf-gtk-io.c | 5 ++++-
 1 file changed, 4 insertions(+), 1 deletion(-)

commit b8340029bdd95a9535bc7264d5a9c09784f29251
Author: Armin Burgmeier <armin@arbur.net>
Date:   Mon Jan 20 22:18:49 2014 +0100

    Make sure that sessions are running when "subscribe-session" is emitted

    Before the InfdDirectory would emit the subscribe-session signal for a
    synced-in session before the session status was changed to RUNNING.

    This makes infinoted plugin development easier, since plugins do not
    need to
    wait for the session to switch to the running state before for example a
    InfAdoptedAlgorithm becomes available.

 libinfinity/server/infd-directory.c | 7 +++++--
 1 file changed, 5 insertions(+), 2 deletions(-)

commit f3eb7a88b54a1077d618738b2c6a3d748f68e8c6
Author: Armin Burgmeier <armin@arbur.net>
Date:   Mon Jan 20 20:36:49 2014 +0100

    Fix some warnings during destruction in InfTextGtkView and
    InfTextGtkViewport

 libinftextgtk/inf-text-gtk-view.c     |  2 +-
 libinftextgtk/inf-text-gtk-viewport.c | 25 +++++++++++++++++--------
 2 files changed, 18 insertions(+), 9 deletions(-)

commit 37ec211d0fe9694d9cad1e62823ce6b7b32e6a30
Author: Armin Burgmeier <armin@arbur.net>
Date:   Mon Jan 20 17:11:53 2014 +0100

    Add is_local vfunc for InfRequest

    This allows to check whether the request was made by a local API call or
    by a remote user over the network.

 .../client/infc-acl-account-list-request.c        | 12 ++++++++
 libinfinity/client/infc-certificate-request.c     | 14 ++++++++-
 libinfinity/client/infc-chat-request.c            | 12 ++++++++
 libinfinity/client/infc-node-request.c            | 14 ++++++++-
 libinfinity/client/infc-user-request.c            | 12 ++++++++
 libinfinity/common/inf-request.c                  | 33 +++++++++++++++++----
 libinfinity/common/inf-request.h                  | 10 ++++++-
 libinfinity/server/infd-node-request.c            | 12 ++++++++
 libinfinity/server/infd-user-request.c            | 12 ++++++++
 9 files changed, 123 insertions(+), 8 deletions(-)

commit 5d22c0e3bc563c395203a02d8863a91bd8496a3b
Author: Armin Burgmeier <armin@arbur.net>
Date:   Sun Jan 19 22:54:59 2014 +0100

    Add request parameters to most InfBrowser signals

    This is basically to provide more convenience in the API. One could
    always
    subscribe to the "begin-request" signal, and then connect to the
    "finished"
    signal of the newly started request.

    The request parameter can for instance be used to check whether the
    action was due
    to some local request. In InfcBrowser this would basically be all
    actions that
    have a request set. In InfdDirectory, this would be all actions
    whose request
    does have the "requestor" property set to NULL.

    A future commit will introduce a convenience API call for this check.

 TODO                                              |   4 +
 infinoted/infinoted-plugin-manager.c              |   1 +
 infinoted/infinoted-record.c                      |   1 +
 .../plugins/infinoted-plugin-directory-sync.c     |   1 +
 libinfgtk/inf-gtk-browser-store.c                 |   4 +
 libinfgtk/inf-gtk-browser-view.c                  |   1 +
 libinfgtk/inf-gtk-permissions-dialog.c            |   3 +
 libinfinity/client/infc-browser.c                 | 110 +++++++---
 libinfinity/common/inf-browser.c                  |  92 +++++---
 libinfinity/common/inf-browser.h                  |  30 ++-
 libinfinity/inf-marshal.in                        |   3 +-
 libinfinity/server/infd-directory.c               | 226 +++++++++++---------
 test/inf-test-gtk-browser.c                       |   1 +
 13 files changed, 307 insertions(+), 170 deletions(-)

commit 55657f00ab027cf45798f77f747acb455b6f7339
Author: Armin Burgmeier <armin@arbur.net>
Date:   Sun Jan 19 18:23:01 2014 +0100

    Allow to specify external user table for
    inf_text_filesystem_format_read()

    This allows to use buffer implementations that need a user table, such as
    InfTextGtkBuffer.

 infinoted/note-plugins/text/infd-note-plugin-text.c |  5 +++++
 libinftext/inf-text-filesystem-format.c             | 19 ++++++++-----------
 libinftext/inf-text-filesystem-format.h             |  1 +
 3 files changed, 14 insertions(+), 11 deletions(-)

commit fb49eccb5a02c4cb5f4aa85ce31c47caf75bcba0
Author: Armin Burgmeier <armin@arbur.net>
Date:   Sun Jan 19 18:21:25 2014 +0100

    Set the type of the synchronization group in the note plugins to the
    base type

    This way the same function can be used for InfcNotePlugin::session_new
    and InfdNotePlugin::session_new.

 infinoted/note-plugins/chat/infd-note-plugin-chat.c | 2 +-
 infinoted/note-plugins/text/infd-note-plugin-text.c | 5 +++--
 libinfinity/adopted/inf-adopted-session-replay.c    | 2 +-
 libinfinity/client/infc-browser.c                   | 2 +-
 libinfinity/client/infc-note-plugin.h               | 2 +-
 libinfinity/server/infd-directory.c                 | 2 +-
 libinfinity/server/infd-note-plugin.h               | 2 +-
 test/inf-test-gtk-browser.c                         | 4 ++--
 test/inf-test-mass-join.c                           | 4 ++--
 test/inf-test-reduce-replay.c                       | 4 ++--
 test/inf-test-text-replay.c                         | 4 ++--
 11 files changed, 17 insertions(+), 16 deletions(-)

commit 104c7233aff6061ffb596d47f9def8238feb9813
Author: Armin Burgmeier <armin@arbur.net>
Date:   Sun Jan 19 01:16:52 2014 +0100

    Move filesystem storage code for text sessions to libinftext

 .../reference/libinftext/libinftext-0.6-docs.sgml |   1 +
 .../libinftext/libinftext-0.6-sections.txt        |   7 +
 .../note-plugins/text/infd-note-plugin-text.c     | 458 +-------------
 libinftext/Makefile.am                            |   2 +
 libinftext/inf-text-filesystem-format.c           | 623 ++++++++++++++++++++
 libinftext/inf-text-filesystem-format.h           |  66 +++
 6 files changed, 716 insertions(+), 441 deletions(-)

commit 505d78c5e7bb197fffdea9052f9cd9329801e468
Author: Armin Burgmeier <armin@arbur.net>
Date:   Sat Jan 18 12:42:54 2014 +0100

    Add full_path output parameter to infd_filesystem_storage_open()

 infinoted/note-plugins/chat/infd-note-plugin-chat.c |  2 ++
 infinoted/note-plugins/text/infd-note-plugin-text.c |  2 ++
 libinfinity/server/infd-filesystem-storage.c        | 18 ++++++++++++++----
 libinfinity/server/infd-filesystem-storage.h        |  1 +
 4 files changed, 19 insertions(+), 4 deletions(-)

commit e9d692ea2708dfc51ee3f29fd7980d49c56c1986
Author: Armin Burgmeier <armin@arbur.net>
Date:   Fri Jan 17 21:15:56 2014 +0100

    Fix small issues when using InfdDirectory in a InfGtkBrowserStore

 libinfgtk/inf-gtk-browser-model.c |  2 +-
 libinfgtk/inf-gtk-browser-store.c |  2 +-
 libinfgtk/inf-gtk-browser-view.c  | 26 +++++++++++++++++++-------
 3 files changed, 21 insertions(+), 9 deletions(-)

commit aa3f1a6dc368fa260b64aeda2f64743773afed45
Author: Armin Burgmeier <armin@arbur.net>
Date:   Fri Jan 17 23:37:15 2014 +0100

    Set node explored flag before announcing nodes in InfdDirectory

    This allows to iterate through the node already in the handler of the
    node-added signal.

 libinfinity/server/infd-directory.c | 3 ++-
 1 file changed, 2 insertions(+), 1 deletion(-)

commit 57d29a48259e96e121f38659036f55573dc982ad
Author: Armin Burgmeier <armin@arbur.net>
Date:   Fri Jan 17 23:15:17 2014 +0100

    Emit row-has-child-toggled for the root node if it has children

 libinfgtk/inf-gtk-browser-store.c | 14 ++++++++++++++
 1 file changed, 14 insertions(+)

commit db2e520d0138c400c41b7edbe517ae9897a25b88
Author: Armin Burgmeier <armin@arbur.net>
Date:   Fri Jan 17 22:36:27 2014 +0100

    Allow the account parameter in inf_browser_check_acl to be NULL.

 libinfinity/common/inf-browser.c | 15 +++++++++++++--
 1 file changed, 13 insertions(+), 2 deletions(-)

commit 21a6106cddc8340962ce94c377232072396114eb
Author: Armin Burgmeier <armin@arbur.net>
Date:   Fri Jan 17 22:22:02 2014 +0100

    Handle name collisions in inf_discovery_avahi_entry_group_add_service

    This can happen when two services with the same name are being published
    on the same host. In this case we catch the error and use an alternative
    name.

 libinfinity/common/inf-discovery-avahi.c | 47 +++++++++++++++++++++---------
 1 file changed, 33 insertions(+), 14 deletions(-)

commit 3ba66e643d470c7973f729fc78a71c3b29403bf0
Author: Armin Burgmeier <armin@arbur.net>
Date:   Fri Jan 17 20:03:53 2014 +0100

    Fix an uninitialized variable in
    infd_directory_browser_list_pending_requests

 libinfinity/server/infd-directory.c | 1 +
 1 file changed, 1 insertion(+)

commit de433fe31e320ca546279acc10110b0bfecb2b6f
Author: Armin Burgmeier <armin@arbur.net>
Date:   Thu Jan 16 19:37:09 2014 +0100

    Make sure that browser is set when emitting "browser-set" signal

    This affects InfGtkBrowserModelFilter and InfGtkBrowserModelSort. We now
    connect to the browser-set signal of the child model after its default
    handler
    is run, so that when we emit our own browser-set signal the browser is
    actually accessible via the GtkTreeModel API.

    The InfGtkBrowserView implementation is now also changed such that it
    is no
    longer required that before the default handler run the old browser
    is still
    available in the model. Before, it assumed that after the default
    handler ran
    the new browser would be available, which was not true for
    InfGtkBrowserModelFilter and InfGtkBrowserModelSort.

    The semantic now is that, when connecting after the default handler
    of the
    set-browser signal, the browser is set in the model. When connecting
    before
    the default handler, the old or the new browser might be set in
    the model.
    In order to make sure that both the old and the new browser are available
    at all times both browsers are now parameters of the signal.

 libinfgtk/inf-gtk-browser-model-filter.c |  8 ++--
 libinfgtk/inf-gtk-browser-model-sort.c   |  8 ++--
 libinfgtk/inf-gtk-browser-model.c        | 36 +++++++++------
 libinfgtk/inf-gtk-browser-model.h        |  6 ++-
 libinfgtk/inf-gtk-browser-store.c        | 13 +++---
 libinfgtk/inf-gtk-browser-view.c         | 72 +++++++++---------------------
 libinfinity/inf-marshal.in               |  2 +-
 7 files changed, 68 insertions(+), 77 deletions(-)

commit dd3919c8b54e1ab44aca3a1a53bc7dc244c97ccf
Author: Armin Burgmeier <armin@arbur.net>
Date:   Thu Jan 16 19:09:11 2014 +0100

    Add the inf_gtk_browser_store_add_browser() function

 .../libinfgtk/libinfgtk-0.6-sections.txt          |   1 +
 libinfgtk/inf-gtk-browser-store.c                 | 120 +++++++++++++++-----
 libinfgtk/inf-gtk-browser-store.h                 |   5 +
 3 files changed, 99 insertions(+), 27 deletions(-)

commit 52c7b6e0f9ee80743cdf18f02f4b37e6ab0d572e
Author: Armin Burgmeier <armin@arbur.net>
Date:   Thu Jan 16 17:41:54 2014 +0100

    InfDiscoveryAvahi: Do not discover what we published ourselves

 libinfinity/common/inf-discovery-avahi.c | 31 +++++++++++++++++-------------
 1 file changed, 18 insertions(+), 13 deletions(-)

commit 67b7aaf13b708f90ada9d41e2b133bfa0a3e8e32
Author: Armin Burgmeier <armin@arbur.net>
Date:   Thu Jan 16 12:45:45 2014 +0100

    Allow to add and remove connections in infd_directory_foreach_connection

 libinfinity/server/infd-directory.c | 20 ++++++++++++--------
 1 file changed, 12 insertions(+), 8 deletions(-)

commit ecc63ecec84d3a8a7bacbdece8e0f587de32603c
Author: Armin Burgmeier <armin@arbur.net>
Date:   Thu Jan 16 12:20:44 2014 +0100

    Fix warnings when changing a directory's storage

    The semantics are also slightly changed now, so that when a directory
    had a
    storage set and the storage is removed without setting a new one,
    then the
    directory keeps all nodes intact until another storage is set.

 libinfinity/server/infd-directory.c | 57 +++++++++++++++++++++++------------
 1 file changed, 38 insertions(+), 19 deletions(-)

commit fc08baf7a4d8f2bcbd108eacffadcb06dbd8ac5b
Author: Armin Burgmeier <armin@arbur.net>
Date:   Tue Jan 14 17:03:31 2014 +0100

    Add inf_cert_util_check_certificate_signature() function

 .../libinfinity/libinfinity-0.6-sections.txt      |  1 +
 libinfinity/common/inf-cert-util.c                | 36 +++++++++++++++++++++
 libinfinity/common/inf-cert-util.h                |  4 +++
 3 files changed, 41 insertions(+)

commit 5b9ad636f4e63ff5e042546b9a0b4b0e3ec3c10e
Author: Armin Burgmeier <armin@arbur.net>
Date:   Mon Jan 13 14:07:11 2014 +0100

    Fix a crash when accepted connection is immediately closed by remote

    In this case, getpeername() would fail, with an error of
    ENOTCONN. However,
    the code assumed getpeername() would never fail.

    This has been fixed in two ways now. First, the result of getpeername()
    is
    checked for errors. Second, in the case of accepting a connection, we use
    the result from accept() to find the peer's address, and no longer call
    getpeername(). This way, we avoid an error during getpeername()
    failing, and
    should receive a proper socket closure with the normal mechanism of
    send() or
    recv() returning 0.

    This bug was trigged by nmap scanning the infinoted port. Thanks to
    Rainer Rehak <rainer@laryllian.de> for spotting this!

 libinfinity/common/inf-tcp-connection-private.h |   2 +
 libinfinity/common/inf-tcp-connection.c         | 126 ++++++++++++++--------
 libinfinity/server/infd-tcp-server.c            |  25 ++++-
 3 files changed, 108 insertions(+), 45 deletions(-)

commit d9d279084ce54c6491590f5990a0aa8e642a37d7
Author: Armin Burgmeier <armin@arbur.net>
Date:   Sun Jan 12 22:11:55 2014 +0100

    Fix return value on success in inf_file_util_delete_single_directory()

 libinfinity/common/inf-file-util.c | 3 +++
 1 file changed, 3 insertions(+)

commit 08e62706db5bfad35f26b09458c78f68e325f030
Author: Armin Burgmeier <armin@arbur.net>
Date:   Sun Jan 12 16:34:11 2014 +0100

    Move infinoted-directory-sync into a plugin

    In addition, the plugin now also handles documents or directories
    removed on
    the server. Such files are now also removed from the sync-directory
    (#608).

 infinoted/Makefile.am                             |   3 -
 infinoted/infinoted-config-reload.c               |  31 -
 infinoted/infinoted-directory-sync.c              | 571 -----------------
 infinoted/infinoted-directory-sync.h              |  63 --
 infinoted/infinoted-options.c                     |  90 ---
 infinoted/infinoted-options.h                     |   6 -
 infinoted/infinoted-run.c                         |  19 -
 infinoted/infinoted-run.h                         |   2 -
 infinoted/plugins/Makefile.am                     |  14 +-
 .../plugins/infinoted-plugin-directory-sync.c     | 651 ++++++++++++++++++++
 10 files changed, 664 insertions(+), 786 deletions(-)

commit dacaafd736f4e6c5f4630cbd462cc99a6b1b239e
Author: Armin Burgmeier <armin@arbur.net>
Date:   Sat Jan 11 21:18:20 2014 +0100

    Add file utility functions in inf-file-util

    These provide a platform abstraction for common file and directory
    operations,
    with convenient GError-based error reporting.

 .../libinfinity/libinfinity-0.6-docs.sgml         |   3 +-
 .../libinfinity/libinfinity-0.6-sections.txt      |  14 +
 infinoted/infinoted-util.c                        |  24 +-
 libinfinity/common/Makefile.am                    |   2 +
 libinfinity/common/inf-file-util.c                | 511 ++++++++++++++++++++
 libinfinity/common/inf-file-util.h                |  99 ++++
 libinfinity/server/infd-filesystem-storage.c      | 363 +++-----------
 7 files changed, 705 insertions(+), 311 deletions(-)

commit 440356d89938ae028b221e8b1fdeeb49206df2ee
Author: Armin Burgmeier <armin@arbur.net>
Date:   Sun Jan 12 15:08:19 2014 +0100

    Remove an entry from the TODO list

    This has been implemented by now.

 TODO | 3 ---
 1 file changed, 3 deletions(-)

commit bd3be83625164fdd84f82d57a4384193d9a9fb21
Author: Armin Burgmeier <armin@arbur.net>
Date:   Sat Jan 11 21:18:32 2014 +0100

    Fix missing return value in infinoted plugin initialize functions

 infinoted/plugins/infinoted-plugin-autosave.c                  | 4 +++-
 infinoted/plugins/infinoted-plugin-linekeeper.c                | 2 ++
 infinoted/plugins/infinoted-plugin-logging.c                   | 2 ++
 infinoted/plugins/infinoted-plugin-transformation-protection.c | 2 ++
 4 files changed, 9 insertions(+), 1 deletion(-)

commit 1982804c22d53a58f19d64be5768ae7b9bf4456f
Author: Armin Burgmeier <armin@arbur.net>
Date:   Thu Jan 9 15:47:49 2014 +0100

    Fix a crash when receiving cursor updates in quick succession

    In this case InfTextGtkView would install an idle handler for actual
    determination of the new cursor and selection areas without checking
    whether there was already an idle handler installed, leading to a
    possible crash on the second occasion when the user has been set
    inactive meanwhile, for example by the server unsubscribing the client.

    This can be artifically provoked by Ctrl+Zing infinoted with enabled
    transformation-protection plugin, making a couple of edits or cursor
    movements in a 2nd gobby, then making another edit in the first gobby,
    and then reviving the infinoted, so that it sends all updates immediately
    to the first gobby and unsubscribing it directly afterwirds because its
    own request exceeds the vdiff threshold of the transformation-protection
    plugin.

 libinftextgtk/inf-text-gtk-view.c | 19 ++++++++++++-------
 1 file changed, 12 insertions(+), 7 deletions(-)

commit 027d4227963f014f8be841c1e9b5ff1f588649c2
Author: Armin Burgmeier <armin@arbur.net>
Date:   Thu Jan 9 15:05:08 2014 +0100

    Turn the infinoted transformation protector into a plugin

 infinoted/Makefile.am                             |   6 +-
 infinoted/infinoted-config-reload.c               |  26 --
 infinoted/infinoted-options.c                     |  15 -
 infinoted/infinoted-options.h                     |   1 -
 infinoted/infinoted-run.c                         |  16 -
 infinoted/infinoted-run.h                         |   2 -
 infinoted/infinoted-transformation-protector.c    | 334 --------------------
 infinoted/infinoted-transformation-protector.h    |  56 ----
 infinoted/plugins/Makefile.am                     |  14 +-
 .../infinoted-plugin-transformation-protection.c  | 251 +++++++++++++++
 10 files changed, 266 insertions(+), 455 deletions(-)

commit 69ce937baff1860de371fd1bac099c595f097eab
Author: Armin Burgmeier <armin@arbur.net>
Date:   Tue Jan 7 22:00:25 2014 +0100

    Handle errors in input requests gracefully

    This handles the case when we receive an undo or redo request on
    the network
    without any request to be undone or redone, or if we receive a
    request which
    after transformation cannot be applied to the buffer, for example
    writing past
    the end of the document.

 .../libinfinity/libinfinity-0.6-sections.txt      |   1 +
 .../libinftext/libinftext-0.6-sections.txt        |   1 +
 libinfinity/adopted/inf-adopted-algorithm.c       | 236 +++++++++++++++++---
 libinfinity/adopted/inf-adopted-algorithm.h       |  23 +-
 libinfinity/adopted/inf-adopted-no-operation.c    |   6 +-
 libinfinity/adopted/inf-adopted-operation.c       |  49 ++--
 libinfinity/adopted/inf-adopted-operation.h       |  18 +-
 libinfinity/adopted/inf-adopted-session.c         | 152 +++++++++----
 libinfinity/adopted/inf-adopted-split-operation.c |  60 +++--
 libinftext/inf-text-default-delete-operation.c    |  36 ++-
 libinftext/inf-text-default-insert-operation.c    |  35 ++-
 libinftext/inf-text-move-operation.c              |  39 +++-
 libinftext/inf-text-operations.h                  |  21 ++
 libinftext/inf-text-remote-delete-operation.c     |  54 +++--
 libinftext/inf-text-session.c                     |  11 +-
 test/inf-test-text-operations.c                   | 135 ++++++++---
 test/inf-test-text-replay.c                       |   4 +-
 17 files changed, 678 insertions(+), 203 deletions(-)

commit 20ceb27ad613c7cc3d4611a8b244bd76f20b4cd2
Author: Armin Burgmeier <armin@arbur.net>
Date:   Tue Jan 7 22:23:39 2014 +0100

    Add some notes into the TODO file and InfTextChunk

 TODO                        | 1 +
 libinftext/inf-text-chunk.c | 9 ++++++---
 2 files changed, 7 insertions(+), 3 deletions(-)

commit 6c282aa94e40f6606ba64454163c12c8d9a8d895
Author: Armin Burgmeier <armin@arbur.net>
Date:   Mon Jan 6 22:55:20 2014 +0100

    Change InfAdoptedAlgorithm API such that execute_request is public

    This commit also gets rid of the obsolete "backward translation"
    option in
    InfAdoptedAlgorithm.

 .../libinfinity/libinfinity-0.6-sections.txt      |   6 +-
 libinfinity/adopted/inf-adopted-algorithm.c       | 970 +++++---------------
 libinfinity/adopted/inf-adopted-algorithm.h       |  19 +-
 libinfinity/adopted/inf-adopted-session.c         | 194 +++-
 libinftext/inf-text-session.c                     |  15 +-
 5 files changed, 423 insertions(+), 781 deletions(-)

commit d4f209dff4208ea990acbd683772939825cb59fe
Author: Armin Burgmeier <armin@arbur.net>
Date:   Tue Jan 7 10:30:14 2014 +0100

    Fix a missing '\' in infinoted/Makefile.am

 infinoted/Makefile.am | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

commit 11f43d660095f58255ee999f9849bb4452fc9d80
Author: Armin Burgmeier <armin@arbur.net>
Date:   Sun Jan 5 15:02:30 2014 +0100

    Replace execute-request by begin-execute-request and end-execute-request

    This allows to run the request execution not in the default signal
    handler
    of the execute-request signal, which we need for error reporting
    from request
    exeuction. However, we still need a possibility to hook into request
    execution both before and after the request was transformed. Therefore
    the two
    new signals have been introduced. This also allows to provide a different
    set of parameters for the two; in end-execute-request we now provide the
    result of the request execution, and also the reversible original
    request.

    There is also an error parameter already which will be used later
    when error
    reporting is implemented.

 infinoted/plugins/infinoted-plugin-logging.c     |  95 ++--
 libinfinity/adopted/inf-adopted-algorithm.c      | 508 +++++++++++----------
 libinfinity/adopted/inf-adopted-algorithm.h      |  18 +-
 libinfinity/adopted/inf-adopted-session-record.c |  29 +-
 libinfinity/adopted/inf-adopted-session.c        |  69 +--
 libinfinity/adopted/inf-adopted-undo-grouping.c  |  26 +-
 libinfinity/inf-marshal.in                       |   1 +
 test/inf-test-text-replay.c                      |  78 ++--
 8 files changed, 446 insertions(+), 378 deletions(-)

commit bf7733152505e8b64ec3779b1508f1fada328c5c
Author: Armin Burgmeier <armin@arbur.net>
Date:   Sun Jan 5 13:34:32 2014 +0100

    Remove the InfAdoptedAlgorithm::apply-request signal

    This is a first step for proper error reporting from the algorithm. The
    resulting operation might not be applicable to the buffer if the
    input was
    invalid, and in order to report this the function should eventually
    be able
    to report the error. However, this is problematic if it only runs as a
    signal handler.

    Therefore, the signal has been removed. The signal was used in three
    places.
    In InfTextSession it was used to detect whether a buffer change was
    caused by
    an executed request or externally. This use has been replaced by the new
    inf_adopted_algorithm_get_execute_request() function.
    inf_adopted_algorithm_execute_request() is not re-entrant anyway,
    so that the
    introduction of this function does not cause a loss of generality.

    The other two cases are in the libinfinity test suite where they
    can easily
    be replaced by connecting to text-inserted and text-erased of the
    underlying
    buffer instead.

 libinfinity/adopted/inf-adopted-algorithm.c | 224 ++++++++++++--------------
 libinfinity/adopted/inf-adopted-algorithm.h |   3 +
 libinftext/inf-text-session.c               | 112 +++----------
 test/inf-test-text-recover.c                |  67 ++++----
 test/inf-test-text-replay.c                 | 172 ++++++--------------
 5 files changed, 212 insertions(+), 366 deletions(-)

commit c0e42798c7cae2802ec17de5b461adf78a2aecf6
Author: Armin Burgmeier <armin@arbur.net>
Date:   Mon Jan 6 21:15:35 2014 +0100

    Make the infinoted plugin building work on Windows

    Unfortunately LIBADD does not seem to cause proper linking for all
    targets.
    Therefore, duplicate some code with the correct linking flags for
    each target
    until we find a better solution.

 infinoted/plugins/Makefile.am | 18 +++++++++++++++++-
 1 file changed, 17 insertions(+), 1 deletion(-)

commit e6a8723811525a43b2d12b85df06ce6b57fdf5b1
Author: Armin Burgmeier <armin@arbur.net>
Date:   Mon Jan 6 21:15:06 2014 +0100

    Add infinoted-util to libinfinoted-plugin-manager

 infinoted/Makefile.am | 10 +++++-----
 1 file changed, 5 insertions(+), 5 deletions(-)

commit 91e86f0e57e3c9c955bbd52979ad0b1c471197a4
Author: Armin Burgmeier <armin@arbur.net>
Date:   Mon Jan 6 21:14:37 2014 +0100

    Fix the build without libdaemon

 infinoted/infinoted-options.c | 4 ++++
 1 file changed, 4 insertions(+)

commit fbb0bb5f96d211cf38d6149589bab4f8d92c34fa
Author: Armin Burgmeier <armin@arbur.net>
Date:   Sun Jan 5 12:50:33 2014 +0100

    Make infinoted-transformation-protector use the check-request signal

    This avoids using the g_signal_stop_emission_by_name(), which is a rather
    rough method, and interferes with other users of the signal which rely on
    both the before and after handlers to run, such as
    InfinotedPluginLogging.

 infinoted/infinoted-transformation-protector.c | 43 ++++++++++--------------
 1 file changed, 18 insertions(+), 25 deletions(-)

commit bc2fd7ec1de1862ae178b5094881e94d6e6d40d9
Author: Armin Burgmeier <armin@arbur.net>
Date:   Sun Jan 5 12:41:17 2014 +0100

    Add the InfAdoptedSession::check-request signal

 libinfinity/adopted/inf-adopted-session.c | 92 ++++++++++++++++++++++++++++-
 libinfinity/adopted/inf-adopted-session.h | 10 +++-
 2 files changed, 98 insertions(+), 4 deletions(-)

commit 7fe494a28fbb34d3a8424face7c5cc216a4b5507
Author: Armin Burgmeier <armin@arbur.net>
Date:   Sun Jan 5 12:18:35 2014 +0100

    Document the by_request parameter of inf_text_user_set_selection()

 libinftext/inf-text-user.c | 10 +++++++++-
 1 file changed, 9 insertions(+), 1 deletion(-)

commit 8c283cb64598ef7164b0b613a8379b1f7c0e6e6f
Author: Armin Burgmeier <armin@arbur.net>
Date:   Sat Jan 4 17:43:19 2014 +0100

    Add 2014 to copyright years

 AUTHORS                                                       | 2 +-
 infinoted/infinoted-config-reload.c                           | 2 +-
 infinoted/infinoted-config-reload.h                           | 2 +-
 infinoted/infinoted-dh-params.c                               | 2 +-
 infinoted/infinoted-dh-params.h                               | 2 +-
 infinoted/infinoted-directory-sync.c                          | 2 +-
 infinoted/infinoted-directory-sync.h                          | 2 +-
 infinoted/infinoted-log.c                                     | 2 +-
 infinoted/infinoted-log.h                                     | 2 +-
 infinoted/infinoted-main.c                                    | 2 +-
 infinoted/infinoted-note-plugin.c                             | 2 +-
 infinoted/infinoted-note-plugin.h                             | 2 +-
 infinoted/infinoted-options.c                                 | 2 +-
 infinoted/infinoted-options.h                                 | 2 +-
 infinoted/infinoted-pam.c                                     | 2 +-
 infinoted/infinoted-pam.h                                     | 2 +-
 infinoted/infinoted-parameter.c                               | 2 +-
 infinoted/infinoted-parameter.h                               | 2 +-
 infinoted/infinoted-plugin-manager.c                          | 2 +-
 infinoted/infinoted-plugin-manager.h                          | 2 +-
 infinoted/infinoted-record.c                                  | 2 +-
 infinoted/infinoted-record.h                                  | 2 +-
 infinoted/infinoted-run.c                                     | 2 +-
 infinoted/infinoted-run.h                                     | 2 +-
 infinoted/infinoted-signal.c                                  | 2 +-
 infinoted/infinoted-signal.h                                  | 2 +-
 infinoted/infinoted-startup.c                                 | 2 +-
 infinoted/infinoted-startup.h                                 | 2 +-
 infinoted/infinoted-traffic-logger.c                          | 2 +-
 infinoted/infinoted-traffic-logger.h                          | 2 +-
 infinoted/infinoted-transformation-protector.c                | 2 +-
 infinoted/infinoted-transformation-protector.h                | 2 +-
 infinoted/infinoted-util.c                                    | 2 +-
 infinoted/infinoted-util.h                                    | 2 +-
 infinoted/note-plugins/chat/infd-note-plugin-chat.c           | 2 +-
 infinoted/note-plugins/text/infd-note-plugin-text.c           | 2 +-
 infinoted/plugins/infinoted-plugin-autosave.c                 | 2 +-
 infinoted/plugins/infinoted-plugin-linekeeper.c               | 2 +-
 infinoted/plugins/infinoted-plugin-logging.c                  | 2 +-
 libinfgtk/inf-gtk-acl-sheet-view.c                            | 2 +-
 libinfgtk/inf-gtk-acl-sheet-view.h                            | 2 +-
 libinfgtk/inf-gtk-browser-model-filter.c                      | 2 +-
 libinfgtk/inf-gtk-browser-model-filter.h                      | 2 +-
 libinfgtk/inf-gtk-browser-model-sort.c                        | 2 +-
 libinfgtk/inf-gtk-browser-model-sort.h                        | 2 +-
 libinfgtk/inf-gtk-browser-model.c                             | 2 +-
 libinfgtk/inf-gtk-browser-model.h                             | 2 +-
 libinfgtk/inf-gtk-browser-store.c                             | 2 +-
 libinfgtk/inf-gtk-browser-store.h                             | 2 +-
 libinfgtk/inf-gtk-browser-view.c                              | 2 +-
 libinfgtk/inf-gtk-browser-view.h                              | 2 +-
 libinfgtk/inf-gtk-certificate-dialog.c                        | 2 +-
 libinfgtk/inf-gtk-certificate-dialog.h                        | 2 +-
 libinfgtk/inf-gtk-certificate-manager.c                       | 2 +-
 libinfgtk/inf-gtk-certificate-manager.h                       | 2 +-
 libinfgtk/inf-gtk-certificate-view.c                          | 2 +-
 libinfgtk/inf-gtk-certificate-view.h                          | 2 +-
 libinfgtk/inf-gtk-chat.c                                      | 2 +-
 libinfgtk/inf-gtk-chat.h                                      | 2 +-
 libinfgtk/inf-gtk-io.c                                        | 2 +-
 libinfgtk/inf-gtk-io.h                                        | 2 +-
 libinfgtk/inf-gtk-permissions-dialog.c                        | 2 +-
 libinfgtk/inf-gtk-permissions-dialog.h                        | 2 +-
 libinfinity/adopted/inf-adopted-algorithm.c                   | 2 +-
 libinfinity/adopted/inf-adopted-algorithm.h                   | 2 +-
 libinfinity/adopted/inf-adopted-no-operation.c                | 2 +-
 libinfinity/adopted/inf-adopted-no-operation.h                | 2 +-
 libinfinity/adopted/inf-adopted-operation.c                   | 2 +-
 libinfinity/adopted/inf-adopted-operation.h                   | 2 +-
 libinfinity/adopted/inf-adopted-request-log.c                 | 2 +-
 libinfinity/adopted/inf-adopted-request-log.h                 | 2 +-
 libinfinity/adopted/inf-adopted-request.c                     | 2 +-
 libinfinity/adopted/inf-adopted-request.h                     | 2 +-
 libinfinity/adopted/inf-adopted-session-record.c              | 2 +-
 libinfinity/adopted/inf-adopted-session-record.h              | 2 +-
 libinfinity/adopted/inf-adopted-session-replay.c              | 2 +-
 libinfinity/adopted/inf-adopted-session-replay.h              | 2 +-
 libinfinity/adopted/inf-adopted-session.c                     | 2 +-
 libinfinity/adopted/inf-adopted-session.h                     | 2 +-
 libinfinity/adopted/inf-adopted-split-operation.c             | 2 +-
 libinfinity/adopted/inf-adopted-split-operation.h             | 2 +-
 libinfinity/adopted/inf-adopted-state-vector.c                | 2 +-
 libinfinity/adopted/inf-adopted-state-vector.h                | 2 +-
 libinfinity/adopted/inf-adopted-undo-grouping.c               | 2 +-
 libinfinity/adopted/inf-adopted-undo-grouping.h               | 2 +-
 libinfinity/adopted/inf-adopted-user.c                        | 2 +-
 libinfinity/adopted/inf-adopted-user.h                        | 2 +-
 libinfinity/client/infc-acl-account-list-request.c            | 2 +-
 libinfinity/client/infc-acl-account-list-request.h            | 2 +-
 libinfinity/client/infc-browser.c                             | 2 +-
 libinfinity/client/infc-browser.h                             | 2 +-
 libinfinity/client/infc-certificate-request.c                 | 2 +-
 libinfinity/client/infc-certificate-request.h                 | 2 +-
 libinfinity/client/infc-chat-request.c                        | 2 +-
 libinfinity/client/infc-chat-request.h                        | 2 +-
 libinfinity/client/infc-explore-request.c                     | 2 +-
 libinfinity/client/infc-explore-request.h                     | 2 +-
 libinfinity/client/infc-node-request.c                        | 2 +-
 libinfinity/client/infc-node-request.h                        | 2 +-
 libinfinity/client/infc-note-plugin.h                         | 2 +-
 libinfinity/client/infc-request-manager.c                     | 2 +-
 libinfinity/client/infc-request-manager.h                     | 2 +-
 libinfinity/client/infc-request.c                             | 2 +-
 libinfinity/client/infc-request.h                             | 2 +-
 libinfinity/client/infc-session-proxy.c                       | 2 +-
 libinfinity/client/infc-session-proxy.h                       | 2 +-
 libinfinity/client/infc-user-request.c                        | 2 +-
 libinfinity/client/infc-user-request.h                        | 2 +-
 libinfinity/common/inf-acl-account-list-request.c             | 2 +-
 libinfinity/common/inf-acl-account-list-request.h             | 2 +-
 libinfinity/common/inf-acl.c                                  | 2 +-
 libinfinity/common/inf-acl.h                                  | 2 +-
 libinfinity/common/inf-browser-iter.c                         | 2 +-
 libinfinity/common/inf-browser-iter.h                         | 2 +-
 libinfinity/common/inf-browser.c                              | 2 +-
 libinfinity/common/inf-browser.h                              | 2 +-
 libinfinity/common/inf-buffer.c                               | 2 +-
 libinfinity/common/inf-buffer.h                               | 2 +-
 libinfinity/common/inf-cert-util.c                            | 2 +-
 libinfinity/common/inf-cert-util.h                            | 2 +-
 libinfinity/common/inf-certificate-chain.c                    | 2 +-
 libinfinity/common/inf-certificate-chain.h                    | 2 +-
 libinfinity/common/inf-certificate-credentials.c              | 2 +-
 libinfinity/common/inf-certificate-credentials.h              | 2 +-
 libinfinity/common/inf-chat-buffer.c                          | 2 +-
 libinfinity/common/inf-chat-buffer.h                          | 2 +-
 libinfinity/common/inf-chat-session.c                         | 2 +-
 libinfinity/common/inf-chat-session.h                         | 2 +-
 libinfinity/common/inf-discovery-avahi.c                      | 2 +-
 libinfinity/common/inf-discovery-avahi.h                      | 2 +-
 libinfinity/common/inf-discovery.c                            | 2 +-
 libinfinity/common/inf-discovery.h                            | 2 +-
 libinfinity/common/inf-error.c                                | 2 +-
 libinfinity/common/inf-error.h                                | 2 +-
 libinfinity/common/inf-explore-request.c                      | 2 +-
 libinfinity/common/inf-explore-request.h                      | 2 +-
 libinfinity/common/inf-init.c                                 | 2 +-
 libinfinity/common/inf-init.h                                 | 2 +-
 libinfinity/common/inf-io.c                                   | 2 +-
 libinfinity/common/inf-io.h                                   | 2 +-
 libinfinity/common/inf-ip-address.c                           | 2 +-
 libinfinity/common/inf-ip-address.h                           | 2 +-
 libinfinity/common/inf-local-publisher.c                      | 2 +-
 libinfinity/common/inf-local-publisher.h                      | 2 +-
 libinfinity/common/inf-node-request.c                         | 2 +-
 libinfinity/common/inf-node-request.h                         | 2 +-
 libinfinity/common/inf-protocol.c                             | 2 +-
 libinfinity/common/inf-protocol.h                             | 2 +-
 libinfinity/common/inf-request.c                              | 2 +-
 libinfinity/common/inf-request.h                              | 2 +-
 libinfinity/common/inf-sasl-context.c                         | 2 +-
 libinfinity/common/inf-sasl-context.h                         | 2 +-
 libinfinity/common/inf-session-proxy.c                        | 2 +-
 libinfinity/common/inf-session-proxy.h                        | 2 +-
 libinfinity/common/inf-session.c                              | 2 +-
 libinfinity/common/inf-session.h                              | 2 +-
 libinfinity/common/inf-simulated-connection.c                 | 2 +-
 libinfinity/common/inf-simulated-connection.h                 | 2 +-
 libinfinity/common/inf-standalone-io.c                        | 2 +-
 libinfinity/common/inf-standalone-io.h                        | 2 +-
 libinfinity/common/inf-tcp-connection-private.h               | 2 +-
 libinfinity/common/inf-tcp-connection.c                       | 2 +-
 libinfinity/common/inf-tcp-connection.h                       | 2 +-
 libinfinity/common/inf-user-request.c                         | 2 +-
 libinfinity/common/inf-user-request.h                         | 2 +-
 libinfinity/common/inf-user-table.c                           | 2 +-
 libinfinity/common/inf-user-table.h                           | 2 +-
 libinfinity/common/inf-user.c                                 | 2 +-
 libinfinity/common/inf-user.h                                 | 2 +-
 libinfinity/common/inf-xml-connection.c                       | 2 +-
 libinfinity/common/inf-xml-connection.h                       | 2 +-
 libinfinity/common/inf-xml-util.c                             | 2 +-
 libinfinity/common/inf-xml-util.h                             | 2 +-
 libinfinity/common/inf-xmpp-connection.c                      | 2 +-
 libinfinity/common/inf-xmpp-connection.h                      | 2 +-
 libinfinity/common/inf-xmpp-manager.c                         | 2 +-
 libinfinity/common/inf-xmpp-manager.h                         | 2 +-
 libinfinity/communication/inf-communication-central-factory.c | 2 +-
 libinfinity/communication/inf-communication-central-factory.h | 2 +-
 libinfinity/communication/inf-communication-central-method.c  | 2 +-
 libinfinity/communication/inf-communication-central-method.h  | 2 +-
 libinfinity/communication/inf-communication-factory.c         | 2 +-
 libinfinity/communication/inf-communication-factory.h         | 2 +-
 libinfinity/communication/inf-communication-group-private.h   | 2 +-
 libinfinity/communication/inf-communication-group.c           | 2 +-
 libinfinity/communication/inf-communication-group.h           | 2 +-
 libinfinity/communication/inf-communication-hosted-group.c    | 2 +-
 libinfinity/communication/inf-communication-hosted-group.h    | 2 +-
 libinfinity/communication/inf-communication-joined-group.c    | 2 +-
 libinfinity/communication/inf-communication-joined-group.h    | 2 +-
 libinfinity/communication/inf-communication-manager.c         | 2 +-
 libinfinity/communication/inf-communication-manager.h         | 2 +-
 libinfinity/communication/inf-communication-method.c          | 2 +-
 libinfinity/communication/inf-communication-method.h          | 2 +-
 libinfinity/communication/inf-communication-object.c          | 2 +-
 libinfinity/communication/inf-communication-object.h          | 2 +-
 libinfinity/communication/inf-communication-registry.c        | 2 +-
 libinfinity/communication/inf-communication-registry.h        | 2 +-
 libinfinity/inf-dll.c                                         | 2 +-
 libinfinity/inf-dll.h                                         | 2 +-
 libinfinity/inf-i18n.c                                        | 2 +-
 libinfinity/inf-i18n.h                                        | 2 +-
 libinfinity/inf-signals.c                                     | 2 +-
 libinfinity/inf-signals.h                                     | 2 +-
 libinfinity/server/infd-acl-account-info.c                    | 2 +-
 libinfinity/server/infd-acl-account-info.h                    | 2 +-
 libinfinity/server/infd-directory.c                           | 2 +-
 libinfinity/server/infd-directory.h                           | 2 +-
 libinfinity/server/infd-explore-request.c                     | 2 +-
 libinfinity/server/infd-explore-request.h                     | 2 +-
 libinfinity/server/infd-filesystem-storage.c                  | 2 +-
 libinfinity/server/infd-filesystem-storage.h                  | 2 +-
 libinfinity/server/infd-node-request.c                        | 2 +-
 libinfinity/server/infd-node-request.h                        | 2 +-
 libinfinity/server/infd-note-plugin.h                         | 2 +-
 libinfinity/server/infd-server-pool.c                         | 2 +-
 libinfinity/server/infd-server-pool.h                         | 2 +-
 libinfinity/server/infd-session-proxy.c                       | 2 +-
 libinfinity/server/infd-session-proxy.h                       | 2 +-
 libinfinity/server/infd-storage.c                             | 2 +-
 libinfinity/server/infd-storage.h                             | 2 +-
 libinfinity/server/infd-tcp-server.c                          | 2 +-
 libinfinity/server/infd-tcp-server.h                          | 2 +-
 libinfinity/server/infd-user-request.c                        | 2 +-
 libinfinity/server/infd-user-request.h                        | 2 +-
 libinfinity/server/infd-xml-server.c                          | 2 +-
 libinfinity/server/infd-xml-server.h                          | 2 +-
 libinfinity/server/infd-xmpp-server.c                         | 2 +-
 libinfinity/server/infd-xmpp-server.h                         | 2 +-
 libinftext/inf-text-buffer.c                                  | 2 +-
 libinftext/inf-text-buffer.h                                  | 2 +-
 libinftext/inf-text-chunk.c                                   | 2 +-
 libinftext/inf-text-chunk.h                                   | 2 +-
 libinftext/inf-text-default-buffer.c                          | 2 +-
 libinftext/inf-text-default-buffer.h                          | 2 +-
 libinftext/inf-text-default-delete-operation.c                | 2 +-
 libinftext/inf-text-default-delete-operation.h                | 2 +-
 libinftext/inf-text-default-insert-operation.c                | 2 +-
 libinftext/inf-text-default-insert-operation.h                | 2 +-
 libinftext/inf-text-delete-operation.c                        | 2 +-
 libinftext/inf-text-delete-operation.h                        | 2 +-
 libinftext/inf-text-insert-operation.c                        | 2 +-
 libinftext/inf-text-insert-operation.h                        | 2 +-
 libinftext/inf-text-move-operation.c                          | 2 +-
 libinftext/inf-text-move-operation.h                          | 2 +-
 libinftext/inf-text-operations.h                              | 2 +-
 libinftext/inf-text-remote-delete-operation.c                 | 2 +-
 libinftext/inf-text-remote-delete-operation.h                 | 2 +-
 libinftext/inf-text-session.c                                 | 2 +-
 libinftext/inf-text-session.h                                 | 2 +-
 libinftext/inf-text-undo-grouping.c                           | 2 +-
 libinftext/inf-text-undo-grouping.h                           | 2 +-
 libinftext/inf-text-user.c                                    | 2 +-
 libinftext/inf-text-user.h                                    | 2 +-
 libinftextgtk/inf-text-gtk-buffer.c                           | 2 +-
 libinftextgtk/inf-text-gtk-buffer.h                           | 2 +-
 libinftextgtk/inf-text-gtk-hue-chooser.c                      | 2 +-
 libinftextgtk/inf-text-gtk-hue-chooser.h                      | 2 +-
 libinftextgtk/inf-text-gtk-view.c                             | 2 +-
 libinftextgtk/inf-text-gtk-view.h                             | 2 +-
 libinftextgtk/inf-text-gtk-viewport.c                         | 2 +-
 libinftextgtk/inf-text-gtk-viewport.h                         | 2 +-
 test/inf-test-browser.c                                       | 2 +-
 test/inf-test-certificate-request.c                           | 2 +-
 test/inf-test-chat.c                                          | 2 +-
 test/inf-test-chunk.c                                         | 2 +-
 test/inf-test-daemon.c                                        | 2 +-
 test/inf-test-gtk-browser.c                                   | 2 +-
 test/inf-test-mass-join.c                                     | 2 +-
 test/inf-test-reduce-replay.c                                 | 2 +-
 test/inf-test-set-acl.c                                       | 2 +-
 test/inf-test-state-vector.c                                  | 2 +-
 test/inf-test-tcp-connection.c                                | 2 +-
 test/inf-test-tcp-server.c                                    | 2 +-
 test/inf-test-text-cleanup.c                                  | 2 +-
 test/inf-test-text-operations.c                               | 2 +-
 test/inf-test-text-recover.c                                  | 2 +-
 test/inf-test-text-replay.c                                   | 2 +-
 test/inf-test-text-session.c                                  | 2 +-
 test/inf-test-xmpp-connection.c                               | 2 +-
 test/inf-test-xmpp-server.c                                   | 2 +-
 test/util/inf-test-util.c                                     | 2 +-
 test/util/inf-test-util.h                                     | 2 +-
 283 files changed, 283 insertions(+), 283 deletions(-)

commit 85ff3057f03a3106095ef5bc7fa7a0c328e68294
Author: Armin Burgmeier <armin@arbur.net>
Date:   Sat Jan 4 17:38:34 2014 +0100

    Simplify plugin initialize function

    Only pass the plugin manager itself to the initialize function, and add
    functions in the plugin manager to retrieve the InfinotedLog and the
    InfdDirectory. This way plugins only need to store one pointer to access
    all functionality.

 infinoted/infinoted-plugin-manager.c            | 37 ++++++++++++++++++-----
 infinoted/infinoted-plugin-manager.h            |  8 +++--
 infinoted/plugins/infinoted-plugin-autosave.c   | 30 ++++++++----------
 infinoted/plugins/infinoted-plugin-linekeeper.c | 32 +++++++++++---------
 infinoted/plugins/infinoted-plugin-logging.c    | 28 ++++++-----------
 5 files changed, 74 insertions(+), 61 deletions(-)

commit bf5d68e03ed84a8886b2619e4b20c6284e041195
Author: Armin Burgmeier <armin@arbur.net>
Date:   Sat Jan 4 17:12:56 2014 +0100

    Add logging plugin

    This adds back the functionality removed when InfinotedLog was
    refactored, as
    a plugin.

 infinoted/infinoted-record.c                 |   2 +
 infinoted/plugins/Makefile.am                |  13 +-
 infinoted/plugins/infinoted-plugin-logging.c | 645 +++++++++++++++++++++++++
 3 files changed, 657 insertions(+), 3 deletions(-)

commit 7a4f805e3e1781222756dff0fb2421121f7f5af9
Author: Armin Burgmeier <armin@arbur.net>
Date:   Sat Jan 4 17:25:08 2014 +0100

    Fix a typo in infinoted_plugin_manager_get_session_info()

 infinoted/infinoted-plugin-manager.c | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

commit b59fda0f3da2d764c76b6e681ff4967dacb89a20
Author: Armin Burgmeier <armin@arbur.net>
Date:   Sat Jan 4 16:30:03 2014 +0100

    Add boolean type for InfinotedParameterInfo

 infinoted/infinoted-options.c   | 53 +++++++++++++++++++++++++++++++++++++++
 infinoted/infinoted-options.h   |  1 +
 infinoted/infinoted-parameter.c | 36 ++++++++++++++++++++++++++
 infinoted/infinoted-parameter.h |  7 ++++++
 4 files changed, 97 insertions(+)

commit 8a9cebbe4865f027229119135e67da744cba12c7
Author: Armin Burgmeier <armin@arbur.net>
Date:   Sat Jan 4 16:29:54 2014 +0100

    Add generic infinoted_log_log function

 infinoted/infinoted-log.c | 35 ++++++++++++++++++++++++++++++++---
 infinoted/infinoted-log.h |  6 ++++++
 2 files changed, 38 insertions(+), 3 deletions(-)

commit 2a87f288d0ee45b4da3fa932d85a90dcc4566b4e
Author: Armin Burgmeier <armin@arbur.net>
Date:   Fri Jan 3 23:51:54 2014 +0100

    Use InfinotedLog for logging messages from plugins

 infinoted/infinoted-config-reload.c             |  1 +
 infinoted/infinoted-plugin-manager.c            |  6 ++++++
 infinoted/infinoted-plugin-manager.h            | 10 +++++++---
 infinoted/infinoted-run.c                       |  1 +
 infinoted/plugins/infinoted-plugin-autosave.c   | 16 ++++++++++++----
 infinoted/plugins/infinoted-plugin-linekeeper.c | 11 ++++++++---
 6 files changed, 35 insertions(+), 10 deletions(-)

commit 7c7a99494eee88a93f841de3d0d7c2378ca89a0c
Author: Armin Burgmeier <armin@arbur.net>
Date:   Fri Jan 3 23:41:49 2014 +0100

    Build InfinotedLog as part of libinfinoted-plugin-manager

    So that plugins are able to use InfinotedLog

 infinoted/Makefile.am | 4 ++--
 1 file changed, 2 insertions(+), 2 deletions(-)

commit 64fa02f0dd84ba6a727daf62c8497bb7df2379a5
Author: Armin Burgmeier <armin@arbur.net>
Date:   Fri Jan 3 22:27:19 2014 +0100

    Turn InfinotedLog into a GObject with only basic functionality

    The plan is to add the additional functionality (logging when connections
    come in and on connection and session errors) as plugins.

 infinoted/infinoted-config-reload.c            |    4 -
 infinoted/infinoted-log.c                      | 1009 +++++++---------------
 infinoted/infinoted-log.h                      |   87 +-
 infinoted/infinoted-run.c                      |   10 -
 infinoted/infinoted-startup.c                  |    6 +-
 infinoted/infinoted-transformation-protector.c |    4 +
 libinfinity/common/inf-session.c               |    2 +-
 libinfinity/inf-marshal.in                     |    1 +
 8 files changed, 381 insertions(+), 742 deletions(-)

commit b3b9d9c86eccd51b0722c584be0d93dfb3181912
Author: Armin Burgmeier <armin@arbur.net>
Date:   Mon Dec 30 22:31:28 2013 +0100

    Move infinoted autosave support into a plugin

 infinoted/Makefile.am                         |   2 -
 infinoted/infinoted-autosave.c                | 475 ------------------------
 infinoted/infinoted-autosave.h                |  52 ---
 infinoted/infinoted-config-reload.c           |  22 --
 infinoted/infinoted-options.c                 |  39 --
 infinoted/infinoted-options.h                 |   2 -
 infinoted/infinoted-run.c                     |  15 -
 infinoted/infinoted-run.h                     |   2 -
 infinoted/plugins/Makefile.am                 |  11 +-
 infinoted/plugins/infinoted-plugin-autosave.c | 364 ++++++++++++++++++
 10 files changed, 371 insertions(+), 613 deletions(-)

commit 7f3023a36586c155df63f2fb312d67235bf4b606
Author: Armin Burgmeier <armin@arbur.net>
Date:   Mon Dec 30 22:12:25 2013 +0100

    Rename "interval" convert func to "nonnegative", add "positive"

 infinoted/infinoted-options.c                   |  6 +--
 infinoted/infinoted-parameter.c                 | 48 +++++++++++++++++++++--
 infinoted/infinoted-parameter.h                 |  7 +++-
 infinoted/plugins/infinoted-plugin-linekeeper.c |  2 +-
 4 files changed, 54 insertions(+), 9 deletions(-)

commit d80defa2fb532fd2d4fe83ad41990bb11cdeecd1
Author: Armin Burgmeier <armin@arbur.net>
Date:   Mon Dec 30 21:40:50 2013 +0100

    Add InfBrowserIter parameter to session callbacks in infinoted plugins

 infinoted/infinoted-plugin-manager.c            | 25 ++++++++++++++++++++---
 infinoted/infinoted-plugin-manager.h            |  6 ++++--
 infinoted/plugins/infinoted-plugin-linekeeper.c |  6 ++++--
 3 files changed, 30 insertions(+), 7 deletions(-)

commit 914595e2096196522c76a0c7c94124265e82c325
Author: Armin Burgmeier <armin@arbur.net>
Date:   Sat Dec 28 23:30:31 2013 +0100

    Add the "linekeeper" infinoted plugin

    This plugin makes sure that at the end of the document there is always a
    fixed number of empty lines.

 configure.ac                                    |   1 +
 infinoted/Makefile.am                           |   2 +-
 infinoted/plugins/Makefile.am                   |  22 ++
 infinoted/plugins/infinoted-plugin-linekeeper.c | 379 ++++++++++++++++++++++
 4 files changed, 403 insertions(+), 1 deletion(-)

commit 1b1ff9424bba1b58dba6a4f8ebbd8d943fb62f60
Author: Armin Burgmeier <armin@arbur.net>
Date:   Sat Dec 28 21:48:28 2013 +0100

    Add the possibility to get an iterator at the end of the buffer

 .../libinftext/libinftext-0.6-sections.txt        |  6 ++--
 .../note-plugins/text/infd-note-plugin-text.c     |  2 +-
 libinftext/inf-text-buffer.c                      | 39 ++++++++++++++++++---
 libinftext/inf-text-buffer.h                      |  9 +++--
 libinftext/inf-text-chunk.c                       | 37 +++++++++++++++++--
 libinftext/inf-text-chunk.h                       | 14 +++++---
 libinftext/inf-text-default-buffer.c              | 27 ++++++++++++--
 libinftext/inf-text-session.c                     |  6 ++--
 libinftext/inf-text-undo-grouping.c               |  2 +-
 libinftextgtk/inf-text-gtk-buffer.c               | 35 ++++++++++++++++--
 test/inf-test-text-replay.c                       |  4 +--
 11 files changed, 151 insertions(+), 30 deletions(-)

commit c13c9d9a65e25257615b0912e3006a4894bcad35
Author: Armin Burgmeier <armin@arbur.net>
Date:   Sat Dec 28 21:47:49 2013 +0100

    Fix a crash when checking can-join-user ACL for local user join

 libinfinity/server/infd-directory.c | 34 +++++++++++++++++++---------------
 1 file changed, 19 insertions(+), 15 deletions(-)

commit c167cda81ec35cf57bfac5dea6e430bec0f04ad3
Author: Armin Burgmeier <armin@arbur.net>
Date:   Sat Dec 28 16:35:21 2013 +0100

    Fix a stray reference in InfSession

    This would add an extra reference that is never unreferenced if the
    communication manager was set after sync connection and sync group, which
    practically never happens. Basically it was a bug in dead code.

 libinfinity/common/inf-session.c | 20 --------------------
 1 file changed, 20 deletions(-)

commit 4892fb8d20262ce5e6f0e9fe82c1ed72c8dc7875
Author: Armin Burgmeier <armin@arbur.net>
Date:   Wed Dec 18 16:51:35 2013 +0100

    Move infinoted-parameter.c to libinfinoted-plugin-manager

    This allows plugins to use parameter parsing. Also, add a flags field
    for InfinotedParameterInfo, allowing individual options to be required,
    i.e.
    error out on loading if the parameter is not specified.

 infinoted/Makefile.am                |  4 ++--
 infinoted/infinoted-options.c        | 24 +++++++++++++++++++-
 infinoted/infinoted-parameter.c      | 31 +++++++++++++++++++-------
 infinoted/infinoted-parameter.h      | 11 +++++++---
 infinoted/infinoted-plugin-manager.c | 40 ++++++++++++++++++++++++++++++++--
 infinoted/infinoted-plugin-manager.h | 15 +++++++++++--
 6 files changed, 107 insertions(+), 18 deletions(-)

commit d3a56cbbb63e339de77615aa72c594630eb40784
Author: Armin Burgmeier <armin@arbur.net>
Date:   Wed Dec 18 15:28:13 2013 +0100

    Add generic plugin system

    This allows to implement some special not-so-common functions as plugins,
    mostly helping in keeping the core infinoted code clean and maintainable.

    Features I have in mind for changing into a plugin are: autosave,
    directory-sync, transformation-protector, session recording,
    directory logging, traffic logging, and maybe also password, PAM
    and/or certificate authentication.

 infinoted/Makefile.am                |  35 +-
 infinoted/infinoted-config-reload.c  |  46 +++
 infinoted/infinoted-options.c        | 127 +++++-
 infinoted/infinoted-options.h        |   9 +
 infinoted/infinoted-plugin-manager.c | 696 +++++++++++++++++++++++++++++++++
 infinoted/infinoted-plugin-manager.h | 115 ++++++
 infinoted/infinoted-run.c            |  45 ++-
 infinoted/infinoted-run.h            |   3 +
 8 files changed, 1064 insertions(+), 12 deletions(-)

commit ee7284589a1c7701093a67a98a8b0b75753c3526
Author: Armin Burgmeier <armin@arbur.net>
Date:   Thu Dec 19 12:05:54 2013 +0100

    Allow request functions to finish synchronously

    This adds two additional arguments to all functions, which is the
    callback
    function for the finished signal. The functions now work such that they
    either return a request object with the given function connected to the
    finished handler, or they return NULL in which case they must have called
    the given function during their invocation.

    This simplifies the implementation on the server side a lot, since
    requests
    do not need to be artificially delayed any longer.

    Also, using the API is a a bit simpler since in many cases one does
    not need
    to use the request object anymore at all.

 libinfgtk/inf-gtk-browser-view.c                  |   59 +-
 libinfgtk/inf-gtk-permissions-dialog.c            |   86 +-
 libinfinity/client/infc-browser.c                 |   88 +-
 libinfinity/client/infc-browser.h                 |   10 +-
 libinfinity/client/infc-certificate-request.c     |    2 +-
 libinfinity/client/infc-certificate-request.h     |   14 +
 libinfinity/client/infc-chat-request.h            |   12 +
 libinfinity/client/infc-request-manager.c         |   30 +-
 libinfinity/client/infc-request-manager.h         |    4 +
 libinfinity/client/infc-session-proxy.c           |    6 +-
 libinfinity/common/inf-acl-account-list-request.h |   12 +
 libinfinity/common/inf-browser.c                  |  115 +-
 libinfinity/common/inf-browser.h                  |   65 +-
 libinfinity/common/inf-node-request.c             |    2 +-
 libinfinity/common/inf-node-request.h             |   18 +-
 libinfinity/common/inf-session-proxy.c            |   16 +-
 libinfinity/common/inf-session-proxy.h            |    8 +-
 libinfinity/common/inf-user-request.h             |   14 +
 libinfinity/server/infd-directory.c               | 1392 ++++++-------------
 libinfinity/server/infd-session-proxy.c           |  212 +--
 libinftext/inf-text-session.c                     |   14 +-
 libinftext/inf-text-session.h                     |    4 +-
 test/inf-test-browser.c                           |   15 +-
 test/inf-test-certificate-request.c               |   15 +-
 test/inf-test-chat.c                              |   36 +-
 test/inf-test-gtk-browser.c                       |   85 +-
 test/inf-test-mass-join.c                         |   48 +-
 test/inf-test-set-acl.c                           |   31 +-
 28 files changed, 1050 insertions(+), 1363 deletions(-)

commit dde5cc2ae929f148d38834cd4d48e0ac11c597e2
Author: Armin Burgmeier <armin@arbur.net>
Date:   Tue Dec 17 15:56:46 2013 +0100

    Update autogen.sh from current gnome-autogen.sh

 autogen.sh   | 97 ++++++++++++++++++++++++++++++++++++++--------------------
 configure.ac |  1 +
 2 files changed, 65 insertions(+), 33 deletions(-)

commit 1abf4945a9309b4ee896f604e78a47e7abd4708e
Author: Armin Burgmeier <armin@arbur.net>
Date:   Tue Dec 17 15:54:27 2013 +0100

    Factor out some common API from InfinotedOptions to InfinotedParameter

    This is another preparation step for the plugin system. This provides
    a common
    API for plugins to read their configuration values from the infinoted
    configuration file.

 infinoted/Makefile.am           |   2 +
 infinoted/infinoted-options.c   | 555 +++++++-------------------------------
 infinoted/infinoted-options.h   |   3 -
 infinoted/infinoted-parameter.c | 508 ++++++++++++++++++++++++++++++++++
 infinoted/infinoted-parameter.h | 126 +++++++++
 5 files changed, 731 insertions(+), 463 deletions(-)

commit ea3daa87be97aa2cbabb5e28911c96326e5dd18b
Author: Armin Burgmeier <armin@arbur.net>
Date:   Tue Dec 17 14:11:14 2013 +0100

    Refactor infinoted option parsing

    This was made having in mind introduction of generic infinoted
    plugins. The
    parsing is now arranged such that in the end there is one GKeyFile
    from which
    all options are read. Also, the configuration file to load can now be
    specified on the command line, and the --help output is more useful.

 infinoted/infinoted-options.c | 1532 ++++++++++++++++++++++++---------------
 infinoted/infinoted-options.h |    7 +-
 infinoted/infinoted-run.h     |    1 +
 infinoted/infinoted-startup.c |    4 +-
 4 files changed, 935 insertions(+), 609 deletions(-)

commit 7472ca0763386af8d6ebc38cfd8d377be7ec64c3
Author: Armin Burgmeier <armin@arbur.net>
Date:   Wed Dec 11 11:54:41 2013 +0100

    Fix restoring of ACLs after server restart

 libinfinity/server/infd-directory.c | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

commit 2a872f06e336a707e48b999ed85bff902aea6d79
Author: Armin Burgmeier <armin@arbur.net>
Date:   Wed Dec 11 11:35:33 2013 +0100

    Do not evaluate account and ACL files when reading subdirectory from disk

 libinfinity/server/infd-filesystem-storage.c | 42 ++++++++++++++++----------
 1 file changed, 26 insertions(+), 16 deletions(-)

commit b1eb1dc5113e3f7c9cfd0ceae749b09a25781e02
Author: Armin Burgmeier <armin@arbur.net>
Date:   Sun Nov 17 15:39:46 2013 +0100

    inf_adopted_request_log_original_request: Return given request for
    DO requests

    This fixes transforming the move request that InfTextUndoGrouping uses to
    determine whether to group two requests or not with the new algorithm.

 libinfinity/adopted/inf-adopted-request-log.c | 13 +++++++++++--
 1 file changed, 11 insertions(+), 2 deletions(-)

commit d1ded09f5c266f18ddfffcc678c0fc878e5c369d
Author: Armin Burgmeier <armin@arbur.net>
Date:   Sun Nov 17 16:03:26 2013 +0100

    Use "forward translation" in InfAdoptedAlgorithm

    This makes it possible to apply the mirror operation as late as possible
    during a translation. Also, add a test case which failed before due to
    this not being the case (test-55.xml).

    This also simplifies the implementation of the adOPTed algorithm quite
    a bit.

    At the moment the old implementation is still available and can
    be switched
    back on. This is mostly for reference -- one of the new tests will
    fail with
    the old implementation.

    Unfortunately, there is also a performance impact with the new algorithm.
    inf-test-text-session runs 30-40% slower. I hope this can be optimized
    more
    later, and is another reason to keep the old algorithm still in place, so
    that the two can easily be benchmarked against each other.

    Also, replay-09.xml has been removed. This replay will fail with the new
    algorithm. However, this is not an issue of the new algorithm, but rather
    that the record was taken with the old algorithm, and therefore
    transformations have been carried out incorrectly. The new algorithm
    carries
    them out correctly, ends up in a different document state, and
    cannot play
    the rest of the record.

 libinfinity/adopted/inf-adopted-algorithm.c |   181 +-
 test/replay/replay-09.record.xml            | 26366 ------------------------
 test/session/test-55.xml                    |    34 +
 test/session/test-56.xml                    |    34 +
 test/session/test-57.xml                    |    24 +
 5 files changed, 271 insertions(+), 26368 deletions(-)

commit 68c9d3c6aad7f3ce106211253dc2e92b83e36e00
Author: Armin Burgmeier <armin@arbur.net>
Date:   Sun Nov 17 15:39:20 2013 +0100

    Use inf_adopted_request_get_index() in InfTextUndoGrouping

    It makes the code a bit more readable.

 libinftext/inf-text-undo-grouping.c | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

commit 0a9981042cd494b982982a65db528fef788cd20f
Author: Armin Burgmeier <armin@arbur.net>
Date:   Sun Nov 17 12:32:11 2013 +0100

    inf-test-reduce-replay: also catch SIGTRAP of the child process

 test/inf-test-reduce-replay.c | 5 +++--
 1 file changed, 3 insertions(+), 2 deletions(-)

commit 562e3fcacb3e44d6aa47aa714a9be62d56a29379
Author: Armin Burgmeier <armin@arbur.net>
Date:   Sun Nov 17 12:03:33 2013 +0100

    Don't assert at unknown operation type in inf_test_util_print_operation()

 test/util/inf-test-util.c | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

commit 5e6ad16039595d1062e6c04b044ed500adafc1a6
Author: Armin Burgmeier <armin@arbur.net>
Date:   Sun Nov 17 12:01:13 2013 +0100

    Fix a typo in documentation of inf_adopted_request_log_prev_associated()

 libinfinity/adopted/inf-adopted-request-log.c | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

commit 3aa1e7d3b9be3c7fe81eff66bb3520588b57890c
Author: Armin Burgmeier <armin@arbur.net>
Date:   Fri Aug 30 16:43:02 2013 +0200

    Make InfAdoptedSplitOperation fulfill the C2 transformation property

 libinfinity/adopted/Makefile.am                   |   4 -
 libinfinity/adopted/inf-adopted-algorithm.c       |  20 +-
 .../adopted/inf-adopted-concurrency-warning.c     |  41 ---
 .../adopted/inf-adopted-concurrency-warning.h     |  35 ---
 libinfinity/adopted/inf-adopted-no-operation.c    |  12 +-
 libinfinity/adopted/inf-adopted-operation.c       | 102 +++-----
 libinfinity/adopted/inf-adopted-operation.h       |  12 +-
 libinfinity/adopted/inf-adopted-request.c         | 161 +++++-------
 libinfinity/adopted/inf-adopted-request.h         |   7 +-
 libinfinity/adopted/inf-adopted-split-operation.c | 160 +++++++++---
 libinfinity/adopted/inf-adopted-split-operation.h |   2 +
 libinftext/inf-text-default-delete-operation.c    |  23 +-
 libinftext/inf-text-default-insert-operation.c    |  28 +-
 libinftext/inf-text-delete-operation.c            |  37 +--
 libinftext/inf-text-delete-operation.h            |  10 +-
 libinftext/inf-text-insert-operation.c            |  98 +++----
 libinftext/inf-text-insert-operation.h            |   9 +-
 libinftext/inf-text-move-operation.c              |  13 +-
 libinftext/inf-text-remote-delete-operation.c     |  23 +-
 test/inf-test-text-operations.c                   | 272 +++++---------------
 20 files changed, 373 insertions(+), 696 deletions(-)

commit 2fe9d50775196be4152460678d745637957ca76c
Author: Armin Burgmeier <armin@arbur.net>
Date:   Wed Aug 21 17:28:13 2013 +0200

    Operations in InfAdoptedSplitOperation are now one after each other

    This defines the two operations in an InfAdoptedSplitOperation to
    be executed
    one after each other, not anymore both operations at the same state. This
    makes applying the split operation to the buffer straight forward, and no
    internal concurrency ID would be needed to decide what to do when
    there are
    two insert operations at the same position.

    This fixes #610. Also, add a test and a replay reproducing the problem.

 libinfinity/adopted/inf-adopted-split-operation.c |   87 +-
 libinftext/inf-text-default-delete-operation.c    |    2 +-
 libinftext/inf-text-remote-delete-operation.c     |   12 +-
 test/inf-test-text-operations.c                   |   37 +-
 test/inf-test-text-replay.c                       |   10 +-
 test/replay/replay-13.record.xml                  | 6916 +++++++++++++++++++
 test/session/test-54.xml                          |   37 +
 7 files changed, 7040 insertions(+), 61 deletions(-)

commit d346e7af637892bb7f1bf72b40424b3c3347e512
Author: Armin Burgmeier <armin@arbur.net>
Date:   Fri Aug 23 12:57:16 2013 +0200

    Replace make_reversible vfunc by apply_transformed vfunc

    This is another step for fixing #610. The two proceduces of making an
    operation reversible and applying it to the buffer are now performed
    by a single function, inf_adopted_operation_apply_transformed().

 libinfinity/adopted/inf-adopted-algorithm.c       |  34 ++---
 libinfinity/adopted/inf-adopted-no-operation.c    |   4 +-
 libinfinity/adopted/inf-adopted-operation.c       | 133 +++++++++++++-------
 libinfinity/adopted/inf-adopted-operation.h       |  34 ++---
 libinfinity/adopted/inf-adopted-split-operation.c | 108 +++++++++++-----
 libinftext/inf-text-default-delete-operation.c    |   3 +-
 libinftext/inf-text-default-insert-operation.c    |   3 +-
 libinftext/inf-text-move-operation.c              |  22 +---
 libinftext/inf-text-remote-delete-operation.c     |  27 ++--
 9 files changed, 215 insertions(+), 153 deletions(-)

commit 4f666fee58db3fa2463d16aa62aac2214058965d
Author: Armin Burgmeier <armin@arbur.net>
Date:   Thu Aug 22 16:01:49 2013 +0200

    Make the original operation reversible inside apply-request

    This is a first step to fix #610. For the fix I have in mind we will need
    to create the reversible operation when applying the operation to
    the buffer.

 libinfinity/adopted/inf-adopted-algorithm.c | 183 ++++++++++++++++----------
 libinfinity/adopted/inf-adopted-algorithm.h |   3 +-
 libinfinity/inf-marshal.in                  |   1 +
 libinftext/inf-text-session.c               |   2 +
 test/inf-test-text-recover.c                |   7 +-
 test/inf-test-text-replay.c                 |   2 +
 6 files changed, 128 insertions(+), 70 deletions(-)

commit a89ea37e3520207035a4030ffee1a6a4feee61da
Author: Armin Burgmeier <armin@arbur.net>
Date:   Wed Aug 21 16:58:52 2013 +0200

    Test split operations explicitely in inf-test-text-operations

    Right now, one of them fails the undo test, and another one causes
    a crash.

 test/inf-test-text-operations.c | 37 +++++++++++++++++++++++++++++++++----
 1 file changed, 33 insertions(+), 4 deletions(-)

commit 8bd3e23d0bde5b054e3956b8121c7774d79edb10
Author: Armin Burgmeier <armin@arbur.net>
Date:   Wed Aug 21 16:58:14 2013 +0200

    Perform a basic Undo test in inf-test-text-operations

    This checks whether the example document remains the same when applying
    the operation and its inverse consecutively.

 test/inf-test-text-operations.c | 103 +++++++++++++++++++++++++++++++++++++-
 1 file changed, 101 insertions(+), 2 deletions(-)

commit 60c42982bd04ecc0d53fbc00b4f84aa280ce5945
Author: Armin Burgmeier <armin@arbur.net>
Date:   Wed Aug 21 11:54:41 2013 +0200

    Validate correctly concurrency situations in inf-test-reduce-replay

    Since we are deleting all sync requests, it can happen that remaining
    session requests would depend on deleted ones in concurrent situations.
    This situation is now detected as invalid.

 test/inf-test-reduce-replay.c | 264 ++++++++++++++++++++++++++++++++++------
 1 file changed, 224 insertions(+), 40 deletions(-)

commit dca689aeadf0b18c1d09d14df95d66cb0d49a59d
Author: Armin Burgmeier <armin@arbur.net>
Date:   Tue Aug 20 12:14:14 2013 +0200

    Add some more TODO notes

 TODO | 8 +++++++-
 1 file changed, 7 insertions(+), 1 deletion(-)

commit a8719920ce827361f1f8a118ac79ee6fc13ee02d
Author: Armin Burgmeier <armin@arbur.net>
Date:   Tue Aug 20 12:13:21 2013 +0200

    Break the codeflow when a server sent a certificate the client did
    not request

 libinfinity/client/infc-browser.c | 2 ++
 1 file changed, 2 insertions(+)

commit 57b19fcd016e6b385314a302936f61e225cb7be5
Author: Armin Burgmeier <armin@arbur.net>
Date:   Tue Aug 20 12:08:22 2013 +0200

    Fix possible undefined behaviour in inf_cert_util_copy_certificate()

 libinfinity/common/inf-cert-util.c | 1 +
 1 file changed, 1 insertion(+)

commit 58f0f1b8f9e37be5e60cf20a794cdcd96c287058
Author: Armin Burgmeier <armin@arbur.net>
Date:   Sun Aug 18 21:31:54 2013 +0200

    Set the activation time of newly generated certificate a bit in the past

    This is so that if the client verifies the certificate immediately
    and has
    its clock slightly offset it does not find the certificate invalid
    because
    its activation time has not started yet.

 libinfinity/server/infd-directory.c | 5 ++++-
 1 file changed, 4 insertions(+), 1 deletion(-)

commit 4ae6d7267075e52a82dceb022da38d8b90175398
Author: Armin Burgmeier <armin@arbur.net>
Date:   Sun Aug 18 13:33:43 2013 +0200

    Document InfAdoptedUser and InfStandaloneIo

 libinfinity/adopted/inf-adopted-user.c | 17 +++++++++++++++++
 libinfinity/common/inf-standalone-io.c | 22 ++++++++++++++++++++++
 libinfinity/common/inf-standalone-io.h | 13 +++++++++++++
 libinfinity/common/inf-user.c          |  1 -
 4 files changed, 52 insertions(+), 1 deletion(-)

commit 210a7ade528e0ec119bf4c740ab3989e00f69b35
Author: Armin Burgmeier <armin@arbur.net>
Date:   Sun Aug 18 13:17:17 2013 +0200

    Fix uninitialized variables in infinote server code

 infinoted/note-plugins/chat/infd-note-plugin-chat.c | 2 ++
 libinfinity/server/infd-directory.c                 | 1 +
 2 files changed, 3 insertions(+)

commit 380beb0c5700c031f554e750816c220ccc8f41a3
Author: Armin Burgmeier <armin@arbur.net>
Date:   Mon Aug 12 12:06:14 2013 +0200

    Watch notify::subscription-group instead of close for session detach

    The reason is that when the session is closed, the subscription group is
    reset as well in any case. This is being done by the default handler of
    the InfSession::close signal. However, there are other occurences where
    the subscription can be lost, for example if the server forcibly removes
    the subscription with infd_session_proxy_unsubscribe(). If that happens,
    we also want to detach the session from the browser, so that the
    client can
    try to re-subscribe. The old session with lost subscription is kep alive,
    however, so that it can be used for other purposes, such as for a sync-in
    on another node.

    The documentation of the InfBrowser::unsubscribe-session has also been
    changed to describe its meaning more explicitly.

 libinfinity/client/infc-browser.c | 125 +++++++++++++++++++-----------------
 libinfinity/common/inf-browser.c  |  16 ++++-
 2 files changed, 80 insertions(+), 61 deletions(-)

commit ccb2a691554741f92951762f23aeb14f7e5ffd26
Author: Armin Burgmeier <armin@arbur.net>
Date:   Mon Aug 12 12:05:10 2013 +0200

    Keep the InfcSessionProxy object always consistent when releasing
    connection

 libinfinity/client/infc-session-proxy.c | 11 +++++++++--
 1 file changed, 9 insertions(+), 2 deletions(-)

commit 511a81f3f81ed5dffbc447dffec17c0cd8b20cf9
Author: Armin Burgmeier <armin@arbur.net>
Date:   Sun Aug 11 22:25:58 2013 +0200

    Fix a memory leak when reading text sessions from disk

    The buffer and user table were not unref'ed either at failure or
    at success.
    Even at success the session makes a new reference on the objects,
    so we have
    to unref them for the buffer and user table to be finalized eventually.

 infinoted/note-plugins/text/infd-note-plugin-text.c | 12 +++++++++---
 1 file changed, 9 insertions(+), 3 deletions(-)

commit 7ed7f593f5db2a6e5c0cccefee26e8aebfa7fc02
Author: Armin Burgmeier <armin@arbur.net>
Date:   Sun Aug 11 22:20:45 2013 +0200

    Fix a couple of compiler warnings

 infinoted/infinoted-run.c                              | 3 +--
 libinfinity/adopted/inf-adopted-request.c              | 2 +-
 libinfinity/common/inf-browser.c                       | 2 ++
 libinfinity/communication/inf-communication-registry.c | 1 +
 4 files changed, 5 insertions(+), 3 deletions(-)

commit 5ff938541b828de03fa37032eac06020669d168b
Author: Armin Burgmeier <armin@arbur.net>
Date:   Sun Aug 11 22:10:37 2013 +0200

    Add InfChat note plugin for infinoted

 configure.ac                                      |   1 +
 infinoted/note-plugins/Makefile.am                |   2 +-
 infinoted/note-plugins/chat/Makefile.am           |  20 ++
 .../note-plugins/chat/infd-note-plugin-chat.c     | 231 ++++++++++++++++++++
 4 files changed, 253 insertions(+), 1 deletion(-)

commit 0af3d3d83a3031cff71eecfe91b33e678aed6530
Author: Armin Burgmeier <armin@arbur.net>
Date:   Sun Aug 11 15:57:27 2013 +0200

    Rework the ACL implementation

    It is now possible to associate more than one certificate to an account,
    and some basic functionality for other login procedures, such as
    password-based authentication.

    There are also some other internal reworkings.

 .../libinfinity/libinfinity-0.6-docs.sgml         |    7 +-
 .../libinfinity/libinfinity-0.6-sections.txt      |  109 +-
 libinfgtk/inf-gtk-acl-sheet-view.c                |   92 +-
 libinfgtk/inf-gtk-acl-sheet-view.h                |    6 +-
 libinfgtk/inf-gtk-permissions-dialog.c            |  150 +--
 libinfinity/client/Makefile.am                    |    4 +-
 .../client/infc-acl-account-list-request.c        |  345 +++++
 .../client/infc-acl-account-list-request.h        |   75 ++
 libinfinity/client/infc-acl-user-list-request.c   |  344 -----
 libinfinity/client/infc-acl-user-list-request.h   |   74 --
 libinfinity/client/infc-browser.c                 |  396 +++---
 libinfinity/common/Makefile.am                    |   10 +-
 ...t-request.c => inf-acl-account-list-request.c} |   84 +-
 libinfinity/common/inf-acl-account-list-request.h |   70 +
 libinfinity/common/inf-acl-sheet.c                |  701 ----------
 libinfinity/common/inf-acl-sheet.h                |  209 ---
 libinfinity/common/inf-acl-table.c                |  901 -------------
 libinfinity/common/inf-acl-table.h                |  146 ---
 libinfinity/common/inf-acl-user-list-request.h    |   70 -
 libinfinity/common/inf-acl.c                      | 1282 +++++++++++++++++++
 libinfinity/common/inf-acl.h                      |  289 +++++
 libinfinity/common/inf-browser.c                  |  240 ++--
 libinfinity/common/inf-browser.h                  |   70 +-
 libinfinity/common/inf-error.c                    |    6 +-
 libinfinity/common/inf-error.h                    |    9 +-
 libinfinity/server/Makefile.am                    |    2 +
 libinfinity/server/infd-acl-account-info.c        |  680 ++++++++++
 libinfinity/server/infd-acl-account-info.h        |  101 ++
 libinfinity/server/infd-directory.c               |  915 ++++++++-----
 libinfinity/server/infd-directory.h               |    7 +-
 libinfinity/server/infd-filesystem-storage.c      |   93 +-
 libinfinity/server/infd-storage.c                 |   57 +-
 libinfinity/server/infd-storage.h                 |   42 +-
 test/inf-test-set-acl.c                           |   62 +-
 34 files changed, 4205 insertions(+), 3443 deletions(-)

commit bc1b8f41cc3b8d3e26681e9f86240248a71337be
Author: Armin Burgmeier <armin@arbur.net>
Date:   Sun Aug 11 13:59:57 2013 +0200

    Ignore everything the remote side sends while waiting for
    </stream:stream>

    Since the communication channel is full-duplex, it can happen that the
    remote side sends more data before it receives our request to close the
    connection and eventually acknowledges it.

 libinfinity/common/inf-xmpp-connection.c | 6 +++++-
 1 file changed, 5 insertions(+), 1 deletion(-)

commit 5b68ef7efd453670435739c997af3cd50ea89e99
Author: Armin Burgmeier <armin@arbur.net>
Date:   Tue Aug 6 09:27:35 2013 +0200

    Add INF_ACL_CAN_JOIN_USER permission

 libinfinity/adopted/inf-adopted-session-replay.c |  13 ++-
 libinfinity/client/infc-session-proxy.c          |  16 ++-
 libinfinity/common/inf-acl-sheet.c               |   4 +
 libinfinity/common/inf-acl-sheet.h               |   8 +-
 libinfinity/common/inf-session.c                 |  37 +++----
 libinfinity/common/inf-session.h                 |   3 +-
 libinfinity/inf-marshal.in                       |   1 +
 libinfinity/server/infd-directory.c              |  55 +++++++++++
 libinfinity/server/infd-session-proxy.c          | 108 +++++++++++++++++----
 libinfinity/server/infd-session-proxy.h          |   7 ++
 10 files changed, 205 insertions(+), 47 deletions(-)

commit e0e2cb1c3243f52767bd9a7ba9b1389d416e38e4
Author: Armin Burgmeier <armin@arbur.net>
Date:   Mon Aug 5 17:38:40 2013 +0200

    Add documentation for InfcSessionProxy and InfdSessionProxy

 libinfinity/client/infc-session-proxy.c | 21 +++++++++++++++++++++
 libinfinity/client/infc-session-proxy.h | 20 ++++++++++++++++++++
 libinfinity/server/infd-session-proxy.c | 22 ++++++++++++++++++++++
 libinfinity/server/infd-session-proxy.h | 20 ++++++++++++++++++++
 4 files changed, 83 insertions(+)

commit 4b4df45bd24d6b3136702f1e20b05a157b618e20
Author: Armin Burgmeier <armin@arbur.net>
Date:   Mon Aug 5 15:58:26 2013 +0200

    Add InfcChatRequest to libinfinity-0.6-sections.txt

 .../reference/libinfinity/libinfinity-0.6-sections.txt | 16 ++++++++++++++++
 1 file changed, 16 insertions(+)

commit b0b628fbd6de907ebd2c751334f91d214ee7a823
Author: Armin Burgmeier <armin@arbur.net>
Date:   Mon Aug 5 15:16:18 2013 +0200

    Move the NOT_AUTHORIZED error from directory to the request domain

 libinfinity/common/inf-error.c      | 4 ++--
 libinfinity/common/inf-error.h      | 6 +++---
 libinfinity/server/infd-directory.c | 4 ++--
 3 files changed, 7 insertions(+), 7 deletions(-)

commit 6a5f7a42436fa04f1544af59ee837fb74389a2c9
Author: Armin Burgmeier <armin@arbur.net>
Date:   Sat Aug 3 19:10:49 2013 +0200

    Remove two unused marshallers

 libinfinity/inf-marshal.in | 4 +---
 1 file changed, 1 insertion(+), 3 deletions(-)

commit 9219688f98c1c84e515fd5ef456057f57b378b6c
Author: Armin Burgmeier <armin@arbur.net>
Date:   Thu Aug 1 12:30:23 2013 +0200

    Make key algorithm and length parameters of
    inf_cert_util_create_private_key()

 infinoted/infinoted-startup.c      |  2 +-
 libinfinity/common/inf-cert-util.c | 12 +++++++++---
 libinfinity/common/inf-cert-util.h |  4 +++-
 3 files changed, 13 insertions(+), 5 deletions(-)

commit 62fea70e983e8ac4a937a57a84cb147c88409404
Author: Armin Burgmeier <armin@arbur.net>
Date:   Wed Jul 31 19:15:50 2013 +0200

    Add infd_directory_get_acl_user_for_connection()

 .../libinfinity/libinfinity-0.6-sections.txt      |  1 +
 libinfinity/server/infd-directory.c               | 32 +++++++++++++++++++++
 libinfinity/server/infd-directory.h               |  4 +++
 3 files changed, 37 insertions(+)

commit 014da3537e2fd7c740e2e9348f728f290ae32858
Author: Armin Burgmeier <armin@arbur.net>
Date:   Wed Jul 31 15:46:44 2013 +0200

    Change INF_ACL_CAN_SET_ACL so it works on the node rather than its
    children

 libinfgtk/inf-gtk-permissions-dialog.c | 34 ++++++++++--------------------
 libinfinity/common/inf-acl-sheet.h     |  4 ++--
 libinfinity/server/infd-directory.c    | 36 +++++++++++++++-----------------
 3 files changed, 30 insertions(+), 44 deletions(-)

commit 3f34da0256495a5f435eecc6e00cdc217c4cfa39
Author: Armin Burgmeier <armin@arbur.net>
Date:   Wed Jul 31 15:37:50 2013 +0200

    InfGtkPermissionsDialog: Apply line wrap to the status label

 libinfgtk/inf-gtk-permissions-dialog.c | 3 +++
 1 file changed, 3 insertions(+)

commit bf767b90abe607c7a0c1263dddfb382465165eb2
Author: Armin Burgmeier <armin@arbur.net>
Date:   Wed Jul 31 14:11:44 2013 +0200

    Use the new InfGtkAclSheetView properties in InfGtkPermissionsDialog

 libinfgtk/inf-gtk-permissions-dialog.c | 50 ++++++++++++++++++++++++++++++--
 libinfinity/common/inf-acl-sheet.h     |  6 ++++
 2 files changed, 54 insertions(+), 2 deletions(-)

commit 4ece31ca272992c7234341912895fa6c183374ad
Author: Armin Burgmeier <armin@arbur.net>
Date:   Wed Jul 31 13:54:58 2013 +0200

    Add "show-default" and "permission-mask" properties to InfGtkAclSheetView

 .../libinfgtk/libinfgtk-0.6-sections.txt          |   4 +
 libinfgtk/inf-gtk-acl-sheet-view.c                | 218 ++++++++++++++++++--
 libinfgtk/inf-gtk-acl-sheet-view.h                |  14 ++
 3 files changed, 219 insertions(+), 17 deletions(-)

commit e24b4ac5b691066a191c92a7733799ed0188ca5d
Author: Armin Burgmeier <armin@arbur.net>
Date:   Wed Jul 31 11:30:37 2013 +0200

    Some more cosmetics to the InfGtkPermissionsDialog

    Add two images, and show some informational text when no node is
    selected.

 libinfgtk/inf-gtk-permissions-dialog.c | 108 ++++++++++++++++++++++++-------
 1 file changed, 83 insertions(+), 25 deletions(-)

commit a4b56505a5ea3471b70822354d89c388f5d5d0ae
Author: Armin Burgmeier <armin@arbur.net>
Date:   Wed Jul 31 11:01:38 2013 +0200

    Fix double slash in inf_browser_get_path()

    inf_browser_get_path() was returning paths beginning with two slashes for
    non-root nodes.

 libinfinity/common/inf-browser.c | 8 ++++++--
 1 file changed, 6 insertions(+), 2 deletions(-)

commit bac7c1367f36422f596d72ba31f5902d1f993027
Author: Armin Burgmeier <armin@arbur.net>
Date:   Wed Jul 31 08:40:20 2013 +0200

    Fix masking logic in inf_browser_check_acl

    It was wrong in the sense that all masked permissions were revoked,
    instead
    of being left untouched.

 libinfinity/common/inf-browser.c | 4 ++--
 1 file changed, 2 insertions(+), 2 deletions(-)

commit 6e1f7f0276b4bfe88cf5994b3e48284ea5541135
Author: Armin Burgmeier <armin@arbur.net>
Date:   Wed Jul 31 08:04:59 2013 +0200

    Fix a server crash when announcing non-root ACL

 libinfinity/server/infd-directory.c | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

commit 146050dceccc9245b778c0be3836883c2f293308
Author: Armin Burgmeier <armin@arbur.net>
Date:   Wed Jul 31 08:04:09 2013 +0200

    InfGtkPermissionsDialog: Fix a warning when connection drops while
    changing ACL

 libinfgtk/inf-gtk-permissions-dialog.c | 6 +++++-
 1 file changed, 5 insertions(+), 1 deletion(-)

commit b2893f118fca6fdb14132d362620563ab5a890bf
Author: Armin Burgmeier <armin@arbur.net>
Date:   Wed Jul 31 08:03:46 2013 +0200

    InfGtkAclSheetView: Sort ACLs in ascending order, not descending

 libinfgtk/inf-gtk-acl-sheet-view.c | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

commit 71f8057dee37081cc09ef6df4b0f12ab9d7f95eb
Author: Armin Burgmeier <armin@arbur.net>
Date:   Tue Jul 30 17:56:49 2013 +0200

    Add the InfGtkPermissionsDialog widget

 TODO                                              |    2 +
 docs/reference/libinfgtk/libinfgtk-0.6-docs.sgml  |    1 +
 .../libinfgtk/libinfgtk-0.6-sections.txt          |   17 +
 libinfgtk/Makefile.am                             |    6 +-
 libinfgtk/inf-gtk-permissions-dialog.c            | 1246 +++++++++++++++++++
 libinfgtk/inf-gtk-permissions-dialog.h            |   80 ++
 6 files changed, 1350 insertions(+), 2 deletions(-)

commit 341ee453b8d58a19153796ebfe1065ad0baa400d
Author: Armin Burgmeier <armin@arbur.net>
Date:   Mon Jul 29 21:20:20 2013 +0200

    Add the inf_browser_is_ancestor() function

 .../libinfinity/libinfinity-0.6-sections.txt      |  1 +
 libinfinity/common/inf-browser.c                  | 34 +++++++++++++++++++++
 libinfinity/common/inf-browser.h                  |  5 +++
 3 files changed, 40 insertions(+)

commit 8ae97cb6997b83351977c9d6cb0a0b19c525d645
Author: Armin Burgmeier <armin@arbur.net>
Date:   Sun Jul 28 21:52:25 2013 +0200

    Add INF_ACL_CAN_QUERY_USER_LIST and INF_ACL_CAN_QUERY_ACL permissions

 libinfinity/common/inf-acl-sheet.c  |  8 ++++++++
 libinfinity/common/inf-acl-sheet.h  | 10 ++++++++--
 libinfinity/server/infd-directory.c | 12 ++++++++++--
 3 files changed, 26 insertions(+), 4 deletions(-)

commit 29e50230fe0f471c69f2851472c7b1d55f454c01
Author: Armin Burgmeier <armin@arbur.net>
Date:   Mon Jul 22 21:41:11 2013 +0200

    Add the InfGtkAclSheetView widget

 docs/reference/libinfgtk/libinfgtk-0.6-docs.sgml  |   1 +
 .../libinfgtk/libinfgtk-0.6-sections.txt          |  20 +
 libinfgtk/Makefile.am                             |   2 +
 libinfgtk/inf-gtk-acl-sheet-view.c                | 775 ++++++++++++++++++++
 libinfgtk/inf-gtk-acl-sheet-view.h                |  92 +++
 5 files changed, 890 insertions(+)

commit b3b600717b4902e42e805b828745094262aa2ff0
Author: Armin Burgmeier <armin@arbur.net>
Date:   Mon Jul 22 21:51:33 2013 +0200

    Document InfTextGtkView and InfTextGtkViewport

 libinftextgtk/inf-text-gtk-view.c     | 31 ++++++++++++++++++++++++++++++-
 libinftextgtk/inf-text-gtk-view.h     | 13 +++++++++++++
 libinftextgtk/inf-text-gtk-viewport.c | 20 ++++++++++++++++++++
 libinftextgtk/inf-text-gtk-viewport.h | 13 +++++++++++++
 4 files changed, 76 insertions(+), 1 deletion(-)

commit 4f254e05c114f0f6e4835f7c7d475d8b9a3f8c75
Author: Armin Burgmeier <armin@arbur.net>
Date:   Sun Jul 21 21:36:50 2013 +0200

    InfGtkBrowserStore: Handle correctly when the missing node is a root node

 libinfgtk/inf-gtk-browser-store.c | 55 +++++++++++++++++++++++++++++++++----
 1 file changed, 49 insertions(+), 6 deletions(-)

commit d17cacbd8a30c99dea25af3e926a2f7237cc8b66
Author: Armin Burgmeier <armin@arbur.net>
Date:   Sun Jul 21 21:22:01 2013 +0200

    Fix a warning in infinoted when a document is being synced in

    This causes a session to be created but the InfAdoptedAlgorithm does
    not exist yet, so the signal handlers cannot be installed. Instead,
    wait for
    the synchronization to finish before installing the signal handlers
    on the
    algorithm.

 infinoted/infinoted-log.c | 87 +++++++++++++++++++++++++++++++++++++--------
 1 file changed, 72 insertions(+), 15 deletions(-)

commit 33985ea64af638f22c6478437f9d8c90b01caf0f
Author: Armin Burgmeier <armin@arbur.net>
Date:   Sun Jul 21 21:21:30 2013 +0200

    Fix crashes when creating a node with empty ACL

    Due to missing NULL checks for the ACL sheet set.

 libinfinity/server/infd-directory.c | 68 ++++++++++++++++++++---------------
 1 file changed, 40 insertions(+), 28 deletions(-)

commit ef3472ebb546e1648932574e7a7747a8c7cdf84b
Author: Armin Burgmeier <armin@arbur.net>
Date:   Sun Jul 21 21:20:01 2013 +0200

    Make sure adOPTed algorithm is available at session status notify

    This makes the two events "synchronization complete" and "notify::status"
    atomic in the sense that when one happens in any signal handler the
    other one
    will have changed, too, and the adOPTed algorithm is created in
    every case.

 libinfinity/adopted/inf-adopted-session.c | 4 ++++
 1 file changed, 4 insertions(+)

commit 2c7e860872b6fc3bbc8e76a83c1bd301452c1051
Author: Armin Burgmeier <armin@arbur.net>
Date:   Sun Jul 21 17:51:42 2013 +0200

    Only declare protocol versions incompatible if the major number changes

    The current version is perfectly capable to talk to a 0.5 infinoted. It
    will even handle replies to ACL-related messages gracefully.

 libinfinity/client/infc-browser.c | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

commit d11e38b6ee66644bff67f4c0e3fc6302c1afb8f7
Author: Armin Burgmeier <armin@arbur.net>
Date:   Sun Jul 21 17:43:50 2013 +0200

    Allow iter to be NULL in
    inf_gtk_browser_model_browser_iter_to_tree_iter()

    This is necessary to since now the root iterator is not always available,
    namely for non-open browsers. In that case one can call the function with
    a NULL iterator to obtain the toplevel item.

 libinfgtk/inf-gtk-browser-model.c |  8 +++++---
 libinfgtk/inf-gtk-browser-store.c | 17 ++++++++++++-----
 2 files changed, 17 insertions(+), 8 deletions(-)

commit c5b04ebca407cbdbd0f60d6ab1c43f3bb352ab9b
Author: Armin Burgmeier <armin@arbur.net>
Date:   Sun Jul 21 12:12:24 2013 +0200

    Make the inf_tcp_connection_new*() functions take a const InfIpAddress

 libinfinity/common/inf-tcp-connection.c | 4 ++--
 libinfinity/common/inf-tcp-connection.h | 4 ++--
 2 files changed, 4 insertions(+), 4 deletions(-)

commit 63c939f88dc1e2921ae07540f98ee521f541d29b
Author: Armin Burgmeier <armin@arbur.net>
Date:   Sun Jul 21 12:10:00 2013 +0200

    Make inf_xmpp_manager_lookup_connection_by_address() take a const
    InfIpAddress

 libinfinity/common/inf-xmpp-manager.c | 6 +++---
 libinfinity/common/inf-xmpp-manager.h | 2 +-
 2 files changed, 4 insertions(+), 4 deletions(-)

commit a6130fc6caef93a65c051e036f8ce159f0b93d34
Author: Armin Burgmeier <armin@arbur.net>
Date:   Sun Jul 21 12:06:49 2013 +0200

    Make inf_gtk_browser_store_add_connection() return a InfBrowser

 libinfgtk/inf-gtk-browser-store.c | 14 +++++++++++---
 libinfgtk/inf-gtk-browser-store.h |  2 +-
 2 files changed, 12 insertions(+), 4 deletions(-)

commit 7107d534107bcdc5b4cdf1cf5af35733e0e4f5fc
Author: Armin Burgmeier <armin@arbur.net>
Date:   Sat Jul 20 23:33:35 2013 +0200

    Document the InfTextGtkBuffer class

 libinftextgtk/inf-text-gtk-buffer.c | 33 +++++++++++++++++++++++++++++++++
 libinftextgtk/inf-text-gtk-buffer.h | 13 +++++++++++++
 2 files changed, 46 insertions(+)

commit effd8971f72e73dba248749634ee581490f17ca1
Author: Armin Burgmeier <armin@arbur.net>
Date:   Fri Jul 19 16:37:53 2013 +0200

    Do not return a group that is larger than what can be undone in
    UndoGrouping

    This could lead to submission of too many undo or redo requests if
    one would
    blindly generate as many undo or redo requests as the size of the
    corresponding undo group. Since it is not trivial to figure out the
    number of
    requests allowed before no more requests can be made due to an excess
    of the
    max total log size, this functionality has been added to
    InfAdoptedUndoGrouping.

    This would also lead to a crash in the server which cannot handle invalid
    undo requests gracefully at the moment.

 libinfinity/adopted/inf-adopted-undo-grouping.c | 58 ++++++++++++++++++++++-
 1 file changed, 56 insertions(+), 2 deletions(-)

commit 781a9f540e1cb8e15d6ad55b895305d38d2d4269
Author: Armin Burgmeier <armin@arbur.net>
Date:   Thu Jul 18 23:44:08 2013 +0200

    inf_adopted_request_log_upper_related(): Allow n to be anywhere in
    the set

    Also, add inf_adopted_request_log_lower_related(), which comes for free
    with the new implementation

 .../libinfinity/libinfinity-0.6-sections.txt      |   1 +
 libinfinity/adopted/inf-adopted-request-log.c     | 194 +++++++++++++-------
 libinfinity/adopted/inf-adopted-request-log.h     |   4 +
 3 files changed, 135 insertions(+), 64 deletions(-)

commit d0b540a1ffdd4c74133d09651d3ffefcd17848c7
Author: Armin Burgmeier <armin@arbur.net>
Date:   Thu Jul 18 23:38:11 2013 +0200

    Add inf_adopted_request_get_index()

    This function returns the vector time component of the user that
    issued the
    request itself. This value is needed often, and should allow to
    simplify more
    code through libinfinity's adOPTed implementation. It could later also be
    optimized by caching that quantity.

 .../libinfinity/libinfinity-0.6-sections.txt       |  1 +
 libinfinity/adopted/inf-adopted-request.c          | 20 ++++++++++++++++++++
 libinfinity/adopted/inf-adopted-request.h          |  3 +++
 3 files changed, 24 insertions(+)

commit 930367a41762c454819596bac419a72d0ca87290
Author: Armin Burgmeier <armin@arbur.net>
Date:   Thu Jul 18 20:02:47 2013 +0200

    Keep a reference to requests in the undo grouper

    Otherwise requests could be removed before the cleanup would
    happen. Also,
    add a replay which exhibits the problem.

 libinfinity/adopted/inf-adopted-undo-grouping.c |    6 +
 test/replay/replay-12.record.xml                | 6599 +++++++++++++++++++++
 2 files changed, 6605 insertions(+)

commit cdf4f978df6275c9228c87cb765d30c36f81fee1
Author: Armin Burgmeier <armin@arbur.net>
Date:   Wed Jul 17 12:02:21 2013 +0200

    Remove the trust-file property from InfGtkCertificateManager

    Instead, give the gnutls_session_t to the certificate callback. The
    callback
    can then call gnutls_certificate_verify_peers2() in order to check the
    certificate with the trusted CAs stored in the certificate credentials.

 infinoted/infinoted-run.c                |  1 +
 libinfgtk/inf-gtk-certificate-manager.c  | 86 +++---------------------------
 libinfgtk/inf-gtk-certificate-manager.h  |  1 -
 libinfinity/common/inf-xmpp-connection.c |  1 +
 libinfinity/common/inf-xmpp-connection.h |  1 +
 5 files changed, 10 insertions(+), 80 deletions(-)

commit 2c6ccbd4b7a03176b188da2e41c5e1b38fde6596
Author: Armin Burgmeier <armin@arbur.net>
Date:   Tue Jul 16 19:42:14 2013 +0200

    Fix FSF address in COPYING file

    Bug report #609, http://gobby.0x539.de/trac/ticket/609

 COPYING | 68 ++++++++++++++++++++++++++++-----------------------------------
 1 file changed, 30 insertions(+), 38 deletions(-)

commit cab8f0779006d86a4931ed6762bcfba326c6e765
Author: Armin Burgmeier <armin@arbur.net>
Date:   Tue Jul 16 17:37:14 2013 +0200

    Fix a crash in infd_directory_handle_subscribe_session()

    Due to two uninitialized pointers.

 libinfinity/server/infd-directory.c | 3 +++
 1 file changed, 3 insertions(+)

commit de9cf1d34a75bb511e4dff85d82ea7f192d7fa84
Author: Armin Burgmeier <armin@arbur.net>
Date:   Tue Jul 16 17:25:39 2013 +0200

    Fix inf_browser_check_acl() for non-root nodes

    The tree was correctly propagated, but the ACL sheet was only queried
    from
    the original (bottommost) node.

 libinfinity/common/inf-browser.c | 4 ++--
 1 file changed, 2 insertions(+), 2 deletions(-)

commit 0ae099912608da1d24c95c0310bdde1af421f899
Author: Armin Burgmeier <armin@arbur.net>
Date:   Tue Jul 16 17:25:00 2013 +0200

    Fix a warning when receiving an add_node request by the server

    If the request has no ACL sheets set, a inf_acl_sheet_set_free() was
    attempted on a NULL variable.

 libinfinity/client/infc-browser.c | 7 +++++--
 1 file changed, 5 insertions(+), 2 deletions(-)

commit 25058fafbcd28c53daa62b3674382f8510183620
Author: Armin Burgmeier <armin@arbur.net>
Date:   Tue Jul 16 17:19:51 2013 +0200

    Avoid a warning when adding a note without ACL sheets

    Due to a missing NULL check in infc_browser_node_new_common()

 libinfinity/client/infc-browser.c | 10 +++++++---
 1 file changed, 7 insertions(+), 3 deletions(-)

commit 7b0034e3f7fb663f86ebb8f8eb4767e17383cda7
Author: Armin Burgmeier <armin@arbur.net>
Date:   Tue Jul 16 17:16:50 2013 +0200

    Fix a crash when sending explored nodes to a client

    There was a NULL check missing when adding the ACL sheets of the
    explored nodes to the server reply.

 libinfinity/server/infd-directory.c | 17 ++++++++++-------
 1 file changed, 10 insertions(+), 7 deletions(-)

commit e1039666e8cc35af6967087a5ee82277cf6ae256
Author: Armin Burgmeier <armin@arbur.net>
Date:   Tue Jul 16 17:16:31 2013 +0200

    Fix a crash when exploring nodes from background storage

    Due to an uninitialized variable

 libinfinity/server/infd-directory.c | 2 ++
 1 file changed, 2 insertions(+)

commit 60c9b1172ca3ea5b13652266ab3beb8789b32d6d
Author: Armin Burgmeier <armin@arbur.net>
Date:   Tue Jul 16 17:16:00 2013 +0200

    Add g_return_if_fail() checks into InfdExploreRequest public functions

 libinfinity/server/infd-explore-request.c | 6 ++++++
 1 file changed, 6 insertions(+)

commit 3dc6cb3a5cbdb85f7735e0655e16d014b71096a1
Author: Armin Burgmeier <armin@arbur.net>
Date:   Tue Jul 16 17:07:37 2013 +0200

    Fix a crash when exploring nodes in the background storage

 libinfinity/server/infd-directory.c | 2 ++
 1 file changed, 2 insertions(+)

commit 514ee584b700da5ab1ee12b2495e47b5bdac485b
Author: Armin Burgmeier <armin@arbur.net>
Date:   Tue Jul 16 17:07:08 2013 +0200

    Adapt InfGtkBrowserStore to modified root node handling in InfcBrowser

    The root node is now only available when the browser is open.

 libinfgtk/inf-gtk-browser-store.c | 172 ++++++++++++++++++++++--------------
 1 file changed, 105 insertions(+), 67 deletions(-)

commit d2e0e937a5c19af22731b26ca8636389ec7f2433
Author: Armin Burgmeier <armin@arbur.net>
Date:   Tue Jul 16 15:56:29 2013 +0200

    Add 2013 to copyright years

 AUTHORS                                                       | 2 +-
 infinoted/infinoted-autosave.c                                | 2 +-
 infinoted/infinoted-autosave.h                                | 2 +-
 infinoted/infinoted-config-reload.c                           | 2 +-
 infinoted/infinoted-config-reload.h                           | 2 +-
 infinoted/infinoted-dh-params.c                               | 2 +-
 infinoted/infinoted-dh-params.h                               | 2 +-
 infinoted/infinoted-directory-sync.c                          | 2 +-
 infinoted/infinoted-directory-sync.h                          | 2 +-
 infinoted/infinoted-log.c                                     | 2 +-
 infinoted/infinoted-log.h                                     | 2 +-
 infinoted/infinoted-main.c                                    | 2 +-
 infinoted/infinoted-note-plugin.c                             | 2 +-
 infinoted/infinoted-note-plugin.h                             | 2 +-
 infinoted/infinoted-options.c                                 | 2 +-
 infinoted/infinoted-options.h                                 | 2 +-
 infinoted/infinoted-pam.c                                     | 2 +-
 infinoted/infinoted-pam.h                                     | 2 +-
 infinoted/infinoted-record.c                                  | 2 +-
 infinoted/infinoted-record.h                                  | 2 +-
 infinoted/infinoted-run.c                                     | 2 +-
 infinoted/infinoted-run.h                                     | 2 +-
 infinoted/infinoted-signal.c                                  | 2 +-
 infinoted/infinoted-signal.h                                  | 2 +-
 infinoted/infinoted-startup.c                                 | 2 +-
 infinoted/infinoted-startup.h                                 | 2 +-
 infinoted/infinoted-traffic-logger.c                          | 2 +-
 infinoted/infinoted-traffic-logger.h                          | 2 +-
 infinoted/infinoted-transformation-protector.c                | 2 +-
 infinoted/infinoted-transformation-protector.h                | 2 +-
 infinoted/infinoted-util.c                                    | 2 +-
 infinoted/infinoted-util.h                                    | 2 +-
 infinoted/note-plugins/text/infd-note-plugin-text.c           | 2 +-
 libinfgtk/inf-gtk-browser-model-filter.c                      | 2 +-
 libinfgtk/inf-gtk-browser-model-filter.h                      | 2 +-
 libinfgtk/inf-gtk-browser-model-sort.c                        | 2 +-
 libinfgtk/inf-gtk-browser-model-sort.h                        | 2 +-
 libinfgtk/inf-gtk-browser-model.c                             | 2 +-
 libinfgtk/inf-gtk-browser-model.h                             | 2 +-
 libinfgtk/inf-gtk-browser-store.c                             | 2 +-
 libinfgtk/inf-gtk-browser-store.h                             | 2 +-
 libinfgtk/inf-gtk-browser-view.c                              | 2 +-
 libinfgtk/inf-gtk-browser-view.h                              | 2 +-
 libinfgtk/inf-gtk-certificate-dialog.c                        | 2 +-
 libinfgtk/inf-gtk-certificate-dialog.h                        | 2 +-
 libinfgtk/inf-gtk-certificate-manager.c                       | 2 +-
 libinfgtk/inf-gtk-certificate-manager.h                       | 2 +-
 libinfgtk/inf-gtk-certificate-view.c                          | 2 +-
 libinfgtk/inf-gtk-certificate-view.h                          | 2 +-
 libinfgtk/inf-gtk-chat.c                                      | 2 +-
 libinfgtk/inf-gtk-chat.h                                      | 2 +-
 libinfgtk/inf-gtk-io.c                                        | 2 +-
 libinfgtk/inf-gtk-io.h                                        | 2 +-
 libinfinity/adopted/inf-adopted-algorithm.c                   | 2 +-
 libinfinity/adopted/inf-adopted-algorithm.h                   | 2 +-
 libinfinity/adopted/inf-adopted-concurrency-warning.c         | 2 +-
 libinfinity/adopted/inf-adopted-concurrency-warning.h         | 2 +-
 libinfinity/adopted/inf-adopted-no-operation.c                | 2 +-
 libinfinity/adopted/inf-adopted-no-operation.h                | 2 +-
 libinfinity/adopted/inf-adopted-operation.c                   | 2 +-
 libinfinity/adopted/inf-adopted-operation.h                   | 2 +-
 libinfinity/adopted/inf-adopted-request-log.c                 | 2 +-
 libinfinity/adopted/inf-adopted-request-log.h                 | 2 +-
 libinfinity/adopted/inf-adopted-request.c                     | 2 +-
 libinfinity/adopted/inf-adopted-request.h                     | 2 +-
 libinfinity/adopted/inf-adopted-session-record.c              | 2 +-
 libinfinity/adopted/inf-adopted-session-record.h              | 2 +-
 libinfinity/adopted/inf-adopted-session-replay.c              | 2 +-
 libinfinity/adopted/inf-adopted-session-replay.h              | 2 +-
 libinfinity/adopted/inf-adopted-session.c                     | 2 +-
 libinfinity/adopted/inf-adopted-session.h                     | 2 +-
 libinfinity/adopted/inf-adopted-split-operation.c             | 2 +-
 libinfinity/adopted/inf-adopted-split-operation.h             | 2 +-
 libinfinity/adopted/inf-adopted-state-vector.c                | 2 +-
 libinfinity/adopted/inf-adopted-state-vector.h                | 2 +-
 libinfinity/adopted/inf-adopted-undo-grouping.c               | 2 +-
 libinfinity/adopted/inf-adopted-undo-grouping.h               | 2 +-
 libinfinity/adopted/inf-adopted-user.c                        | 2 +-
 libinfinity/adopted/inf-adopted-user.h                        | 2 +-
 libinfinity/client/infc-acl-user-list-request.c               | 2 +-
 libinfinity/client/infc-acl-user-list-request.h               | 2 +-
 libinfinity/client/infc-browser.c                             | 2 +-
 libinfinity/client/infc-browser.h                             | 2 +-
 libinfinity/client/infc-certificate-request.c                 | 2 +-
 libinfinity/client/infc-certificate-request.h                 | 2 +-
 libinfinity/client/infc-chat-request.c                        | 2 +-
 libinfinity/client/infc-chat-request.h                        | 2 +-
 libinfinity/client/infc-explore-request.c                     | 2 +-
 libinfinity/client/infc-explore-request.h                     | 2 +-
 libinfinity/client/infc-node-request.c                        | 2 +-
 libinfinity/client/infc-node-request.h                        | 2 +-
 libinfinity/client/infc-note-plugin.h                         | 2 +-
 libinfinity/client/infc-request-manager.c                     | 2 +-
 libinfinity/client/infc-request-manager.h                     | 2 +-
 libinfinity/client/infc-request.c                             | 2 +-
 libinfinity/client/infc-request.h                             | 2 +-
 libinfinity/client/infc-session-proxy.c                       | 2 +-
 libinfinity/client/infc-session-proxy.h                       | 2 +-
 libinfinity/client/infc-user-request.c                        | 2 +-
 libinfinity/client/infc-user-request.h                        | 2 +-
 libinfinity/common/inf-acl-sheet.c                            | 2 +-
 libinfinity/common/inf-acl-sheet.h                            | 2 +-
 libinfinity/common/inf-acl-table.c                            | 2 +-
 libinfinity/common/inf-acl-table.h                            | 2 +-
 libinfinity/common/inf-acl-user-list-request.c                | 2 +-
 libinfinity/common/inf-acl-user-list-request.h                | 2 +-
 libinfinity/common/inf-browser-iter.c                         | 2 +-
 libinfinity/common/inf-browser-iter.h                         | 2 +-
 libinfinity/common/inf-browser.c                              | 2 +-
 libinfinity/common/inf-browser.h                              | 2 +-
 libinfinity/common/inf-buffer.c                               | 2 +-
 libinfinity/common/inf-buffer.h                               | 2 +-
 libinfinity/common/inf-cert-util.c                            | 2 +-
 libinfinity/common/inf-cert-util.h                            | 2 +-
 libinfinity/common/inf-certificate-chain.c                    | 2 +-
 libinfinity/common/inf-certificate-chain.h                    | 2 +-
 libinfinity/common/inf-certificate-credentials.c              | 2 +-
 libinfinity/common/inf-certificate-credentials.h              | 2 +-
 libinfinity/common/inf-chat-buffer.c                          | 2 +-
 libinfinity/common/inf-chat-buffer.h                          | 2 +-
 libinfinity/common/inf-chat-session.c                         | 2 +-
 libinfinity/common/inf-chat-session.h                         | 2 +-
 libinfinity/common/inf-discovery-avahi.c                      | 2 +-
 libinfinity/common/inf-discovery-avahi.h                      | 2 +-
 libinfinity/common/inf-discovery.c                            | 2 +-
 libinfinity/common/inf-discovery.h                            | 2 +-
 libinfinity/common/inf-error.c                                | 2 +-
 libinfinity/common/inf-error.h                                | 2 +-
 libinfinity/common/inf-explore-request.c                      | 2 +-
 libinfinity/common/inf-explore-request.h                      | 2 +-
 libinfinity/common/inf-init.c                                 | 2 +-
 libinfinity/common/inf-init.h                                 | 2 +-
 libinfinity/common/inf-io.c                                   | 2 +-
 libinfinity/common/inf-io.h                                   | 2 +-
 libinfinity/common/inf-ip-address.c                           | 2 +-
 libinfinity/common/inf-ip-address.h                           | 2 +-
 libinfinity/common/inf-local-publisher.c                      | 2 +-
 libinfinity/common/inf-local-publisher.h                      | 2 +-
 libinfinity/common/inf-node-request.c                         | 2 +-
 libinfinity/common/inf-node-request.h                         | 2 +-
 libinfinity/common/inf-protocol.c                             | 2 +-
 libinfinity/common/inf-protocol.h                             | 2 +-
 libinfinity/common/inf-request.c                              | 2 +-
 libinfinity/common/inf-request.h                              | 2 +-
 libinfinity/common/inf-sasl-context.c                         | 2 +-
 libinfinity/common/inf-sasl-context.h                         | 2 +-
 libinfinity/common/inf-session-proxy.c                        | 2 +-
 libinfinity/common/inf-session-proxy.h                        | 2 +-
 libinfinity/common/inf-session.c                              | 2 +-
 libinfinity/common/inf-session.h                              | 2 +-
 libinfinity/common/inf-simulated-connection.c                 | 2 +-
 libinfinity/common/inf-simulated-connection.h                 | 2 +-
 libinfinity/common/inf-standalone-io.c                        | 2 +-
 libinfinity/common/inf-standalone-io.h                        | 2 +-
 libinfinity/common/inf-tcp-connection-private.h               | 2 +-
 libinfinity/common/inf-tcp-connection.c                       | 2 +-
 libinfinity/common/inf-tcp-connection.h                       | 2 +-
 libinfinity/common/inf-user-request.c                         | 2 +-
 libinfinity/common/inf-user-request.h                         | 2 +-
 libinfinity/common/inf-user-table.c                           | 2 +-
 libinfinity/common/inf-user-table.h                           | 2 +-
 libinfinity/common/inf-user.c                                 | 2 +-
 libinfinity/common/inf-user.h                                 | 2 +-
 libinfinity/common/inf-xml-connection.c                       | 2 +-
 libinfinity/common/inf-xml-connection.h                       | 2 +-
 libinfinity/common/inf-xml-util.c                             | 2 +-
 libinfinity/common/inf-xml-util.h                             | 2 +-
 libinfinity/common/inf-xmpp-connection.c                      | 2 +-
 libinfinity/common/inf-xmpp-connection.h                      | 2 +-
 libinfinity/common/inf-xmpp-manager.c                         | 2 +-
 libinfinity/common/inf-xmpp-manager.h                         | 2 +-
 libinfinity/communication/inf-communication-central-factory.c | 2 +-
 libinfinity/communication/inf-communication-central-factory.h | 2 +-
 libinfinity/communication/inf-communication-central-method.c  | 2 +-
 libinfinity/communication/inf-communication-central-method.h  | 2 +-
 libinfinity/communication/inf-communication-factory.c         | 2 +-
 libinfinity/communication/inf-communication-factory.h         | 2 +-
 libinfinity/communication/inf-communication-group-private.h   | 2 +-
 libinfinity/communication/inf-communication-group.c           | 2 +-
 libinfinity/communication/inf-communication-group.h           | 2 +-
 libinfinity/communication/inf-communication-hosted-group.c    | 2 +-
 libinfinity/communication/inf-communication-hosted-group.h    | 2 +-
 libinfinity/communication/inf-communication-joined-group.c    | 2 +-
 libinfinity/communication/inf-communication-joined-group.h    | 2 +-
 libinfinity/communication/inf-communication-manager.c         | 2 +-
 libinfinity/communication/inf-communication-manager.h         | 2 +-
 libinfinity/communication/inf-communication-method.c          | 2 +-
 libinfinity/communication/inf-communication-method.h          | 2 +-
 libinfinity/communication/inf-communication-object.c          | 2 +-
 libinfinity/communication/inf-communication-object.h          | 2 +-
 libinfinity/communication/inf-communication-registry.c        | 2 +-
 libinfinity/communication/inf-communication-registry.h        | 2 +-
 libinfinity/inf-dll.c                                         | 2 +-
 libinfinity/inf-dll.h                                         | 2 +-
 libinfinity/inf-i18n.c                                        | 2 +-
 libinfinity/inf-i18n.h                                        | 2 +-
 libinfinity/inf-signals.c                                     | 2 +-
 libinfinity/inf-signals.h                                     | 2 +-
 libinfinity/server/infd-directory.c                           | 2 +-
 libinfinity/server/infd-directory.h                           | 2 +-
 libinfinity/server/infd-explore-request.c                     | 2 +-
 libinfinity/server/infd-explore-request.h                     | 2 +-
 libinfinity/server/infd-filesystem-storage.c                  | 2 +-
 libinfinity/server/infd-filesystem-storage.h                  | 2 +-
 libinfinity/server/infd-node-request.c                        | 2 +-
 libinfinity/server/infd-node-request.h                        | 2 +-
 libinfinity/server/infd-note-plugin.h                         | 2 +-
 libinfinity/server/infd-server-pool.c                         | 2 +-
 libinfinity/server/infd-server-pool.h                         | 2 +-
 libinfinity/server/infd-session-proxy.c                       | 2 +-
 libinfinity/server/infd-session-proxy.h                       | 2 +-
 libinfinity/server/infd-storage.c                             | 2 +-
 libinfinity/server/infd-storage.h                             | 2 +-
 libinfinity/server/infd-tcp-server.c                          | 2 +-
 libinfinity/server/infd-tcp-server.h                          | 2 +-
 libinfinity/server/infd-user-request.c                        | 2 +-
 libinfinity/server/infd-user-request.h                        | 2 +-
 libinfinity/server/infd-xml-server.c                          | 2 +-
 libinfinity/server/infd-xml-server.h                          | 2 +-
 libinfinity/server/infd-xmpp-server.c                         | 2 +-
 libinfinity/server/infd-xmpp-server.h                         | 2 +-
 libinftext/inf-text-buffer.c                                  | 2 +-
 libinftext/inf-text-buffer.h                                  | 2 +-
 libinftext/inf-text-chunk.c                                   | 2 +-
 libinftext/inf-text-chunk.h                                   | 2 +-
 libinftext/inf-text-default-buffer.c                          | 2 +-
 libinftext/inf-text-default-buffer.h                          | 2 +-
 libinftext/inf-text-default-delete-operation.c                | 2 +-
 libinftext/inf-text-default-delete-operation.h                | 2 +-
 libinftext/inf-text-default-insert-operation.c                | 2 +-
 libinftext/inf-text-default-insert-operation.h                | 2 +-
 libinftext/inf-text-delete-operation.c                        | 2 +-
 libinftext/inf-text-delete-operation.h                        | 2 +-
 libinftext/inf-text-insert-operation.c                        | 2 +-
 libinftext/inf-text-insert-operation.h                        | 2 +-
 libinftext/inf-text-move-operation.c                          | 2 +-
 libinftext/inf-text-move-operation.h                          | 2 +-
 libinftext/inf-text-operations.h                              | 2 +-
 libinftext/inf-text-remote-delete-operation.c                 | 2 +-
 libinftext/inf-text-remote-delete-operation.h                 | 2 +-
 libinftext/inf-text-session.c                                 | 2 +-
 libinftext/inf-text-session.h                                 | 2 +-
 libinftext/inf-text-undo-grouping.c                           | 2 +-
 libinftext/inf-text-undo-grouping.h                           | 2 +-
 libinftext/inf-text-user.c                                    | 2 +-
 libinftext/inf-text-user.h                                    | 2 +-
 libinftextgtk/inf-text-gtk-buffer.c                           | 2 +-
 libinftextgtk/inf-text-gtk-buffer.h                           | 2 +-
 libinftextgtk/inf-text-gtk-hue-chooser.c                      | 2 +-
 libinftextgtk/inf-text-gtk-hue-chooser.h                      | 2 +-
 libinftextgtk/inf-text-gtk-view.c                             | 2 +-
 libinftextgtk/inf-text-gtk-view.h                             | 2 +-
 libinftextgtk/inf-text-gtk-viewport.c                         | 2 +-
 libinftextgtk/inf-text-gtk-viewport.h                         | 2 +-
 test/inf-test-browser.c                                       | 2 +-
 test/inf-test-certificate-request.c                           | 2 +-
 test/inf-test-chat.c                                          | 2 +-
 test/inf-test-chunk.c                                         | 2 +-
 test/inf-test-daemon.c                                        | 2 +-
 test/inf-test-gtk-browser.c                                   | 2 +-
 test/inf-test-mass-join.c                                     | 2 +-
 test/inf-test-reduce-replay.c                                 | 2 +-
 test/inf-test-set-acl.c                                       | 2 +-
 test/inf-test-state-vector.c                                  | 2 +-
 test/inf-test-tcp-connection.c                                | 2 +-
 test/inf-test-tcp-server.c                                    | 2 +-
 test/inf-test-text-cleanup.c                                  | 2 +-
 test/inf-test-text-operations.c                               | 2 +-
 test/inf-test-text-recover.c                                  | 2 +-
 test/inf-test-text-replay.c                                   | 2 +-
 test/inf-test-text-session.c                                  | 2 +-
 test/inf-test-xmpp-connection.c                               | 2 +-
 test/inf-test-xmpp-server.c                                   | 2 +-
 test/util/inf-test-util.c                                     | 2 +-
 test/util/inf-test-util.h                                     | 2 +-
 275 files changed, 275 insertions(+), 275 deletions(-)

commit 0c304bcc6e9d57f0e6fd13fe2201866313a368c3
Author: Armin Burgmeier <armin@arbur.net>
Date:   Tue Jul 16 15:04:25 2013 +0200

    Increase protocol version to 1.1

    The support for Access Control Lists adds new functionality to the
    protoc,l
    however backwards compatibility is preserved. The new protocol version
    can be
    used by clients to find out whether a server supports ACLs or not. If
    a client
    does not check explicitely, corresponding requests would either fail
    (e.g. query-user-list) or silently be ignored (e.g. initial ACL for new
    nodes) by a server which does not support ACLs.

 libinfinity/common/inf-protocol.c | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

commit d24be134740bbfabba275a9c4bd77a38e916ff90
Author: Armin Burgmeier <armin@arbur.net>
Date:   Tue Jul 16 15:07:19 2013 +0200

    Implement support for Access Control Lists (ACL)

    This feature allows apply sets of permissions for different users on
    individual nodes. Nodes which don't have an explicit setting for
    a permission
    inherit the setting from their parent node. The default user for the
    root node
    must have all permissions defined for the default user.

    The user authentication currently works only with client side
    certificates.
    This requires to run infinoted with the --ca-list-file option,
    since otherwise
    clients are not requested to send a certificate. This behaviour needs
    yet to
    be documented.

    Users are identified by the SHA256 fingerprint of their certificate. This
    means that, currently, a new certificate for a user would lead to
    a different
    user account. This is not optimal. There should be fixed accounts to
    which one
    or more certificates can be mapped, and which should also be able to be
    associated to a SASL username, so that after successful SASL
    authentication
    one has access to the account, without requiring client side
    certificates.

    Right now, only two permissions are implemented, can-subscribe-session
    and
    can-set-acl. With the can-subscribe-session permission certain users
    can be
    allowed or denied to subscribe to particular sessions in the tree,
    and with
    can-set-acl they can be allowed or denied to change the ACL for nodes. Of
    course, more permissions will be added in the future. This commit
    is mostly
    meant to provide the basic ACL framework, including ACL storage on
    the server
    side, the API and the protocol layer to query, change and check ACLs.

 .../libinfinity/libinfinity-0.6-docs.sgml         |    3 +
 .../libinfinity/libinfinity-0.6-sections.txt      |   90 +
 libinfinity/client/Makefile.am                    |    2 +
 libinfinity/client/infc-acl-user-list-request.c   |  344 ++++
 libinfinity/client/infc-acl-user-list-request.h   |   74 +
 libinfinity/client/infc-browser.c                 | 1027 ++++++++--
 libinfinity/common/Makefile.am                    |    6 +
 libinfinity/common/inf-acl-sheet.c                |  689 +++++++
 libinfinity/common/inf-acl-sheet.h                |  191 ++
 libinfinity/common/inf-acl-table.c                |  901 +++++++++
 libinfinity/common/inf-acl-table.h                |  146 ++
 libinfinity/common/inf-acl-user-list-request.c    |  164 ++
 libinfinity/common/inf-acl-user-list-request.h    |   70 +
 libinfinity/common/inf-browser.c                  |  437 ++++-
 libinfinity/common/inf-browser.h                  |  124 +-
 libinfinity/common/inf-error.c                    |    8 +
 libinfinity/common/inf-error.h                    |   14 +
 libinfinity/inf-marshal.in                        |    1 +
 libinfinity/server/infd-directory.c               | 1902 +++++++++++++++++--
 libinfinity/server/infd-filesystem-storage.c      |  537 ++++++
 libinfinity/server/infd-filesystem-storage.h      |    2 +
 libinfinity/server/infd-storage.c                 |  212 ++-
 libinfinity/server/infd-storage.h                 |   63 +-
 test/Makefile.am                                  |   15 +-
 test/inf-test-browser.c                           |    2 +-
 test/inf-test-set-acl.c                           |  343 ++++
 26 files changed, 7016 insertions(+), 351 deletions(-)

commit 84a7fc87acfda9225f07662612e16b4ae5e37dbc
Author: Armin Burgmeier <armin@arbur.net>
Date:   Tue Jul 16 15:01:28 2013 +0200

    Run the callback last in infc_request_manager_fail_request

    Otherwise it can happen that the callback deletes the request manager
    itself,
    and the following attempt to remove the request from the manager
    would fail.

 libinfinity/client/infc-request-manager.c | 4 +++-
 1 file changed, 3 insertions(+), 1 deletion(-)

commit 88960c34bcff2781282d51f2292874c523941bb0
Author: Armin Burgmeier <armin@arbur.net>
Date:   Tue Jul 16 15:00:00 2013 +0200

    Some cosmetic improvements to InfcExploreRequest

 libinfinity/client/infc-explore-request.c | 12 ++++++++----
 1 file changed, 8 insertions(+), 4 deletions(-)

commit 477337982cb7d9bf9780314302bae9172ea4ffa0
Author: Armin Burgmeier <armin@arbur.net>
Date:   Tue Jul 16 14:47:06 2013 +0200

    Update the TODO list

 TODO | 44 +++++++++++++++++++++++---------------------
 1 file changed, 23 insertions(+), 21 deletions(-)

commit 05e0f3384518ecac69a4333c3aa085fc8d2ab78e
Author: Armin Burgmeier <armin@arbur.net>
Date:   Tue Jul 16 14:12:26 2013 +0200

    Add a general inf_browser_get_pending_request() function

    This function replaces inf_browser_get_pending_explore_request() and
    inf_browser_get_pending_subscribe_request(). The rationale for this
    change is that more similar requests might be introduced shortly, and
    one helper function for each request type would be a bit too much
    code duplication.

 .../libinfinity/libinfinity-0.6-sections.txt      |  3 +-
 libinfgtk/inf-gtk-browser-view.c                  | 46 +++++++-----
 libinfinity/client/infc-browser.c                 | 10 ++-
 libinfinity/common/inf-browser.c                  | 78 ++++++---------------
 libinfinity/common/inf-browser.h                  | 12 ++--
 test/inf-test-gtk-browser.c                       | 10 ++-
 6 files changed, 68 insertions(+), 91 deletions(-)

commit e04e2b3a11a753b855a263f44c167531fe779be0
Author: Armin Burgmeier <armin@arbur.net>
Date:   Tue Jul 16 14:03:23 2013 +0200

    Fix a parameter name in InfNodeRequest::finished documentation

 libinfinity/common/inf-node-request.c | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

commit e95a83f8160a9901054150ab3942e6e3118cb94c
Author: Armin Burgmeier <armin@arbur.net>
Date:   Tue Jul 2 11:15:36 2013 +0200

    Add certificate properties to InfXmlConnection

    This allows InfcBrowser and InfdDirectory to access the certificates
    in a generic way, without making assumptions about whether the connection
    at hand is a InfXmppConnection or not.

    InfSimulatedConnection always returns NULL at this point for the
    certificates,
    but API could be added later to supply proper certificates.

 libinfinity/client/infc-browser.c             | 20 +-------
 libinfinity/common/inf-simulated-connection.c | 22 ++++++++-
 libinfinity/common/inf-xml-connection.c       | 22 +++++++++
 libinfinity/common/inf-xmpp-connection.c      | 62 ++++++++++---------------
 libinfinity/server/infd-directory.c           | 15 ------
 5 files changed, 70 insertions(+), 71 deletions(-)

commit 5dd52dd9494fafb696dd9fe15a0a334d82c8fe8f
Author: Armin Burgmeier <armin@arbur.net>
Date:   Wed Jun 26 16:46:33 2013 +0200

    infinoted: Add --ca-list-file option to check client certificates

    This option allows infinoted to request clients to send a certificate. If
    no certificate is sent or the certificate is not issued by one of the CAs
    in the given list the connection is rejected.

 infinoted/infinoted-0.6.man              | 12 +++--
 infinoted/infinoted-options.c            | 17 ++++++-
 infinoted/infinoted-options.h            |  1 +
 infinoted/infinoted-run.c                | 80 ++++++++++++++++++++++++++++++
 infinoted/infinoted-startup.c            | 51 ++++++++++++++++++-
 infinoted/infinoted-startup.h            |  3 ++
 libinfinity/common/inf-xmpp-connection.c | 10 ++++
 7 files changed, 168 insertions(+), 6 deletions(-)

commit fdce67d94c5112fe503bd9edecffa5abe4bbc9c7
Author: Armin Burgmeier <armin@arbur.net>
Date:   Wed Jun 26 18:07:18 2013 +0200

    Also call the certificate callback when no certificate was sent

    This allows the user to choose whether to accept or reject the
    connection in
    case it does not have a certificate. For example, the connection might be
    temporarily accepted and further authentication being performed at
    a different
    layer of the protocol.

 libinfinity/common/inf-xmpp-connection.c | 39 +++++++++++++++++++++---------
 1 file changed, 28 insertions(+), 11 deletions(-)

commit e1cc01a950f69cea73d23b995524c63430f5a94c
Author: Armin Burgmeier <armin@arbur.net>
Date:   Wed Jun 26 16:29:12 2013 +0200

    Add functionality for the client to ask for a certificate signed by
    the server

    The client will reject the generated certificate if the server
    certificate is
    not a CA.

    This also increases the required GnuTLS version to 2.12.0. This
    makes sure
    that all the functions we use are available, especially
    gnutls_x509_crq_verify
    is only available since 2.12.0.

 configure.ac                                      |   2 +-
 .../libinfinity/libinfinity-0.6-docs.sgml         |   1 +
 .../libinfinity/libinfinity-0.6-sections.txt      |  17 ++
 libinfinity/client/Makefile.am                    |   2 +
 libinfinity/client/infc-browser.c                 | 283 +++++++++++++++++-
 libinfinity/client/infc-browser.h                 |   9 +
 libinfinity/client/infc-certificate-request.c     | 300 ++++++++++++++++++++
 libinfinity/client/infc-certificate-request.h     |  84 ++++++
 libinfinity/common/inf-error.c                    |   6 +
 libinfinity/common/inf-error.h                    |   7 +
 libinfinity/server/infd-directory.c               | 270 ++++++++++++++++++
 test/Makefile.am                                  |  16 +-
 test/inf-test-certificate-request.c               | 282 ++++++++++++++++++
 13 files changed, 1273 insertions(+), 6 deletions(-)

commit 2d60f182f48c873122cdd27992206b045c315595
Author: Armin Burgmeier <armin@arbur.net>
Date:   Tue Jun 25 13:26:28 2013 +0200

    infinoted: Set the server certificate as the directory certificate

 infinoted/infinoted-run.c     |  6 ++++++
 infinoted/infinoted-startup.c | 23 +++++++++++------------
 infinoted/infinoted-startup.h |  3 +--
 3 files changed, 18 insertions(+), 14 deletions(-)

commit abaaa91c0efb2a78ba085a6233fda4291aa0b68b
Author: Armin Burgmeier <armin@arbur.net>
Date:   Tue Jun 25 13:23:26 2013 +0200

    Add infd_directory_set_certificate

    This will be used for issuing certificates signed with the directory
    certificate, in response to a new request-certificate message.

 .../libinfinity/libinfinity-0.6-sections.txt      |  1 +
 libinfinity/server/infd-directory.c               | 91 +++++++++++++++++++++
 libinfinity/server/infd-directory.h               |  8 ++
 3 files changed, 100 insertions(+)

commit 01106696ac768a49ad173a40433ffa55f23a9d0d
Author: Armin Burgmeier <armin@arbur.net>
Date:   Fri Jun 21 14:39:31 2013 +0200

    Don't require an InfNodeRequest in inf_browser_begin_request()

    This fixes the precondition in inf_browser_begin_request() and makes use
    of it with chat subscription in InfcBrowser.

 libinfinity/client/infc-browser.c | 4 +---
 libinfinity/common/inf-browser.c  | 2 +-
 2 files changed, 2 insertions(+), 4 deletions(-)

commit be886df7763e99d744f578a688884e5f1e143ba1
Author: Armin Burgmeier <armin@arbur.net>
Date:   Fri Jun 21 14:38:12 2013 +0200

    Add API to query certificates from InfXmppConnection

    This allows to ask both for the local certificate that was presented
    to the
    peer and to ask for the certificate of the peer itself.

 .../libinfinity/libinfinity-0.6-sections.txt      |   2 +
 libinfinity/common/inf-xmpp-connection.c          | 262 +++++++++++++++++---
 libinfinity/common/inf-xmpp-connection.h          |   6 +
 3 files changed, 230 insertions(+), 40 deletions(-)

commit 9e78707f9a48092a70483c5ba4a556e3b70df3f0
Author: Armin Burgmeier <armin@arbur.net>
Date:   Sun Jul 14 21:32:46 2013 +0200

    Document the InfTextDeleteOperation interface

 .../libinfgtk/libinfgtk-0.6-sections.txt          | 20 ++++++++---------
 .../reference/libinftext/libinftext-0.6-docs.sgml |  1 -
 .../libinftext/libinftext-0.6-sections.txt        | 24 +++++++++------------
 .../libinftextgtk/libinftextgtk-0.6-sections.txt  |  8 +++----
 libinftext/inf-text-delete-operation.c            | 20 +++++++++++++++++
 libinftext/inf-text-delete-operation.h            | 19 ++++++++++++++++
 libinftext/inf-text-operations.h                  | 14 ++++++++++++
 7 files changed, 77 insertions(+), 29 deletions(-)

commit 05cc23f6051fc9c408e636a9261343b72bbe78ea
Author: Armin Burgmeier <armin@arbur.net>
Date:   Sun Jul 14 20:52:59 2013 +0200

    Fix a warning in case the connection goes down at sending
    </stream:stream>

    This is a similar fix to the previous one: The connection can go down
    in </stream:stream>, and then gnutls_bye would try to send more data on a
    closed connection.

 libinfinity/common/inf-xmpp-connection.c | 18 ++++++++++++------
 1 file changed, 12 insertions(+), 6 deletions(-)

commit e0ce7364cfaf7ad5c1f202850f6d6a4b6ee17cfe
Author: Armin Burgmeier <armin@arbur.net>
Date:   Sun Jul 14 17:40:01 2013 +0200

    Fix a runtime warning when connection goes down during gnutls_bye()

    If that happens the XMPP status would have been "revived" from
    CLOSED to CLOSING, since the code didn't handle the case that the
    connection
    could go down during gnutls_bye().

 libinfinity/common/inf-xmpp-connection.c | 25 ++++++++++++++++---------
 1 file changed, 16 insertions(+), 9 deletions(-)

commit bed81c1bab1e161a5ac715b719c36411810de877
Author: Armin Burgmeier <armin@arbur.net>
Date:   Mon Jul 1 22:16:05 2013 +0200

    More documentation fixes and updates

 libinfinity/common/inf-protocol.c       |  2 +-
 libinfinity/common/inf-session.c        |  8 +++----
 libinfinity/common/inf-user.c           |  2 +-
 libinfinity/common/inf-xml-connection.c | 40 +++++++++++++++++++++++++++++++
 libinfinity/common/inf-xml-connection.h | 32 +++++++++++++++++++++++++
 libinfinity/server/infd-directory.c     |  2 +-
 6 files changed, 79 insertions(+), 7 deletions(-)

commit 5242b2f332cf25069328b9abd5c67cb365f35a8e
Author: Armin Burgmeier <armin@arbur.net>
Date:   Tue Jul 2 21:39:51 2013 +0200

    Add the InfdDirectory implementation of InfBrowser

    This was supposed to included already in the original merge,
    b7f4ae3d3a50664bfdb16e403ccc1675139475cc, but went missing somehow.

 libinfinity/server/infd-directory.c | 404 ++++++++++++++++++++++++++++++----
 1 file changed, 364 insertions(+), 40 deletions(-)

commit 568c89e3a68266ad5c9991cfda7c6347c1b23fcc
Author: Armin Burgmeier <armin@arbur.net>
Date:   Sun Jun 30 22:33:40 2013 +0200

    Miscellaneous documentation fixes and updates

 .../libinfgtk/libinfgtk-0.6-sections.txt          |  2 +-
 .../libinfinity/libinfinity-0.6-sections.txt      |  2 +-
 libinfgtk/inf-gtk-browser-model.c                 | 20 ++++++
 libinfgtk/inf-gtk-browser-model.h                 | 69 +++++++++++++++++++--
 libinfgtk/inf-gtk-certificate-dialog.c            | 19 +++++-
 libinfgtk/inf-gtk-certificate-dialog.h            | 36 +++++++++++
 libinfgtk/inf-gtk-chat.c                          |  3 +-
 libinfgtk/inf-gtk-chat.h                          |  2 -
 libinfinity/common/inf-user.c                     | 14 +++++
 libinfinity/common/inf-user.h                     | 31 +++++++++
 libinftext/inf-text-buffer.c                      | 21 +++++++
 libinftext/inf-text-buffer.h                      | 48 ++++++++++++++
 libinftext/inf-text-chunk.c                       | 28 +++++++++
 libinftext/inf-text-chunk.h                       | 29 +++++----
 libinftextgtk/inf-text-gtk-buffer.c               |  8 +--
 libinftextgtk/inf-text-gtk-view.c                 |  4 +-
 libinftextgtk/inf-text-gtk-viewport.c             |  2 +-
 17 files changed, 308 insertions(+), 30 deletions(-)

commit 0d5bf73be3a4a460404cf52881fadbb8853e72e5
Author: Armin Burgmeier <armin@arbur.net>
Date:   Fri Jun 28 19:52:39 2013 +0200

    Terminate connection gracefully when rejecting a certificate

    Instead of brutally closing the TCP connection, terminate it properly by
    sending a </stream:stream> before.

 libinfinity/common/inf-xmpp-connection.c | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

commit 635d7e77f4d80baf864dbc0f216356512f91f8f0
Author: Armin Burgmeier <armin@arbur.net>
Date:   Fri Jun 28 19:51:15 2013 +0200

    Fix a crash when data was received immediately after the TLS handshake

    InfXmppConnection expected the data to arrive in another bunch, i.e. in a
    separate call of the IO function.

 libinfinity/common/inf-xmpp-connection.c | 39 +++++++++++++++---------------
 1 file changed, 20 insertions(+), 19 deletions(-)

commit a14f6fa51f5ac9c6a24f62e84b49dd5cdcf79473
Author: Armin Burgmeier <armin@arbur.net>
Date:   Tue Jun 25 09:40:09 2013 +0200

    Properly quote XML in documentation comments

 libinfinity/common/inf-error.h | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

commit c34f4fdf9656460c60ca9f94bbd1a35671d8f684
Author: Armin Burgmeier <armin@arbur.net>
Date:   Mon Jun 24 17:18:47 2013 +0200

    Add missing files for infinoted-traffic-logger

 infinoted/infinoted-traffic-logger.c | 357 +++++++++++++++++++++++++++++++++
 infinoted/infinoted-traffic-logger.h |  52 +++++
 2 files changed, 409 insertions(+)

commit c402de91beb688413967d725df6eb1facf27ef4e
Author: Armin Burgmeier <armin@arbur.net>
Date:   Sun Apr 28 22:58:41 2013 +0200

    Move functions from infinoted-creds.c to inf-cert-util.c

    Conflicts:
            infinoted/infinoted-startup.c

 .../libinfinity/libinfinity-0.6-sections.txt      |  17 +-
 infinoted/Makefile.am                             |   2 -
 infinoted/infinoted-creds.c                       | 416 ------------
 infinoted/infinoted-creds.h                       |  69 --
 infinoted/infinoted-dh-params.c                   |   8 +-
 infinoted/infinoted-run.c                         |   1 -
 infinoted/infinoted-startup.c                     |  34 +-
 libinfgtk/inf-gtk-certificate-manager.c           |  14 +-
 libinfinity/common/inf-cert-util.c                | 670 ++++++++++++++++++--
 libinfinity/common/inf-cert-util.h                |  50 +-
 libinfinity/common/inf-xml-util.c                 |   2 +-
 11 files changed, 698 insertions(+), 585 deletions(-)

commit 629a5c091c876b8ea9fa30c920181d43f5858ff6
Author: Armin Burgmeier <armin@arbur.net>
Date:   Fri Jun 21 15:23:52 2013 +0200

    Improve infinoted man pages a bit

    After suggestions from Rainer Rehak:
    http://permalink.gmane.org/gmane.network.obby.user/407

 infinoted/infinoted-0.6.man | 23 ++++++++++++++++++-----
 1 file changed, 18 insertions(+), 5 deletions(-)

commit 6e6d99d5eddc4779ffd9a37b6cd6043da3677b60
Author: Armin Burgmeier <armin@arbur.net>
Date:   Wed Jun 19 15:21:01 2013 +0200

    Fix a warning when the browser is disconnected in the explore request
    callback

 libinfinity/client/infc-browser.c | 3 ++-
 1 file changed, 2 insertions(+), 1 deletion(-)

commit b7f4ae3d3a50664bfdb16e403ccc1675139475cc
Merge: 8838bf2 706fb1a
Author: Armin Burgmeier <armin@arbur.net>
Date:   Tue Jun 18 09:25:52 2013 +0200

    Add InfBrowser interface, implemented by InfcBrowser and InfdDirectory

    This is a merge of a rather old branch that I have finished working on
    recently. The idea is to unify the interface of InfcBrowser and
    InfdDirectory,
    getting rid of some duplicate code and eventually allowing handling them
    as interchangeably as possible, and as transparently as possible for
    a user.
    The interface now allows to do most operations of InfcBrowser or
    InfdDirectory in a unified way, so that it is not necessary to know
    whether
    one is working locally on a directory or remotely on a server.

    I feel this branch is ready to merge now, even though the new
    possibilities
    have not yet been fully exploited. What is yet to come is full
    support for
    InfdDirectory browsers in InfGtkBrowserStore/InfGtkBrowserView. This
    would
    allow easy combination of working with both local and remote documents
    and
    is a step toward self-hosting support in Gobby.

    Merge branch 'inf-browser'

    Conflicts:
            ChangeLog.manual
            infinoted/infinoted-record.c
            libinfinity/client/infc-browser.c
            libinfinity/inf-marshal.in
            libinfinity/server/infd-directory.c
            libinfinity/server/infd-directory.h

commit 8838bf272946116372272e4740593c5330b842ef
Author: Armin Burgmeier <armin@arbur.net>
Date:   Fri Jun 14 18:08:41 2013 +0200

    infinoted: Add --traffic-log-directory option

    This allows to specify a directory into which infinoted will write all
    network traffic, with one file per connection. This is mainly meant for
    debugging purposes.

 infinoted/Makefile.am               |  2 ++
 infinoted/infinoted-config-reload.c | 35 ++++++++++++++++++++++++++++
 infinoted/infinoted-options.c       | 43 +++++++++++++++++++++++------------
 infinoted/infinoted-options.h       |  1 +
 infinoted/infinoted-run.c           | 16 +++++++++++++
 infinoted/infinoted-run.h           |  2 ++
 6 files changed, 85 insertions(+), 14 deletions(-)

commit 535e36654ad3f20a12fdda8ba9494725d8641861
Author: Armin Burgmeier <armin@arbur.net>
Date:   Fri Jun 14 18:07:29 2013 +0200

    Communication registry: Handle received and sent signals after default
    handler

    This allows other signal handlers to reliably run before libinfinity
    actually handles the signal, for example to stop the signal emission,
    or to
    write sent and/or received messages into a log.

 libinfinity/communication/inf-communication-registry.c | 4 ++--
 1 file changed, 2 insertions(+), 2 deletions(-)

commit f94c882be6405ec47ab8b3c4a85c2cb94947405b
Author: Armin Burgmeier <armin@arbur.net>
Date:   Thu Jun 6 22:03:13 2013 +0200

    Generate ChangeLog from git log

 ChangeLog => ChangeLog.manual |  0
 Makefile.am                   | 25 +++++++++++++++++++++++++
 2 files changed, 25 insertions(+)

commit 7fd13237ea7cfbe2ea3ea57a8e008e836dd67fbe
Author: Armin Burgmeier <armin@arbur.net>
Date:   Thu Jun 6 21:28:00 2013 +0200

    Move transformation cache into InfAdoptedRequestLog

    This is mainly an optimization of the algorithm cleanup routine.

    Until now, every request made would trigger a traverse through the whole
    request cache in order to see whether a request needs to be cleaned up
    or not. This is optimized by instead of maintaining one big cache,
    maintain for each user which only contains requests made by that user.
    The requests are primarily sorted by the vector component of that user.

    The actual cleanup is then done only when requests are removed from the
    request log itself, instead of for processed request. Also, the tree is
    only traversed until the first request is found that does not need to be
    removed -- since the requests are sorted by the user component all other
    requests would not be removed either.

 .../libinfinity/libinfinity-0.6-sections.txt      |   2 +
 libinfinity/adopted/inf-adopted-algorithm.c       | 182 ++----------------
 libinfinity/adopted/inf-adopted-request-log.c     | 202 +++++++++++++++++++-
 libinfinity/adopted/inf-adopted-request-log.h     |   8 +
 4 files changed, 228 insertions(+), 166 deletions(-)

commit d4b8c608e5a7527253e663e55f0b707523c2bccf
Author: Armin Burgmeier <armin@arbur.net>
Date:   Thu Jun 6 21:26:55 2013 +0200

    Make InfAdoptedStateVector const-correct

 libinfinity/adopted/inf-adopted-state-vector.c | 37 ++++++++++++------------
 libinfinity/adopted/inf-adopted-state-vector.h | 31 ++++++++++----------
 2 files changed, 35 insertions(+), 33 deletions(-)

commit 68c65807482ec5465f71c7cbbcda373c5daac9fb
Author: Armin Burgmeier <armin@arbur.net>
Date:   Tue Jun 4 16:56:51 2013 +0200

    Add InfinotedTransformationProtector

    This is a utility for infinoted that rejects requests that would require
    transformation over many requests by other users. This allows to
    protect the
    infinoted from users that are many requests behind and keep sending own
    requests which would put a heavy load on the server.

    The implementation is a bit hacky at this point. A cleaner solution would
    be to add a query-execute-request signal to InfAdoptedAlgorithm,
    or to reject
    the request on a lower level before execute-request is actually called.

 infinoted/Makefile.am                          |   2 +
 infinoted/infinoted-config-reload.c            |  26 ++
 infinoted/infinoted-options.c                  |  32 ++-
 infinoted/infinoted-options.h                  |   5 +-
 infinoted/infinoted-run.c                      |  16 ++
 infinoted/infinoted-run.h                      |   2 +
 infinoted/infinoted-transformation-protector.c | 319 +++++++++++++++++++++++
 infinoted/infinoted-transformation-protector.h |  56 ++++
 8 files changed, 454 insertions(+), 4 deletions(-)

commit 6abb08e27276e6b6549b1fdb2bb87bc97c190ba1
Author: Armin Burgmeier <armin@arbur.net>
Date:   Tue Jun 4 16:51:30 2013 +0200

    Add infd_session_proxy_unsubscribe()

 .../libinfinity/libinfinity-0.6-sections.txt      |   1 +
 libinfinity/server/infd-session-proxy.c           | 103 ++++++++++++++------
 libinfinity/server/infd-session-proxy.h           |   4 +
 3 files changed, 77 insertions(+), 31 deletions(-)

commit c986056a8c793063370c372f9d2f12202c96ed81
Author: Armin Burgmeier <armin@arbur.net>
Date:   Tue Jun 4 16:45:37 2013 +0200

    Add inf_session_cancel_synchronization()

 .../libinfinity/libinfinity-0.6-sections.txt      |   1 +
 libinfinity/common/inf-session.c                  | 173 ++++++++++++--------
 libinfinity/common/inf-session.h                  |   4 +
 3 files changed, 114 insertions(+), 64 deletions(-)

commit 26870147969794199aba23ec863682bec5c2cbb5
Author: Armin Burgmeier <armin@arbur.net>
Date:   Mon Jun 3 14:38:38 2013 +0200

    infinoted: Log session errors into log file

 infinoted/infinoted-log.c | 296 ++++++++++++++++++++++++++++++++------------
 1 file changed, 218 insertions(+), 78 deletions(-)

commit e4a978e2c94942556d98fd60c4ef50de64eaef7d
Author: Armin Burgmeier <armin@arbur.net>
Date:   Mon Jun 3 14:38:25 2013 +0200

    Remove unused includes and variables in
    inf-communication-central-method.c

 libinfinity/communication/inf-communication-central-method.c | 4 ----
 1 file changed, 4 deletions(-)

commit 65e8f0f271705849b8133be2adc66459d65175d4
Author: Armin Burgmeier <armin@arbur.net>
Date:   Sun Jun 2 22:35:06 2013 +0200

    Remove error parameter from inf_communication_object_received()

    Implement this by adding the InfSession::error signal in InfSession.
    This allows client code to handle the error in whatever way is
    approriate, instead of just logging it to stderr. InfSession itself does
    not know about the nature of the error, or whether it is fatal or not.
    For example, if a request cannot be processed it would be fatal for a
    client (or a peer-to-peer participant) but not for a server (infinoted).
    In the server case, it would simply ignore the request, not forward it
    to the other clients, keeping the session consistent for everyone but
    the client sending the erroneous request.

 libinfinity/client/infc-browser.c                 |  7 +-
 libinfinity/client/infc-session-proxy.c           | 13 ++-
 libinfinity/common/inf-session.c                  | 88 +++++++++++++++++++--
 libinfinity/common/inf-session.h                  |  4 +
 .../inf-communication-central-method.c            | 37 +--------
 .../communication/inf-communication-object.c      |  6 +-
 .../communication/inf-communication-object.h      |  6 +-
 libinfinity/inf-marshal.in                        |  1 +
 libinfinity/server/infd-directory.c               |  5 +-
 libinfinity/server/infd-session-proxy.c           | 11 +--
 test/inf-test-text-cleanup.c                      |  6 +-
 test/inf-test-text-session.c                      |  4 +-
 12 files changed, 108 insertions(+), 80 deletions(-)

commit 61011af0388de99e9a38bfb71aecd0f0b3b16141
Author: Armin Burgmeier <armin@arbur.net>
Date:   Sun Jun 2 22:34:56 2013 +0200

    Fix return value in infc_session_proxy_communication_object_received()

 libinfinity/client/infc-session-proxy.c | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

commit e940f939d71efe74924371858d82882314583dce
Author: Armin Burgmeier <armin@arbur.net>
Date:   Sun Jun 2 17:26:54 2013 +0200

    Add timestamps into records for when a request was received end executed

 libinfinity/adopted/inf-adopted-session-record.c | 33 ++++++++++++++++++++++
 1 file changed, 33 insertions(+)

commit 792af0c44b5f81a4e92ae045b12e3983737cc739
Author: Armin Burgmeier <armin@arbur.net>
Date:   Sun Jun 2 17:26:31 2013 +0200

    Add reception and execution times times to InfAdoptedRequest

 .../libinfinity/libinfinity-0.6-sections.txt      |   3 +
 libinfinity/adopted/inf-adopted-algorithm.c       |  44 +++++-
 libinfinity/adopted/inf-adopted-request.c         | 163 +++++++++++++++++++-
 libinfinity/adopted/inf-adopted-request.h         |  19 ++-
 libinftext/inf-text-session.c                     |  28 +++-
 libinftext/inf-text-undo-grouping.c               |   7 +-
 6 files changed, 243 insertions(+), 21 deletions(-)

commit 9035666dfce4a8466c8545cbde2c66ab20c6bcc0
Author: Armin Burgmeier <armin@arbur.net>
Date:   Sun Jun 2 17:21:50 2013 +0200

    inf_adopted_request_fold(): Fix missing NULL terminator to g_object_new

 libinfinity/adopted/inf-adopted-request.c | 3 ++-
 1 file changed, 2 insertions(+), 1 deletion(-)

commit 827a5f09eaa29b0601c835faa02413e9183db03d
Author: Armin Burgmeier <armin@arbur.net>
Date:   Thu May 30 17:19:40 2013 +0200

    inf-test-text-replay: Print warnings before making large transformations

    Also, warn if executing a specific request has taken very long. This
    can help
    in finding problematic requests in a record, or point out when
    something is
    worthwhile to optimize.

 test/inf-test-text-replay.c | 123 ++++++++++++++++++++++++++++++++++++++++++
 1 file changed, 123 insertions(+)

commit 189d9d11893f519ca87e3ea5c068304ac83ed5a5
Author: Armin Burgmeier <armin@arbur.net>
Date:   Thu May 30 17:17:18 2013 +0200

    InfTextUndoGrouping: Don't get stuck with transforming too old requests

    It could happen that a request was transformed over tens of thousands of
    other requests if a user waits a long time between two keystrokes, and
    there was much activity by others between the two keystrokes. In such
    a case,
    simply do not group two requests which are very far apart from each
    other.

 libinftext/inf-text-undo-grouping.c | 33 +++++++++++++++++++++++++--------
 1 file changed, 25 insertions(+), 8 deletions(-)

commit 55a9a324a6c4a78a592ad5d0d521c78d2e6e68fd
Author: Armin Burgmeier <armin@arbur.net>
Date:   Thu May 30 12:13:09 2013 +0200

    Implement skip parameter for inf-test-reduce-replay

    this allows, instead of going forward one-by-one, to go in steps of
    more than one request. This is useful for very big records, where
    one first
    needs to get close to where the problem is and then one can carry on in
    smaller steps to get the most minimal record possible.

 test/inf-test-reduce-replay.c | 25 ++++++++++++++++++++-----
 1 file changed, 20 insertions(+), 5 deletions(-)

commit 949264595f1622a948e8d46e15fc8d53f0c477cd
Author: Armin Burgmeier <armin@arbur.net>
Date:   Tue May 28 20:57:10 2013 +0200

    Add inf_text_gtk_buffer_set_fade()

    along with the "alpha" and "background" properties

 .../libinftextgtk/libinftextgtk-0.6-sections.txt  |   1 +
 libinftextgtk/inf-text-gtk-buffer.c               | 140 ++++++++++++++++++--
 libinftextgtk/inf-text-gtk-buffer.h               |   5 +
 3 files changed, 138 insertions(+), 8 deletions(-)

commit dc63ce63d82be5442822b54bf1c9146bfd6360e4
Author: Armin Burgmeier <armin@arbur.net>
Date:   Thu May 9 15:55:43 2013 +0200

    infinoted: Log extra information during InfAdoptedAlgorithm execute

 infinoted/infinoted-log.c    | 301 +++++++++++++++++++++++++++++++++++++++++
 infinoted/infinoted-log.h    |  13 ++
 infinoted/infinoted-record.c |  34 ++++-
 infinoted/infinoted-record.h |   5 +
 infinoted/infinoted-run.c    |  10 +-
 5 files changed, 359 insertions(+), 4 deletions(-)

commit 5837910c043dc77a567648cc84471303a273325f
Author: Armin Burgmeier <armin@arbur.net>
Date:   Thu May 9 15:55:32 2013 +0200

    Add "filename" property to InfAdoptedSessionRecord

 libinfinity/adopted/inf-adopted-session-record.c | 23 +++++++++++++++++++++-
 1 file changed, 22 insertions(+), 1 deletion(-)

commit 706fb1a98d0dc9cda1d0635b7f5a15749a7a5c30
Author: Armin Burgmeier <armin@arbur.net>
Date:   Fri Apr 19 00:55:55 2013 +0200

    Implement the InfBrowser interface in InfdDirectory

 .../libinfinity/libinfinity-0.6-docs.sgml         |    2 +
 .../libinfinity/libinfinity-0.6-sections.txt      |   54 +-
 infinoted/infinoted-autosave.c                    |   75 +-
 infinoted/infinoted-directory-sync.c              |   84 +-
 infinoted/infinoted-record.c                      |   30 +-
 libinfinity/server/Makefile.am                    |    4 +
 libinfinity/server/infd-directory.c               | 3113 +++++++++++--------
 libinfinity/server/infd-directory.h               |   67 +-
 libinfinity/server/infd-explore-request.c         |  252 ++
 libinfinity/server/infd-explore-request.h         |   73 +
 libinfinity/server/infd-node-request.h            |   66 +
 11 files changed, 2432 insertions(+), 1388 deletions(-)

commit 72e1d9d7725fe638b096596b4b3258e1df201bd8
Author: Armin Burgmeier <armin@arbur.net>
Date:   Fri Apr 19 00:55:39 2013 +0200

    Add a requestor property to InfdNodeRequest

 libinfinity/server/infd-node-request.c | 298 +++++++++++++++++++++++++++++++
 1 file changed, 298 insertions(+)

commit 73e605a34c0b44bb65ad7c04a60b216584cb04bb
Author: Armin Burgmeier <armin@arbur.net>
Date:   Fri Apr 19 00:54:09 2013 +0200

    Add INF_DIRECTORY_ERROR_SUBSCRIPTION_REJECTED error

 libinfinity/common/inf-error.c | 2 ++
 libinfinity/common/inf-error.h | 3 +++
 2 files changed, 5 insertions(+)

commit 991f5e61a3f227cafd1e0d86500cfec5789e6dc0
Author: Armin Burgmeier <armin@arbur.net>
Date:   Fri Apr 19 00:53:36 2013 +0200

    Fix signature of inf_browser_(un)subscribe_session()

 libinfinity/client/infc-browser.c | 14 +++++++++-----
 libinfinity/common/inf-browser.c  |  4 ++--
 libinfinity/common/inf-browser.h  |  4 ++--
 3 files changed, 13 insertions(+), 9 deletions(-)

commit 587e14df08878164b06d831ddaa654651e93c9e1
Author: Armin Burgmeier <armin@arbur.net>
Date:   Mon Apr 15 21:48:04 2013 +0200

    Initialize node_id variable in infc_node_request_init()

 libinfinity/client/infc-node-request.c | 1 +
 1 file changed, 1 insertion(+)

commit 83b1de1efb199552ee2f8fae8791ae4f63e4d2c7
Author: Armin Burgmeier <armin@arbur.net>
Date:   Mon Apr 15 21:47:39 2013 +0200

    Add missing declaration of infc_explore_request_get_initiated()

 libinfinity/client/infc-explore-request.h | 3 +++
 1 file changed, 3 insertions(+)

commit 204a552875adae2a4644ce3333dcf595942baa94
Author: Armin Burgmeier <armin@arbur.net>
Date:   Mon Apr 15 21:46:53 2013 +0200

    Fix a typo in InfcExploreRequest documentation

 libinfinity/client/infc-explore-request.c | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

commit d19d7f343b56bd35b11c170b08c853549d92d2ae
Author: Armin Burgmeier <armin@arbur.net>
Date:   Sun Apr 14 20:13:48 2013 +0200

    Make InfdSessionProxy implement InfSessionProxy

 .../libinfinity/libinfinity-0.6-docs.sgml         |   1 +
 .../libinfinity/libinfinity-0.6-sections.txt      |  16 ++
 infinoted/infinoted-autosave.c                    |  99 ++++---
 infinoted/infinoted-directory-sync.c              |  92 +++---
 infinoted/infinoted-record.c                      |  18 +-
 libinfinity/client/infc-user-request.c            |   4 +-
 libinfinity/server/Makefile.am                    |   2 +
 libinfinity/server/infd-directory.c               |  95 +++++--
 libinfinity/server/infd-session-proxy.c           | 292 +++++++++++++++-----
 libinfinity/server/infd-session-proxy.h           |   9 -
 libinfinity/server/infd-user-request.c            | 230 +++++++++++++++
 libinfinity/server/infd-user-request.h            |  64 +++++
 12 files changed, 740 insertions(+), 182 deletions(-)

commit 20ad04f34c3fd09395462077490e2d12339f8be2
Author: Armin Burgmeier <armin@arbur.net>
Date:   Sun Apr 14 17:50:40 2013 +0200

    Make InfBrowser use InfSessionProxy instead of GObject

 libinfgtk/inf-gtk-browser-view.c  | 45 ++++++++++++++-----------------------
 libinfinity/client/infc-browser.c |  7 +++---
 libinfinity/common/inf-browser.c  |  7 +++---
 libinfinity/common/inf-browser.h  | 11 ++++-----
 4 files changed, 30 insertions(+), 40 deletions(-)

commit 9b607bf5daaccf6442a32740a0dd077cbdd756ae
Author: Armin Burgmeier <armin@arbur.net>
Date:   Sun Apr 14 17:21:37 2013 +0200

    Implement InfSessionProxy interface in InfcSessionProxy

 libinfgtk/inf-gtk-browser-view.c        |  51 ++++-----
 libinfinity/client/infc-browser.c       |  63 ++++++++---
 libinfinity/client/infc-session-proxy.c | 171 ++++++++++++++----------------
 libinfinity/client/infc-session-proxy.h |  11 --
 libinftext/inf-text-session.c           |  39 +++----
 libinftext/inf-text-session.h           |  10 +-
 test/inf-test-chat.c                    |  22 ++--
 test/inf-test-gtk-browser.c             | 144 +++++++++++++------------
 8 files changed, 256 insertions(+), 255 deletions(-)

commit 9f57d335ac7d2f6759be3793041da4261ff3219e
Author: Armin Burgmeier <armin@arbur.net>
Date:   Sun Apr 14 16:15:15 2013 +0200

    Add InfSessionProxy interface

 .../libinfinity/libinfinity-0.6-docs.sgml         |   1 +
 .../libinfinity/libinfinity-0.6-sections.txt      |  14 +++
 libinfinity/common/Makefile.am                    |   2 +
 libinfinity/common/inf-session-proxy.c            | 127 ++++++++++++++++++++
 libinfinity/common/inf-session-proxy.h            |  75 ++++++++++++
 5 files changed, 219 insertions(+)

commit 27ba6a2520f542b29f8b7327780c0b1ecfa3b279
Author: Armin Burgmeier <armin@arbur.net>
Date:   Sun Apr 14 15:34:33 2013 +0200

    Remove the infc_browser_get_status() function

    If anything it belongs to InfBrowser. For now, simply ask people to
    query the "status" property of the browser instead.

 .../libinfinity/libinfinity-0.6-sections.txt         |  1 -
 libinfinity/client/infc-browser.c                    | 18 ------------------
 libinfinity/client/infc-browser.h                    |  3 ---
 test/inf-test-gtk-browser.c                          |  9 +++++++--
 4 files changed, 7 insertions(+), 24 deletions(-)

commit 92f00f5fa337c432660309645b12d3f7e66f17e3
Author: Armin Burgmeier <armin@arbur.net>
Date:   Sun Apr 14 15:31:18 2013 +0200

    Add InfUserRequest interface

 .../libinfinity/libinfinity-0.6-docs.sgml         |   1 +
 .../libinfinity/libinfinity-0.6-sections.txt      |  14 ++
 libinfinity/client/infc-session-proxy.c           |   9 +-
 libinfinity/client/infc-user-request.c            |  82 ++++-------
 libinfinity/client/infc-user-request.h            |  18 +--
 libinfinity/common/Makefile.am                    |   2 +
 libinfinity/common/inf-user-request.c             | 143 ++++++++++++++++++++
 libinfinity/common/inf-user-request.h             |  73 ++++++++++
 8 files changed, 262 insertions(+), 80 deletions(-)

commit 689ee214c855c6b259362cc40e2104abd1cf2a51
Author: Armin Burgmeier <armin@arbur.net>
Date:   Sun Apr 14 13:54:01 2013 +0200

    Add InfExploreRequest interface

 .../libinfinity/libinfinity-0.6-docs.sgml         |   3 +-
 .../libinfinity/libinfinity-0.6-sections.txt      |  13 ++
 libinfgtk/inf-gtk-browser-view.c                  | 102 ++++++------
 libinfinity/client/infc-browser.c                 |   9 +-
 libinfinity/client/infc-explore-request.c         | 163 +++++---------------
 libinfinity/client/infc-explore-request.h         |  13 +-
 libinfinity/client/infc-node-request.c            |  14 +-
 libinfinity/common/Makefile.am                    |   2 +
 libinfinity/common/inf-browser.c                  |  14 +-
 libinfinity/common/inf-browser.h                  |  13 +-
 libinfinity/common/inf-explore-request.c          | 117 ++++++++++++++
 libinfinity/common/inf-explore-request.h          |  58 +++++++
 libinfinity/common/inf-node-request.c             |  20 +--
 13 files changed, 294 insertions(+), 247 deletions(-)

commit 28bb206521cd4ec8c20239faaf81ac34aa9d1276
Author: Armin Burgmeier <armin@arbur.net>
Date:   Sun Apr 14 11:48:48 2013 +0200

    Make iter argument of inf_gtk_browser_model_browser_iter_to_tree_iter
    const

 libinfgtk/inf-gtk-browser-model-filter.c |  4 ++--
 libinfgtk/inf-gtk-browser-model-sort.c   |  4 ++--
 libinfgtk/inf-gtk-browser-model.c        | 13 ++++---------
 libinfgtk/inf-gtk-browser-model.h        |  4 ++--
 libinfgtk/inf-gtk-browser-store.c        | 10 +++++-----
 5 files changed, 15 insertions(+), 20 deletions(-)

commit 83018965592d093992c378220cabeed730f2686f
Author: Armin Burgmeier <armin@arbur.net>
Date:   Sat Apr 13 21:31:41 2013 +0200

    Rename InfBrowserRequest to InfNodeRequest

 TODO                                              |  1 -
 .../libinfinity/libinfinity-0.6-docs.sgml         |  2 +-
 .../libinfinity/libinfinity-0.6-sections.txt      | 20 +++---
 libinfgtk/inf-gtk-browser-store.c                 | 20 +++---
 libinfgtk/inf-gtk-browser-view.c                  | 10 +--
 libinfinity/client/infc-browser.c                 | 42 +++++------
 libinfinity/client/infc-node-request.c            | 28 ++++----
 libinfinity/common/Makefile.am                    |  4 +-
 libinfinity/common/inf-browser.c                  | 46 ++++++------
 libinfinity/common/inf-browser.h                  | 30 ++++----
 .../{inf-browser-request.c => inf-node-request.c} | 78 ++++++++++-----------
 .../{inf-browser-request.h => inf-node-request.h} | 40 +++++------
 12 files changed, 159 insertions(+), 162 deletions(-)

commit 6fd14122a7502cfc46331a60f28e0acd0e78395d
Author: Armin Burgmeier <armin@arbur.net>
Date:   Sat Apr 13 21:11:04 2013 +0200

    Make InfcBrowser implement InfBrowser

 TODO                                              |   27 +-
 .../libinfinity/libinfinity-0.6-docs.sgml         |    4 +-
 libinfgtk/inf-gtk-browser-model-filter.c          |    6 +-
 libinfgtk/inf-gtk-browser-model-sort.c            |    6 +-
 libinfgtk/inf-gtk-browser-model.c                 |   14 +-
 libinfgtk/inf-gtk-browser-model.h                 |   12 +-
 libinfgtk/inf-gtk-browser-store.c                 |  423 ++--
 libinfgtk/inf-gtk-browser-view.c                  |  377 +--
 libinfinity/client/Makefile.am                    |    4 +-
 libinfinity/client/infc-browser-iter.c            |   98 -
 libinfinity/client/infc-browser-iter.h            |   49 -
 libinfinity/client/infc-browser.c                 | 2346 ++++++++-----------
 libinfinity/client/infc-browser.h                 |  201 +-
 libinfinity/client/infc-chat-request.c            |  293 +++
 libinfinity/client/infc-chat-request.h            |   78 +
 libinfinity/client/infc-explore-request.c         |  293 +--
 libinfinity/client/infc-explore-request.h         |   29 +-
 libinfinity/client/infc-node-request.c            |  193 +-
 libinfinity/client/infc-node-request.h            |   26 +-
 libinfinity/client/infc-request-manager.c         |   45 +-
 libinfinity/client/infc-request.c                 |  283 +--
 libinfinity/client/infc-request.h                 |   44 +-
 libinfinity/client/infc-session-proxy.c           |   14 +-
 libinfinity/client/infc-user-request.c            |  198 +-
 libinfinity/client/infc-user-request.h            |   28 +-
 test/inf-test-browser.c                           |   73 +-
 test/inf-test-chat.c                              |  162 +-
 test/inf-test-gtk-browser.c                       |  225 +-
 28 files changed, 2540 insertions(+), 3011 deletions(-)

commit f61334b08604948a49028f50fb9fedcc9fd34d8d
Author: Armin Burgmeier <armin@arbur.net>
Date:   Wed Apr 10 22:30:09 2013 +0200

    Allow sessions and requests to be global in the InfBrowser interface

 libinfinity/common/inf-browser.c | 49 ++++++++++++++++++++++----------------
 libinfinity/common/inf-browser.h |  5 ++--
 2 files changed, 31 insertions(+), 23 deletions(-)

commit 7006e0eb6474ffd90b576ba647dcb99ec44e9aff
Author: Armin Burgmeier <armin@arbur.net>
Date:   Wed Apr 10 22:29:41 2013 +0200

    Fix a typo in InfBrowserRequest::finished signal declaration

 libinfinity/common/inf-browser-request.c | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

commit 82ea7ffed0fb31c617a58c3918fe56ecd2a9bd1a
Author: Armin Burgmeier <armin@arbur.net>
Date:   Mon Apr 8 21:14:32 2013 +0200

    Make the type property in InfRequest construct-only

 libinfinity/common/inf-request.c | 2 +-
